#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::AccountBalance
      switch(to) {
        case 1: return (void*)(Attica::AccountBalance*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::Achievement
      switch(to) {
        case 2: return (void*)(Attica::Achievement*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::Activity
      switch(to) {
        case 3: return (void*)(Attica::Activity*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::BaseJob
      switch(to) {
        case 41: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 4: return (void*)(Attica::BaseJob*)xptr;
        case 21: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        case 13: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::BuildServiceJob
      switch(to) {
        case 5: return (void*)(Attica::BuildServiceJob*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::Category
      switch(to) {
        case 6: return (void*)(Attica::Category*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::Content
      switch(to) {
        case 7: return (void*)(Attica::Content*)xptr;
        default: return xptr;
      }
    case 8:   //Attica::DeleteJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::DeleteJob*)xptr;
        case 41: return (void*)(QObject*)(Attica::DeleteJob*)xptr;
        case 8: return (void*)(Attica::DeleteJob*)xptr;
        default: return xptr;
      }
    case 9:   //Attica::DownloadDescription
      switch(to) {
        case 9: return (void*)(Attica::DownloadDescription*)xptr;
        default: return xptr;
      }
    case 10:   //Attica::DownloadItem
      switch(to) {
        case 10: return (void*)(Attica::DownloadItem*)xptr;
        default: return xptr;
      }
    case 11:   //Attica::Event
      switch(to) {
        case 11: return (void*)(Attica::Event*)xptr;
        default: return xptr;
      }
    case 12:   //Attica::Folder
      switch(to) {
        case 12: return (void*)(Attica::Folder*)xptr;
        default: return xptr;
      }
    case 13:   //Attica::GetJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 41: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 13: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 14:   //Attica::HomePageEntry
      switch(to) {
        case 14: return (void*)(Attica::HomePageEntry*)xptr;
        default: return xptr;
      }
    case 15:   //Attica::KnowledgeBaseEntry
      switch(to) {
        case 15: return (void*)(Attica::KnowledgeBaseEntry*)xptr;
        default: return xptr;
      }
    case 16:   //Attica::License
      switch(to) {
        case 16: return (void*)(Attica::License*)xptr;
        default: return xptr;
      }
    case 17:   //Attica::Message
      switch(to) {
        case 17: return (void*)(Attica::Message*)xptr;
        default: return xptr;
      }
    case 18:   //Attica::Metadata
      switch(to) {
        case 18: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 19:   //Attica::Person
      switch(to) {
        case 19: return (void*)(Attica::Person*)xptr;
        default: return xptr;
      }
    case 20:   //Attica::PlatformDependent
      switch(to) {
        case 20: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 21:   //Attica::PostJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 41: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 21: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 22:   //Attica::Project
      switch(to) {
        case 22: return (void*)(Attica::Project*)xptr;
        default: return xptr;
      }
    case 23:   //Attica::Provider
      switch(to) {
        case 23: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 24:   //Attica::ProviderManager
      switch(to) {
        case 41: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 24: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 25:   //Attica::Publisher
      switch(to) {
        case 25: return (void*)(Attica::Publisher*)xptr;
        default: return xptr;
      }
    case 26:   //Attica::PublisherField
      switch(to) {
        case 26: return (void*)(Attica::PublisherField*)xptr;
        default: return xptr;
      }
    case 27:   //Attica::PutJob
      switch(to) {
        case 4: return (void*)(Attica::BaseJob*)(Attica::PutJob*)xptr;
        case 41: return (void*)(QObject*)(Attica::PutJob*)xptr;
        case 27: return (void*)(Attica::PutJob*)xptr;
        default: return xptr;
      }
    case 28:   //Attica::RemoteAccount
      switch(to) {
        case 28: return (void*)(Attica::RemoteAccount*)xptr;
        default: return xptr;
      }
    case 29:   //QBool
      switch(to) {
        case 29: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 30:   //QByteArray
      switch(to) {
        case 30: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QDate
      switch(to) {
        case 32: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 33:   //QDateTime
      switch(to) {
        case 33: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 34:   //QEvent
      switch(to) {
        case 34: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QIODevice
      switch(to) {
        case 41: return (void*)(QObject*)(QIODevice*)xptr;
        case 36: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 37:   //QMetaObject
      switch(to) {
        case 37: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAccessManager
      switch(to) {
        case 41: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 38: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkReply
      switch(to) {
        case 39: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkRequest
      switch(to) {
        case 40: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 41:   //QObject
      switch(to) {
        case 41: return (void*)(QObject*)xptr;
        case 4: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 21: return (void*)(Attica::PostJob*)(QObject*)xptr;
        case 24: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 13: return (void*)(Attica::GetJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 42:   //QRegExp
      switch(to) {
        case 42: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 43:   //QTimerEvent
      switch(to) {
        case 43: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QUrl
      switch(to) {
        case 44: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 45:   //QVariant
      switch(to) {
        case 45: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    41, 0,	// 1: QObject
    4, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_Attica__Provider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__DownloadDescription(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Metadata(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__ProviderManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__AccountBalance(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Activity(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Category(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Content(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadDescription(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Folder(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__KnowledgeBaseEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__License(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Message(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Metadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Person(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Provider(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::AccountBalance", false, 0, xcall_Attica__AccountBalance, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::AccountBalance) },	//1
    { "Attica::Achievement", true, 0, 0, 0, 0, 0 },	//2
    { "Attica::Activity", false, 0, xcall_Attica__Activity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Activity) },	//3
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//4
    { "Attica::BuildServiceJob", true, 0, 0, 0, 0, 0 },	//5
    { "Attica::Category", false, 0, xcall_Attica__Category, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Category) },	//6
    { "Attica::Content", false, 0, xcall_Attica__Content, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Content) },	//7
    { "Attica::DeleteJob", true, 0, 0, 0, 0, 0 },	//8
    { "Attica::DownloadDescription", false, 0, xcall_Attica__DownloadDescription, xenum_Attica__DownloadDescription, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadDescription) },	//9
    { "Attica::DownloadItem", false, 0, xcall_Attica__DownloadItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadItem) },	//10
    { "Attica::Event", false, 0, xcall_Attica__Event, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Event) },	//11
    { "Attica::Folder", false, 0, xcall_Attica__Folder, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Folder) },	//12
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//13
    { "Attica::HomePageEntry", true, 0, 0, 0, 0, 0 },	//14
    { "Attica::KnowledgeBaseEntry", false, 0, xcall_Attica__KnowledgeBaseEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::KnowledgeBaseEntry) },	//15
    { "Attica::License", false, 0, xcall_Attica__License, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::License) },	//16
    { "Attica::Message", false, 0, xcall_Attica__Message, xenum_Attica__Message, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Message) },	//17
    { "Attica::Metadata", false, 0, xcall_Attica__Metadata, xenum_Attica__Metadata, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Metadata) },	//18
    { "Attica::Person", false, 0, xcall_Attica__Person, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Person) },	//19
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//20
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//21
    { "Attica::Project", true, 0, 0, 0, 0, 0 },	//22
    { "Attica::Provider", false, 0, xcall_Attica__Provider, xenum_Attica__Provider, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Provider) },	//23
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, xenum_Attica__ProviderManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//24
    { "Attica::Publisher", true, 0, 0, 0, 0, 0 },	//25
    { "Attica::PublisherField", true, 0, 0, 0, 0, 0 },	//26
    { "Attica::PutJob", true, 0, 0, 0, 0, 0 },	//27
    { "Attica::RemoteAccount", true, 0, 0, 0, 0, 0 },	//28
    { "QBool", true, 0, 0, 0, 0, 0 },	//29
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QDate", true, 0, 0, 0, 0, 0 },	//32
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//33
    { "QEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//35
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//36
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//37
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//38
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//39
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//40
    { "QObject", true, 0, 0, 0, 0, 0 },	//41
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//42
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QUrl", true, 0, 0, 0, 0, 0 },	//44
    { "QVariant", true, 0, 0, 0, 0, 0 },	//45
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "Attica::AccountBalance*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Attica::Activity&", 3, Smoke::t_class|Smoke::tf_ref },	//3
    { "Attica::Activity*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Attica::BaseJob*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Attica::Category&", 6, Smoke::t_class|Smoke::tf_ref },	//6
    { "Attica::Category*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Attica::Content&", 7, Smoke::t_class|Smoke::tf_ref },	//8
    { "Attica::Content*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Attica::DeleteJob*", 8, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Attica::DownloadDescription", 9, Smoke::t_class|Smoke::tf_stack },	//11
    { "Attica::DownloadDescription&", 9, Smoke::t_class|Smoke::tf_ref },	//12
    { "Attica::DownloadDescription*", 9, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Attica::DownloadDescription::Type", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Attica::DownloadItem&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "Attica::DownloadItem*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Attica::Event&", 11, Smoke::t_class|Smoke::tf_ref },	//17
    { "Attica::Event*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Attica::Folder&", 12, Smoke::t_class|Smoke::tf_ref },	//19
    { "Attica::Folder*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Attica::HomePageEntry", 14, Smoke::t_class|Smoke::tf_stack },	//21
    { "Attica::ItemJob<Attica::AccountBalance>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//22
    { "Attica::ItemJob<Attica::BuildService>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//23
    { "Attica::ItemJob<Attica::BuildServiceJob>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//24
    { "Attica::ItemJob<Attica::BuildServiceJobOutput>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//25
    { "Attica::ItemJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//26
    { "Attica::ItemJob<Attica::DownloadItem>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//27
    { "Attica::ItemJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//28
    { "Attica::ItemJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//29
    { "Attica::ItemJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//30
    { "Attica::ItemJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//31
    { "Attica::ItemJob<Attica::PrivateData>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//32
    { "Attica::ItemJob<Attica::Project>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//33
    { "Attica::ItemJob<Attica::Publisher>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//34
    { "Attica::ItemJob<Attica::RemoteAccount>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//35
    { "Attica::ItemPostJob<Attica::Achievement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//36
    { "Attica::ItemPostJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//37
    { "Attica::ItemPostJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//38
    { "Attica::KnowledgeBaseEntry&", 15, Smoke::t_class|Smoke::tf_ref },	//39
    { "Attica::KnowledgeBaseEntry*", 15, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Attica::License&", 16, Smoke::t_class|Smoke::tf_ref },	//41
    { "Attica::License*", 16, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Attica::ListJob<Attica::Achievement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "Attica::ListJob<Attica::Activity>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//44
    { "Attica::ListJob<Attica::BuildService>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//45
    { "Attica::ListJob<Attica::BuildServiceJob>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//46
    { "Attica::ListJob<Attica::Category>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//47
    { "Attica::ListJob<Attica::Comment>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//48
    { "Attica::ListJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//49
    { "Attica::ListJob<Attica::Distribution>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//50
    { "Attica::ListJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//51
    { "Attica::ListJob<Attica::Folder>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//52
    { "Attica::ListJob<Attica::Forum>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//53
    { "Attica::ListJob<Attica::HomePageType>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//54
    { "Attica::ListJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//55
    { "Attica::ListJob<Attica::License>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//56
    { "Attica::ListJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//57
    { "Attica::ListJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//58
    { "Attica::ListJob<Attica::Project>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//59
    { "Attica::ListJob<Attica::Publisher>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//60
    { "Attica::ListJob<Attica::RemoteAccount>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//61
    { "Attica::ListJob<Attica::Topic>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//62
    { "Attica::Message&", 17, Smoke::t_class|Smoke::tf_ref },	//63
    { "Attica::Message*", 17, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Attica::Message::Status", 17, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Attica::Metadata", 18, Smoke::t_class|Smoke::tf_stack },	//66
    { "Attica::Metadata&", 18, Smoke::t_class|Smoke::tf_ref },	//67
    { "Attica::Metadata*", 18, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Attica::Metadata::Error", 18, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Attica::Person", 19, Smoke::t_class|Smoke::tf_stack },	//70
    { "Attica::Person&", 19, Smoke::t_class|Smoke::tf_ref },	//71
    { "Attica::Person*", 19, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Attica::PlatformDependent*", 20, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Attica::PostJob*", 21, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Attica::Provider", 23, Smoke::t_class|Smoke::tf_stack },	//75
    { "Attica::Provider&", 23, Smoke::t_class|Smoke::tf_ref },	//76
    { "Attica::Provider*", 23, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Attica::Provider::SortMode", 23, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Attica::ProviderManager*", 24, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Attica::ProviderManager::ProviderFlag", 24, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Attica::PutJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QBool", 29, Smoke::t_class|Smoke::tf_stack },	//82
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QDate", 32, Smoke::t_class|Smoke::tf_stack },	//84
    { "QDateTime", 33, Smoke::t_class|Smoke::tf_stack },	//85
    { "QEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QIODevice*", 36, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QList<Attica::DownloadDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<Attica::HomePageEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<Attica::Icon>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QMetaObject::Call", 37, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QNetworkAccessManager*", 38, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QNetworkReply*", 39, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QNetworkRequest", 40, Smoke::t_class|Smoke::tf_stack },	//97
    { "QObject*", 41, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QRegExp&", 42, Smoke::t_class|Smoke::tf_ref },	//99
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//101
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//103
    { "QTimerEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QUrl", 44, Smoke::t_class|Smoke::tf_stack },	//105
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtMsgType", 35, Smoke::t_enum|Smoke::tf_stack },	//178
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//179
    { "const Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Attica::Achievement&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Attica::Activity&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Attica::BuildServiceJob&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Attica::Category&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Attica::Comment::Type", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//185
    { "const Attica::Content&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Attica::DownloadDescription&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Attica::DownloadItem&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Attica::Event&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Attica::Folder&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Attica::KnowledgeBaseEntry&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Attica::License&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Attica::Message&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Attica::Metadata&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Attica::Person&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Attica::PlatformDependent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Attica::Project&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Attica::Provider&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Attica::Publisher&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Attica::PublisherField&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Attica::RemoteAccount&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QByteArray&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QDate&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QDateTime&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QFlags<Attica::ProviderManager::ProviderFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QList<Attica::Category>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QList<Attica::Distribution>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QList<Attica::License>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QMetaObject&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QMetaObject*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//210
    { "const QNetworkRequest&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QRegExp&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "const QUrl&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QVariant&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//217
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//218
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//219
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//220
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//221
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//222
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//223
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//224
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//225
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    180, 0,	//1  const Attica::AccountBalance&
    213, 0,	//3  const QString&
    182, 0,	//5  const Attica::Activity&
    195, 0,	//7  const Attica::Person&
    204, 0,	//9  const QDateTime&
    215, 0,	//11  const QUrl&
    217, 0,	//13  const char*
    217, 217, 0,	//15  const char*, const char*
    217, 217, 220, 0,	//18  const char*, const char*, int
    94, 220, 224, 0,	//22  QMetaObject::Call, int, void**
    5, 0,	//26  Attica::BaseJob*
    194, 0,	//28  const Attica::Metadata&
    184, 0,	//30  const Attica::Category&
    186, 0,	//32  const Attica::Content&
    220, 0,	//34  int
    90, 0,	//36  QList<Attica::Icon>
    92, 0,	//38  QList<QUrl>
    213, 213, 0,	//40  const QString&, const QString&
    187, 0,	//43  const Attica::DownloadDescription&
    14, 0,	//45  Attica::DownloadDescription::Type
    179, 0,	//47  bool
    222, 0,	//49  unsigned int
    188, 0,	//51  const Attica::DownloadItem&
    189, 0,	//53  const Attica::Event&
    203, 0,	//55  const QDate&
    219, 0,	//57  double
    190, 0,	//59  const Attica::Folder&
    191, 0,	//61  const Attica::KnowledgeBaseEntry&
    100, 0,	//63  QString
    192, 0,	//65  const Attica::License&
    193, 0,	//67  const Attica::Message&
    65, 0,	//69  Attica::Message::Status
    69, 0,	//71  Attica::Metadata::Error
    215, 179, 0,	//73  const QUrl&, bool
    215, 101, 101, 0,	//76  const QUrl&, QString&, QString&
    215, 213, 213, 0,	//80  const QUrl&, const QString&, const QString&
    211, 0,	//84  const QNetworkRequest&
    211, 87, 0,	//86  const QNetworkRequest&, QIODevice*
    211, 202, 0,	//89  const QNetworkRequest&, const QByteArray&
    95, 0,	//92  QNetworkAccessManager*
    196, 0,	//94  const Attica::PlatformDependent&
    198, 0,	//96  const Attica::Provider&
    101, 101, 0,	//98  QString&, QString&
    213, 213, 213, 213, 213, 0,	//101  const QString&, const QString&, const QString&, const QString&, const QString&
    219, 219, 219, 220, 220, 0,	//107  double, double, double, int, int
    219, 219, 213, 213, 0,	//113  double, double, const QString&, const QString&
    213, 213, 213, 0,	//118  const QString&, const QString&, const QString&
    213, 220, 220, 0,	//122  const QString&, int, int
    220, 220, 0,	//126  int, int
    190, 65, 0,	//129  const Attica::Folder&, Attica::Message::Status
    190, 213, 0,	//132  const Attica::Folder&, const QString&
    213, 181, 0,	//135  const QString&, const Attica::Achievement&
    213, 213, 181, 0,	//138  const QString&, const QString&, const Attica::Achievement&
    213, 216, 204, 0,	//142  const QString&, const QVariant&, const QDateTime&
    197, 0,	//146  const Attica::Project&
    197, 200, 0,	//148  const Attica::Project&, const Attica::PublisherField&
    183, 199, 0,	//151  const Attica::BuildServiceJob&, const Attica::Publisher&
    183, 0,	//154  const Attica::BuildServiceJob&
    201, 0,	//156  const Attica::RemoteAccount&
    213, 213, 202, 0,	//158  const QString&, const QString&, const QByteArray&
    206, 213, 78, 222, 222, 0,	//162  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    206, 213, 213, 78, 222, 222, 0,	//168  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    206, 213, 207, 208, 213, 78, 222, 222, 0,	//175  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    213, 179, 0,	//184  const QString&, bool
    213, 222, 0,	//187  const QString&, unsigned int
    184, 186, 0,	//190  const Attica::Category&, const Attica::Content&
    184, 213, 186, 0,	//193  const Attica::Category&, const QString&, const Attica::Content&
    213, 213, 213, 202, 0,	//197  const QString&, const QString&, const QString&, const QByteArray&
    186, 213, 78, 220, 220, 0,	//202  const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int
    213, 213, 203, 78, 220, 220, 0,	//208  const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int
    185, 213, 213, 220, 220, 0,	//215  const Attica::Comment::Type, const QString&, const QString&, int, int
    185, 213, 213, 213, 213, 213, 0,	//221  const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&
    213, 222, 222, 0,	//228  const QString&, unsigned int, unsigned int
    222, 222, 0,	//232  unsigned int, unsigned int
    213, 213, 213, 78, 220, 220, 0,	//235  const QString&, const QString&, const QString&, Attica::Provider::SortMode, int, int
    219, 219, 0,	//242  double, double
    219, 219, 219, 0,	//245  double, double, double
    219, 219, 219, 220, 0,	//249  double, double, double, int
    219, 219, 213, 0,	//254  double, double, const QString&
    213, 220, 0,	//258  const QString&, int
    206, 0,	//261  const QList<Attica::Category>&
    206, 213, 0,	//263  const QList<Attica::Category>&, const QString&
    206, 213, 78, 0,	//266  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode
    206, 213, 78, 222, 0,	//270  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int
    206, 213, 213, 0,	//275  const QList<Attica::Category>&, const QString&, const QString&
    206, 213, 213, 78, 0,	//279  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode
    206, 213, 213, 78, 222, 0,	//284  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int
    206, 213, 207, 208, 0,	//290  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&
    206, 213, 207, 208, 213, 0,	//295  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&
    206, 213, 207, 208, 213, 78, 0,	//301  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode
    206, 213, 207, 208, 213, 78, 222, 0,	//308  const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int
    205, 0,	//316  const QFlags<Attica::ProviderManager::ProviderFlag>&
    86, 0,	//318  QEvent*
    98, 86, 0,	//320  QObject*, QEvent*
    104, 0,	//323  QTimerEvent*
    83, 0,	//325  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccountBalance",	//1
    "AccountBalance#",	//2
    "Activity",	//3
    "Activity#",	//4
    "Alphabetical",	//5
    "Answered",	//6
    "Category",	//7
    "Category#",	//8
    "Content",	//9
    "Content#",	//10
    "DisablePlugins",	//11
    "DownloadDescription",	//12
    "DownloadDescription#",	//13
    "DownloadItem",	//14
    "DownloadItem#",	//15
    "Downloads",	//16
    "Event",	//17
    "Event#",	//18
    "FileDownload",	//19
    "Folder",	//20
    "Folder#",	//21
    "KnowledgeBaseEntry",	//22
    "KnowledgeBaseEntry#",	//23
    "License",	//24
    "License#",	//25
    "LinkDownload",	//26
    "Message",	//27
    "Message#",	//28
    "Metadata",	//29
    "Metadata#",	//30
    "NetworkError",	//31
    "Newest",	//32
    "NoError",	//33
    "NoFlags",	//34
    "OcsError",	//35
    "PackageDownload",	//36
    "Person",	//37
    "Person#",	//38
    "PlatformDependent",	//39
    "PlatformDependent#",	//40
    "Provider",	//41
    "Provider#",	//42
    "ProviderManager",	//43
    "ProviderManager#",	//44
    "Q_COMPLEX_TYPE",	//45
    "Q_DUMMY_TYPE",	//46
    "Q_MOVABLE_TYPE",	//47
    "Q_PRIMITIVE_TYPE",	//48
    "Q_STATIC_TYPE",	//49
    "QtCriticalMsg",	//50
    "QtDebugMsg",	//51
    "QtFatalMsg",	//52
    "QtSystemMsg",	//53
    "QtWarningMsg",	//54
    "Rating",	//55
    "Read",	//56
    "Unread",	//57
    "abort",	//58
    "achievementServiceVersion",	//59
    "activityServiceVersion",	//60
    "addAttribute",	//61
    "addAttribute$$",	//62
    "addDefaultProviderFile",	//63
    "addDefaultProviderFile#",	//64
    "addExtendedAttribute",	//65
    "addExtendedAttribute$$",	//66
    "addNewAchievement",	//67
    "addNewAchievement$#",	//68
    "addNewComment",	//69
    "addNewComment$$$$$$",	//70
    "addNewContent",	//71
    "addNewContent##",	//72
    "addProviderFile",	//73
    "addProviderFile#",	//74
    "addProviderFileToDefaultProviders",	//75
    "addProviderFileToDefaultProviders#",	//76
    "addProviderFromXml",	//77
    "addProviderFromXml$",	//78
    "answer",	//79
    "approveFriendship",	//80
    "approveFriendship$",	//81
    "askForCredentials",	//82
    "askForCredentials#$$",	//83
    "associatedPerson",	//84
    "attribute",	//85
    "attribute$",	//86
    "attributes",	//87
    "authenticationCredentialsMissing",	//88
    "authenticationCredentialsMissing#",	//89
    "author",	//90
    "avatarUrl",	//91
    "balance",	//92
    "baseUrl",	//93
    "becomeFan",	//94
    "becomeFan$",	//95
    "birthday",	//96
    "body",	//97
    "cancelBuildServiceJob",	//98
    "cancelBuildServiceJob#",	//99
    "cancelFriendship",	//100
    "cancelFriendship$",	//101
    "category",	//102
    "changed",	//103
    "changelog",	//104
    "checkLogin",	//105
    "checkLogin$$",	//106
    "childEvent",	//107
    "city",	//108
    "clear",	//109
    "commentServiceVersion",	//110
    "comments",	//111
    "connectNotify",	//112
    "contains",	//113
    "contains$",	//114
    "contentId",	//115
    "contentServiceVersion",	//116
    "country",	//117
    "createBuildServiceJob",	//118
    "createBuildServiceJob#",	//119
    "createProject",	//120
    "createProject#",	//121
    "createRemoteAccount",	//122
    "createRemoteAccount#",	//123
    "createRequest",	//124
    "createRequest#",	//125
    "createRequest$",	//126
    "createUrl",	//127
    "createUrl$",	//128
    "created",	//129
    "currency",	//130
    "customEvent",	//131
    "dataFinished",	//132
    "declineFriendship",	//133
    "declineFriendship$",	//134
    "defaultProviderFiles",	//135
    "defaultProvidersLoaded",	//136
    "deleteAchievement",	//137
    "deleteAchievement$$",	//138
    "deleteContent",	//139
    "deleteContent$",	//140
    "deleteDownloadFile",	//141
    "deleteDownloadFile$",	//142
    "deletePreviewImage",	//143
    "deletePreviewImage$$",	//144
    "deleteProject",	//145
    "deleteProject#",	//146
    "deleteRemoteAccount",	//147
    "deleteRemoteAccount$",	//148
    "depend",	//149
    "description",	//150
    "detailPage",	//151
    "detailpage",	//152
    "disconnectNotify",	//153
    "distributionType",	//154
    "doRequestAccountBalance",	//155
    "doRequestAccountBalance#",	//156
    "doRequestAchievementList",	//157
    "doRequestAchievementList#",	//158
    "doRequestActivityList",	//159
    "doRequestActivityList#",	//160
    "doRequestFolderList",	//161
    "doRequestFolderList#",	//162
    "doRequestForumList",	//163
    "doRequestForumList#",	//164
    "doRequestMessageList",	//165
    "doRequestMessageList#",	//166
    "doRequestPerson",	//167
    "doRequestPerson#",	//168
    "doRequestPersonList",	//169
    "doRequestPersonList#",	//170
    "doRequestTopicList",	//171
    "doRequestTopicList#",	//172
    "downloadLink",	//173
    "downloadLink$",	//174
    "downloadLink$$",	//175
    "downloadUrlDescription",	//176
    "downloadUrlDescription$",	//177
    "downloadUrlDescriptions",	//178
    "downloads",	//179
    "editAchievement",	//180
    "editAchievement$$#",	//181
    "editContent",	//182
    "editContent#$#",	//183
    "editProject",	//184
    "editProject#",	//185
    "editRemoteAccount",	//186
    "editRemoteAccount#",	//187
    "enableProvider",	//188
    "enableProvider#$",	//189
    "endDate",	//190
    "error",	//191
    "event",	//192
    "eventFilter",	//193
    "executeRequest",	//194
    "extendedAttribute",	//195
    "extendedAttribute$",	//196
    "extendedAttributes",	//197
    "fanServiceVersion",	//198
    "finished",	//199
    "finished#",	//200
    "firstName",	//201
    "forumServiceVersion",	//202
    "friendServiceVersion",	//203
    "from",	//204
    "get",	//205
    "get#",	//206
    "getDefaultProviderFiles",	//207
    "gpgFingerprint",	//208
    "gpgSignature",	//209
    "hasAchievementService",	//210
    "hasActivityService",	//211
    "hasCommentService",	//212
    "hasContentService",	//213
    "hasCredentials",	//214
    "hasCredentials#",	//215
    "hasFanService",	//216
    "hasForumService",	//217
    "hasFriendService",	//218
    "hasKnowledgebaseService",	//219
    "hasMessageService",	//220
    "hasPersonService",	//221
    "hasPrice",	//222
    "homePageEntries",	//223
    "homePageEntry",	//224
    "homePageEntry$",	//225
    "homepage",	//226
    "icons",	//227
    "id",	//228
    "internals",	//229
    "inviteFriend",	//230
    "inviteFriend$$",	//231
    "isDownloadtypLink",	//232
    "isEnabled",	//233
    "isEnabled#",	//234
    "isValid",	//235
    "itemsPerPage",	//236
    "knowledgebaseServiceVersion",	//237
    "lastName",	//238
    "latitude",	//239
    "license",	//240
    "licenseName",	//241
    "link",	//242
    "loadCredentials",	//243
    "loadCredentials#$$",	//244
    "loadCredentials$$",	//245
    "loadDefaultProviders",	//246
    "longitude",	//247
    "message",	//248
    "messageCount",	//249
    "messageServiceVersion",	//250
    "metaObject",	//251
    "metadata",	//252
    "mimeType",	//253
    "nam",	//254
    "name",	//255
    "numberOfComments",	//256
    "operator=",	//257
    "operator=#",	//258
    "packageName",	//259
    "packageRepository",	//260
    "parse",	//261
    "parse$",	//262
    "personServiceVersion",	//263
    "post",	//264
    "post##",	//265
    "postActivity",	//266
    "postActivity$",	//267
    "postLocation",	//268
    "postLocation$$",	//269
    "postLocation$$$",	//270
    "postLocation$$$$",	//271
    "postMessage",	//272
    "postMessage#",	//273
    "postTopic",	//274
    "postTopic$$$",	//275
    "previewPicture",	//276
    "previewPicture$",	//277
    "priceAmount",	//278
    "priceReason",	//279
    "providerAdded",	//280
    "providerAdded#",	//281
    "providerByUrl",	//282
    "providerByUrl#",	//283
    "providerFiles",	//284
    "providers",	//285
    "publishBuildJob",	//286
    "publishBuildJob##",	//287
    "qt_metacall",	//288
    "qt_metacall$$?",	//289
    "qt_metacast",	//290
    "qt_metacast$",	//291
    "rating",	//292
    "registerAccount",	//293
    "registerAccount$$$$$",	//294
    "removeDefaultProviderFile",	//295
    "removeDefaultProviderFile#",	//296
    "removeProviderFileFromDefaultProviders",	//297
    "removeProviderFileFromDefaultProviders#",	//298
    "repository",	//299
    "requestAccountBalance",	//300
    "requestAchievements",	//301
    "requestAchievements$$$",	//302
    "requestActivities",	//303
    "requestBuildService",	//304
    "requestBuildService$",	//305
    "requestBuildServiceJob",	//306
    "requestBuildServiceJob$",	//307
    "requestBuildServiceJobOutput",	//308
    "requestBuildServiceJobOutput$",	//309
    "requestBuildServiceJobs",	//310
    "requestBuildServiceJobs#",	//311
    "requestBuildServices",	//312
    "requestCategories",	//313
    "requestComments",	//314
    "requestComments$$$$$",	//315
    "requestContent",	//316
    "requestContent$",	//317
    "requestDistributions",	//318
    "requestEvent",	//319
    "requestEvent$",	//320
    "requestEvent$$#$$$",	//321
    "requestFans",	//322
    "requestFans$",	//323
    "requestFans$$",	//324
    "requestFans$$$",	//325
    "requestFolders",	//326
    "requestForums",	//327
    "requestForums$",	//328
    "requestForums$$",	//329
    "requestFriends",	//330
    "requestFriends$",	//331
    "requestFriends$$",	//332
    "requestFriends$$$",	//333
    "requestHomePageTypes",	//334
    "requestKnowledgeBaseEntry",	//335
    "requestKnowledgeBaseEntry$",	//336
    "requestLicenses",	//337
    "requestMessage",	//338
    "requestMessage#$",	//339
    "requestMessages",	//340
    "requestMessages#",	//341
    "requestMessages#$",	//342
    "requestPerson",	//343
    "requestPerson$",	//344
    "requestPersonSearchByLocation",	//345
    "requestPersonSearchByLocation$$",	//346
    "requestPersonSearchByLocation$$$",	//347
    "requestPersonSearchByLocation$$$$",	//348
    "requestPersonSearchByLocation$$$$$",	//349
    "requestPersonSearchByName",	//350
    "requestPersonSearchByName$",	//351
    "requestPersonSelf",	//352
    "requestPrivateData",	//353
    "requestPrivateData$",	//354
    "requestPrivateData$$",	//355
    "requestProject",	//356
    "requestProject$",	//357
    "requestProjects",	//358
    "requestPublisher",	//359
    "requestPublisher$",	//360
    "requestPublishers",	//361
    "requestReceivedInvitations",	//362
    "requestReceivedInvitations$",	//363
    "requestReceivedInvitations$$",	//364
    "requestRemoteAccount",	//365
    "requestRemoteAccount$",	//366
    "requestRemoteAccounts",	//367
    "requestSentInvitations",	//368
    "requestSentInvitations$",	//369
    "requestSentInvitations$$",	//370
    "requestTopics",	//371
    "requestTopics$$$$$$",	//372
    "resetAchievementProgress",	//373
    "resetAchievementProgress$",	//374
    "resultingId",	//375
    "saveCredentials",	//376
    "saveCredentials#$$",	//377
    "saveCredentials$$",	//378
    "savePublisherField",	//379
    "savePublisherField##",	//380
    "searchContents",	//381
    "searchContents?",	//382
    "searchContents?$",	//383
    "searchContents?$$",	//384
    "searchContents?$$$",	//385
    "searchContents?$$$$",	//386
    "searchContents?$??",	//387
    "searchContents?$??$",	//388
    "searchContents?$??$$",	//389
    "searchContents?$??$$$",	//390
    "searchContents?$??$$$$",	//391
    "searchContentsByPerson",	//392
    "searchContentsByPerson?$",	//393
    "searchContentsByPerson?$$",	//394
    "searchContentsByPerson?$$$",	//395
    "searchContentsByPerson?$$$$",	//396
    "searchContentsByPerson?$$$$$",	//397
    "searchKnowledgeBase",	//398
    "searchKnowledgeBase#$$$$",	//399
    "sent",	//400
    "setAchievementProgress",	//401
    "setAchievementProgress$##",	//402
    "setAnswer",	//403
    "setAnswer$",	//404
    "setAssociatedPerson",	//405
    "setAssociatedPerson#",	//406
    "setAuthenticationSuppressed",	//407
    "setAuthenticationSuppressed$",	//408
    "setAvatarUrl",	//409
    "setAvatarUrl#",	//410
    "setBalance",	//411
    "setBalance$",	//412
    "setBirthday",	//413
    "setBirthday#",	//414
    "setBody",	//415
    "setBody$",	//416
    "setCategory",	//417
    "setCategory$",	//418
    "setChanged",	//419
    "setChanged#",	//420
    "setCity",	//421
    "setCity$",	//422
    "setComments",	//423
    "setComments$",	//424
    "setContentId",	//425
    "setContentId$",	//426
    "setCountry",	//427
    "setCountry$",	//428
    "setCreated",	//429
    "setCreated#",	//430
    "setCurrency",	//431
    "setCurrency$",	//432
    "setDescription",	//433
    "setDescription$",	//434
    "setDetailPage",	//435
    "setDetailPage#",	//436
    "setDistributionType",	//437
    "setDistributionType$",	//438
    "setDownloadFile",	//439
    "setDownloadFile$$#",	//440
    "setDownloads",	//441
    "setDownloads$",	//442
    "setDownloadtypLink",	//443
    "setDownloadtypLink$",	//444
    "setEnabled",	//445
    "setEnabled$",	//446
    "setEndDate",	//447
    "setEndDate#",	//448
    "setError",	//449
    "setError$",	//450
    "setFirstName",	//451
    "setFirstName$",	//452
    "setFrom",	//453
    "setFrom$",	//454
    "setGpgFingerprint",	//455
    "setGpgFingerprint$",	//456
    "setGpgSignature",	//457
    "setGpgSignature$",	//458
    "setHasPrice",	//459
    "setHasPrice$",	//460
    "setHomepage",	//461
    "setHomepage#",	//462
    "setHomepage$",	//463
    "setIcons",	//464
    "setIcons?",	//465
    "setId",	//466
    "setId$",	//467
    "setItemsPerPage",	//468
    "setItemsPerPage$",	//469
    "setLastName",	//470
    "setLastName$",	//471
    "setLatitude",	//472
    "setLatitude$",	//473
    "setLink",	//474
    "setLink#",	//475
    "setLink$",	//476
    "setLongitude",	//477
    "setLongitude$",	//478
    "setMessage",	//479
    "setMessage$",	//480
    "setMessageCount",	//481
    "setMessageCount$",	//482
    "setMetadata",	//483
    "setMetadata#",	//484
    "setMimeType",	//485
    "setMimeType$",	//486
    "setNam",	//487
    "setNam#",	//488
    "setName",	//489
    "setName$",	//490
    "setNumberOfComments",	//491
    "setNumberOfComments$",	//492
    "setPackageName",	//493
    "setPackageName$",	//494
    "setPackageRepository",	//495
    "setPackageRepository$",	//496
    "setPreviewImage",	//497
    "setPreviewImage$$$#",	//498
    "setPriceAmount",	//499
    "setPriceAmount$",	//500
    "setPriceReason",	//501
    "setPriceReason$",	//502
    "setPrivateData",	//503
    "setPrivateData$$$",	//504
    "setRating",	//505
    "setRating$",	//506
    "setRepository",	//507
    "setRepository$",	//508
    "setResultingId",	//509
    "setResultingId$",	//510
    "setSent",	//511
    "setSent#",	//512
    "setSize",	//513
    "setSize$",	//514
    "setStartDate",	//515
    "setStartDate#",	//516
    "setStatus",	//517
    "setStatus$",	//518
    "setStatusCode",	//519
    "setStatusCode$",	//520
    "setStatusString",	//521
    "setStatusString$",	//522
    "setSubject",	//523
    "setSubject$",	//524
    "setTimestamp",	//525
    "setTimestamp#",	//526
    "setTo",	//527
    "setTo$",	//528
    "setTotalItems",	//529
    "setTotalItems$",	//530
    "setType",	//531
    "setType$",	//532
    "setUpdated",	//533
    "setUpdated#",	//534
    "setUrl",	//535
    "setUrl#",	//536
    "setUser",	//537
    "setUser$",	//538
    "setVideos",	//539
    "setVideos?",	//540
    "size",	//541
    "smallPreviewPicture",	//542
    "smallPreviewPicture$",	//543
    "start",	//544
    "startDate",	//545
    "staticMetaObject",	//546
    "status",	//547
    "statusCode",	//548
    "statusString",	//549
    "subject",	//550
    "summary",	//551
    "timerEvent",	//552
    "timestamp",	//553
    "to",	//554
    "totalItems",	//555
    "tr",	//556
    "tr$",	//557
    "tr$$",	//558
    "tr$$$",	//559
    "trUtf8",	//560
    "trUtf8$",	//561
    "trUtf8$$",	//562
    "trUtf8$$$",	//563
    "type",	//564
    "updated",	//565
    "uploadTarballToBuildService",	//566
    "uploadTarballToBuildService$$#",	//567
    "url",	//568
    "user",	//569
    "version",	//570
    "videos",	//571
    "voteForComment",	//572
    "voteForComment$$",	//573
    "voteForContent",	//574
    "voteForContent$$",	//575
    "~AccountBalance",	//576
    "~Activity",	//577
    "~BaseJob",	//578
    "~Category",	//579
    "~Content",	//580
    "~DownloadDescription",	//581
    "~DownloadItem",	//582
    "~Event",	//583
    "~Folder",	//584
    "~GetJob",	//585
    "~KnowledgeBaseEntry",	//586
    "~License",	//587
    "~Message",	//588
    "~Metadata",	//589
    "~Person",	//590
    "~PlatformDependent",	//591
    "~PostJob",	//592
    "~Provider",	//593
    "~ProviderManager",	//594
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1, 0, 0, Smoke::mf_ctor, 2, 1},	//1 Attica::AccountBalance::AccountBalance()
    {1, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 2},	//2 Attica::AccountBalance::AccountBalance(const Attica::AccountBalance&)
    {1, 257, 1, 1, 0, 1, 3},	//3 Attica::AccountBalance::operator=(const Attica::AccountBalance&)
    {1, 431, 3, 1, 0, 0, 4},	//4 Attica::AccountBalance::setCurrency(const QString&)
    {1, 130, 0, 0, Smoke::mf_const, 100, 5},	//5 Attica::AccountBalance::currency() const
    {1, 411, 3, 1, 0, 0, 6},	//6 Attica::AccountBalance::setBalance(const QString&)
    {1, 92, 0, 0, Smoke::mf_const, 100, 7},	//7 Attica::AccountBalance::balance() const
    {1, 576, 0, 0, Smoke::mf_dtor, 0, 8 },	//8 Attica::AccountBalance::~AccountBalance()
    {3, 3, 0, 0, Smoke::mf_ctor, 4, 1},	//9 Attica::Activity::Activity()
    {3, 3, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 2},	//10 Attica::Activity::Activity(const Attica::Activity&)
    {3, 257, 5, 1, 0, 3, 3},	//11 Attica::Activity::operator=(const Attica::Activity&)
    {3, 466, 3, 1, 0, 0, 4},	//12 Attica::Activity::setId(const QString&)
    {3, 228, 0, 0, Smoke::mf_const, 100, 5},	//13 Attica::Activity::id() const
    {3, 405, 7, 1, 0, 0, 6},	//14 Attica::Activity::setAssociatedPerson(const Attica::Person&)
    {3, 84, 0, 0, Smoke::mf_const, 70, 7},	//15 Attica::Activity::associatedPerson() const
    {3, 525, 9, 1, 0, 0, 8},	//16 Attica::Activity::setTimestamp(const QDateTime&)
    {3, 553, 0, 0, Smoke::mf_const, 85, 9},	//17 Attica::Activity::timestamp() const
    {3, 479, 3, 1, 0, 0, 10},	//18 Attica::Activity::setMessage(const QString&)
    {3, 248, 0, 0, Smoke::mf_const, 100, 11},	//19 Attica::Activity::message() const
    {3, 474, 11, 1, 0, 0, 12},	//20 Attica::Activity::setLink(const QUrl&)
    {3, 242, 0, 0, Smoke::mf_const, 105, 13},	//21 Attica::Activity::link() const
    {3, 235, 0, 0, Smoke::mf_const, 179, 14},	//22 Attica::Activity::isValid() const
    {3, 577, 0, 0, Smoke::mf_dtor, 0, 15 },	//23 Attica::Activity::~Activity()
    {4, 251, 0, 0, Smoke::mf_const, 210, 1},	//24 Attica::BaseJob::metaObject() const
    {4, 290, 13, 1, 0, 223, 2},	//25 Attica::BaseJob::qt_metacast(const char*)
    {4, 556, 15, 2, Smoke::mf_static, 100, 3},	//26 Attica::BaseJob::tr(const char*, const char*)
    {4, 560, 15, 2, Smoke::mf_static, 100, 4},	//27 Attica::BaseJob::trUtf8(const char*, const char*)
    {4, 556, 18, 3, Smoke::mf_static, 100, 5},	//28 Attica::BaseJob::tr(const char*, const char*, int)
    {4, 560, 18, 3, Smoke::mf_static, 100, 6},	//29 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {4, 288, 22, 3, 0, 220, 7},	//30 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {4, 252, 0, 0, Smoke::mf_const, 66, 8},	//31 Attica::BaseJob::metadata() const
    {4, 544, 0, 0, Smoke::mf_slot, 0, 9},	//32 Attica::BaseJob::start()
    {4, 58, 0, 0, Smoke::mf_slot, 0, 10},	//33 Attica::BaseJob::abort()
    {4, 199, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//34 Attica::BaseJob::finished(Attica::BaseJob*)
    {4, 132, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//35 Attica::BaseJob::dataFinished()
    {4, 483, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 13},	//36 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {4, 194, 0, 0, Smoke::mf_protected|Smoke::mf_purevirtual, 96, 14},	//37 Attica::BaseJob::executeRequest() [pure virtual]
    {4, 261, 3, 1, Smoke::mf_protected|Smoke::mf_purevirtual, 0, 15},	//38 Attica::BaseJob::parse(const QString&) [pure virtual]
    {4, 229, 0, 0, Smoke::mf_protected, 73, 16},	//39 Attica::BaseJob::internals()
    {4, 556, 13, 1, Smoke::mf_static, 100, 17},	//40 Attica::BaseJob::tr(const char*)
    {4, 560, 13, 1, Smoke::mf_static, 100, 18},	//41 Attica::BaseJob::trUtf8(const char*)
    {4, 546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 209, 19},	//42 Attica::BaseJob::staticMetaObject() const
    {4, 578, 0, 0, Smoke::mf_dtor, 0, 20 },	//43 Attica::BaseJob::~BaseJob()
    {6, 7, 0, 0, Smoke::mf_ctor, 7, 1},	//44 Attica::Category::Category()
    {6, 7, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 2},	//45 Attica::Category::Category(const Attica::Category&)
    {6, 257, 30, 1, 0, 6, 3},	//46 Attica::Category::operator=(const Attica::Category&)
    {6, 466, 3, 1, 0, 0, 4},	//47 Attica::Category::setId(const QString&)
    {6, 228, 0, 0, Smoke::mf_const, 100, 5},	//48 Attica::Category::id() const
    {6, 489, 3, 1, 0, 0, 6},	//49 Attica::Category::setName(const QString&)
    {6, 255, 0, 0, Smoke::mf_const, 100, 7},	//50 Attica::Category::name() const
    {6, 235, 0, 0, Smoke::mf_const, 179, 8},	//51 Attica::Category::isValid() const
    {6, 579, 0, 0, Smoke::mf_dtor, 0, 9 },	//52 Attica::Category::~Category()
    {7, 9, 0, 0, Smoke::mf_ctor, 9, 1},	//53 Attica::Content::Content()
    {7, 9, 32, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//54 Attica::Content::Content(const Attica::Content&)
    {7, 257, 32, 1, 0, 8, 3},	//55 Attica::Content::operator=(const Attica::Content&)
    {7, 466, 3, 1, 0, 0, 4},	//56 Attica::Content::setId(const QString&)
    {7, 228, 0, 0, Smoke::mf_const, 100, 5},	//57 Attica::Content::id() const
    {7, 489, 3, 1, 0, 0, 6},	//58 Attica::Content::setName(const QString&)
    {7, 255, 0, 0, Smoke::mf_const, 100, 7},	//59 Attica::Content::name() const
    {7, 505, 34, 1, 0, 0, 8},	//60 Attica::Content::setRating(int)
    {7, 292, 0, 0, Smoke::mf_const, 220, 9},	//61 Attica::Content::rating() const
    {7, 441, 34, 1, 0, 0, 10},	//62 Attica::Content::setDownloads(int)
    {7, 179, 0, 0, Smoke::mf_const, 220, 11},	//63 Attica::Content::downloads() const
    {7, 491, 34, 1, 0, 0, 12},	//64 Attica::Content::setNumberOfComments(int)
    {7, 256, 0, 0, Smoke::mf_const, 220, 13},	//65 Attica::Content::numberOfComments() const
    {7, 429, 9, 1, 0, 0, 14},	//66 Attica::Content::setCreated(const QDateTime&)
    {7, 129, 0, 0, Smoke::mf_const, 85, 15},	//67 Attica::Content::created() const
    {7, 533, 9, 1, 0, 0, 16},	//68 Attica::Content::setUpdated(const QDateTime&)
    {7, 565, 0, 0, Smoke::mf_const, 85, 17},	//69 Attica::Content::updated() const
    {7, 551, 0, 0, Smoke::mf_const, 100, 18},	//70 Attica::Content::summary() const
    {7, 150, 0, 0, Smoke::mf_const, 100, 19},	//71 Attica::Content::description() const
    {7, 152, 0, 0, Smoke::mf_const, 105, 20},	//72 Attica::Content::detailpage() const
    {7, 104, 0, 0, Smoke::mf_const, 100, 21},	//73 Attica::Content::changelog() const
    {7, 570, 0, 0, Smoke::mf_const, 100, 22},	//74 Attica::Content::version() const
    {7, 149, 0, 0, Smoke::mf_const, 100, 23},	//75 Attica::Content::depend() const
    {7, 176, 34, 1, Smoke::mf_const, 11, 24},	//76 Attica::Content::downloadUrlDescription(int) const
    {7, 178, 0, 0, Smoke::mf_const, 88, 25},	//77 Attica::Content::downloadUrlDescriptions() const
    {7, 224, 34, 1, Smoke::mf_const, 21, 26},	//78 Attica::Content::homePageEntry(int) const
    {7, 223, 0, 0, 0, 89, 27},	//79 Attica::Content::homePageEntries()
    {7, 276, 3, 1, Smoke::mf_const, 100, 28},	//80 Attica::Content::previewPicture(const QString&) const
    {7, 542, 3, 1, Smoke::mf_const, 100, 29},	//81 Attica::Content::smallPreviewPicture(const QString&) const
    {7, 240, 0, 0, Smoke::mf_const, 100, 30},	//82 Attica::Content::license() const
    {7, 241, 0, 0, Smoke::mf_const, 100, 31},	//83 Attica::Content::licenseName() const
    {7, 90, 0, 0, Smoke::mf_const, 100, 32},	//84 Attica::Content::author() const
    {7, 227, 0, 0, 0, 90, 33},	//85 Attica::Content::icons()
    {7, 464, 36, 1, 0, 0, 34},	//86 Attica::Content::setIcons(QList<Attica::Icon>)
    {7, 571, 0, 0, 0, 92, 35},	//87 Attica::Content::videos()
    {7, 539, 38, 1, 0, 0, 36},	//88 Attica::Content::setVideos(QList<QUrl>)
    {7, 61, 40, 2, 0, 0, 37},	//89 Attica::Content::addAttribute(const QString&, const QString&)
    {7, 85, 3, 1, Smoke::mf_const, 100, 38},	//90 Attica::Content::attribute(const QString&) const
    {7, 87, 0, 0, Smoke::mf_const, 93, 39},	//91 Attica::Content::attributes() const
    {7, 235, 0, 0, Smoke::mf_const, 179, 40},	//92 Attica::Content::isValid() const
    {7, 276, 0, 0, Smoke::mf_const, 100, 41},	//93 Attica::Content::previewPicture() const
    {7, 542, 0, 0, Smoke::mf_const, 100, 42},	//94 Attica::Content::smallPreviewPicture() const
    {7, 580, 0, 0, Smoke::mf_dtor, 0, 43 },	//95 Attica::Content::~Content()
    {9, 12, 0, 0, Smoke::mf_ctor, 13, 1},	//96 Attica::DownloadDescription::DownloadDescription()
    {9, 12, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//97 Attica::DownloadDescription::DownloadDescription(const Attica::DownloadDescription&)
    {9, 257, 43, 1, 0, 12, 3},	//98 Attica::DownloadDescription::operator=(const Attica::DownloadDescription&)
    {9, 228, 0, 0, 0, 220, 4},	//99 Attica::DownloadDescription::id()
    {9, 564, 0, 0, 0, 14, 5},	//100 Attica::DownloadDescription::type()
    {9, 232, 0, 0, 0, 179, 6},	//101 Attica::DownloadDescription::isDownloadtypLink()
    {9, 222, 0, 0, 0, 179, 7},	//102 Attica::DownloadDescription::hasPrice()
    {9, 102, 0, 0, 0, 100, 8},	//103 Attica::DownloadDescription::category()
    {9, 255, 0, 0, 0, 100, 9},	//104 Attica::DownloadDescription::name()
    {9, 242, 0, 0, 0, 100, 10},	//105 Attica::DownloadDescription::link()
    {9, 154, 0, 0, 0, 100, 11},	//106 Attica::DownloadDescription::distributionType()
    {9, 279, 0, 0, 0, 100, 12},	//107 Attica::DownloadDescription::priceReason()
    {9, 278, 0, 0, 0, 100, 13},	//108 Attica::DownloadDescription::priceAmount()
    {9, 541, 0, 0, 0, 222, 14},	//109 Attica::DownloadDescription::size()
    {9, 208, 0, 0, 0, 100, 15},	//110 Attica::DownloadDescription::gpgFingerprint()
    {9, 209, 0, 0, 0, 100, 16},	//111 Attica::DownloadDescription::gpgSignature()
    {9, 259, 0, 0, 0, 100, 17},	//112 Attica::DownloadDescription::packageName()
    {9, 299, 0, 0, 0, 100, 18},	//113 Attica::DownloadDescription::repository()
    {9, 466, 34, 1, 0, 0, 19},	//114 Attica::DownloadDescription::setId(int)
    {9, 531, 45, 1, 0, 0, 20},	//115 Attica::DownloadDescription::setType(Attica::DownloadDescription::Type)
    {9, 443, 47, 1, 0, 0, 21},	//116 Attica::DownloadDescription::setDownloadtypLink(bool)
    {9, 459, 47, 1, 0, 0, 22},	//117 Attica::DownloadDescription::setHasPrice(bool)
    {9, 417, 3, 1, 0, 0, 23},	//118 Attica::DownloadDescription::setCategory(const QString&)
    {9, 489, 3, 1, 0, 0, 24},	//119 Attica::DownloadDescription::setName(const QString&)
    {9, 474, 3, 1, 0, 0, 25},	//120 Attica::DownloadDescription::setLink(const QString&)
    {9, 437, 3, 1, 0, 0, 26},	//121 Attica::DownloadDescription::setDistributionType(const QString&)
    {9, 501, 3, 1, 0, 0, 27},	//122 Attica::DownloadDescription::setPriceReason(const QString&)
    {9, 499, 3, 1, 0, 0, 28},	//123 Attica::DownloadDescription::setPriceAmount(const QString&)
    {9, 513, 49, 1, 0, 0, 29},	//124 Attica::DownloadDescription::setSize(unsigned int)
    {9, 455, 3, 1, 0, 0, 30},	//125 Attica::DownloadDescription::setGpgFingerprint(const QString&)
    {9, 457, 3, 1, 0, 0, 31},	//126 Attica::DownloadDescription::setGpgSignature(const QString&)
    {9, 493, 3, 1, 0, 0, 32},	//127 Attica::DownloadDescription::setPackageName(const QString&)
    {9, 507, 3, 1, 0, 0, 33},	//128 Attica::DownloadDescription::setRepository(const QString&)
    {9, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 34},	//129 Attica::DownloadDescription::FileDownload (enum)
    {9, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 35},	//130 Attica::DownloadDescription::LinkDownload (enum)
    {9, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 36},	//131 Attica::DownloadDescription::PackageDownload (enum)
    {9, 581, 0, 0, Smoke::mf_dtor, 0, 37 },	//132 Attica::DownloadDescription::~DownloadDescription()
    {10, 14, 0, 0, Smoke::mf_ctor, 16, 1},	//133 Attica::DownloadItem::DownloadItem()
    {10, 14, 51, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//134 Attica::DownloadItem::DownloadItem(const Attica::DownloadItem&)
    {10, 257, 51, 1, 0, 15, 3},	//135 Attica::DownloadItem::operator=(const Attica::DownloadItem&)
    {10, 535, 11, 1, 0, 0, 4},	//136 Attica::DownloadItem::setUrl(const QUrl&)
    {10, 568, 0, 0, Smoke::mf_const, 105, 5},	//137 Attica::DownloadItem::url() const
    {10, 485, 3, 1, 0, 0, 6},	//138 Attica::DownloadItem::setMimeType(const QString&)
    {10, 253, 0, 0, Smoke::mf_const, 100, 7},	//139 Attica::DownloadItem::mimeType() const
    {10, 493, 3, 1, 0, 0, 8},	//140 Attica::DownloadItem::setPackageName(const QString&)
    {10, 259, 0, 0, Smoke::mf_const, 100, 9},	//141 Attica::DownloadItem::packageName() const
    {10, 495, 3, 1, 0, 0, 10},	//142 Attica::DownloadItem::setPackageRepository(const QString&)
    {10, 260, 0, 0, Smoke::mf_const, 100, 11},	//143 Attica::DownloadItem::packageRepository() const
    {10, 455, 3, 1, 0, 0, 12},	//144 Attica::DownloadItem::setGpgFingerprint(const QString&)
    {10, 208, 0, 0, Smoke::mf_const, 100, 13},	//145 Attica::DownloadItem::gpgFingerprint() const
    {10, 457, 3, 1, 0, 0, 14},	//146 Attica::DownloadItem::setGpgSignature(const QString&)
    {10, 209, 0, 0, Smoke::mf_const, 100, 15},	//147 Attica::DownloadItem::gpgSignature() const
    {10, 531, 45, 1, 0, 0, 16},	//148 Attica::DownloadItem::setType(Attica::DownloadDescription::Type)
    {10, 564, 0, 0, 0, 14, 17},	//149 Attica::DownloadItem::type()
    {10, 582, 0, 0, Smoke::mf_dtor, 0, 18 },	//150 Attica::DownloadItem::~DownloadItem()
    {11, 17, 0, 0, Smoke::mf_ctor, 18, 1},	//151 Attica::Event::Event()
    {11, 17, 53, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//152 Attica::Event::Event(const Attica::Event&)
    {11, 257, 53, 1, 0, 17, 3},	//153 Attica::Event::operator=(const Attica::Event&)
    {11, 466, 3, 1, 0, 0, 4},	//154 Attica::Event::setId(const QString&)
    {11, 228, 0, 0, Smoke::mf_const, 100, 5},	//155 Attica::Event::id() const
    {11, 489, 3, 1, 0, 0, 6},	//156 Attica::Event::setName(const QString&)
    {11, 255, 0, 0, Smoke::mf_const, 100, 7},	//157 Attica::Event::name() const
    {11, 433, 3, 1, 0, 0, 8},	//158 Attica::Event::setDescription(const QString&)
    {11, 150, 0, 0, Smoke::mf_const, 100, 9},	//159 Attica::Event::description() const
    {11, 537, 3, 1, 0, 0, 10},	//160 Attica::Event::setUser(const QString&)
    {11, 569, 0, 0, Smoke::mf_const, 100, 11},	//161 Attica::Event::user() const
    {11, 515, 55, 1, 0, 0, 12},	//162 Attica::Event::setStartDate(const QDate&)
    {11, 545, 0, 0, Smoke::mf_const, 84, 13},	//163 Attica::Event::startDate() const
    {11, 447, 55, 1, 0, 0, 14},	//164 Attica::Event::setEndDate(const QDate&)
    {11, 190, 0, 0, Smoke::mf_const, 84, 15},	//165 Attica::Event::endDate() const
    {11, 472, 57, 1, 0, 0, 16},	//166 Attica::Event::setLatitude(double)
    {11, 239, 0, 0, Smoke::mf_const, 219, 17},	//167 Attica::Event::latitude() const
    {11, 477, 57, 1, 0, 0, 18},	//168 Attica::Event::setLongitude(double)
    {11, 247, 0, 0, Smoke::mf_const, 219, 19},	//169 Attica::Event::longitude() const
    {11, 461, 11, 1, 0, 0, 20},	//170 Attica::Event::setHomepage(const QUrl&)
    {11, 226, 0, 0, Smoke::mf_const, 105, 21},	//171 Attica::Event::homepage() const
    {11, 427, 3, 1, 0, 0, 22},	//172 Attica::Event::setCountry(const QString&)
    {11, 117, 0, 0, Smoke::mf_const, 100, 23},	//173 Attica::Event::country() const
    {11, 421, 3, 1, 0, 0, 24},	//174 Attica::Event::setCity(const QString&)
    {11, 108, 0, 0, Smoke::mf_const, 100, 25},	//175 Attica::Event::city() const
    {11, 65, 40, 2, 0, 0, 26},	//176 Attica::Event::addExtendedAttribute(const QString&, const QString&)
    {11, 195, 3, 1, Smoke::mf_const, 100, 27},	//177 Attica::Event::extendedAttribute(const QString&) const
    {11, 197, 0, 0, Smoke::mf_const, 93, 28},	//178 Attica::Event::extendedAttributes() const
    {11, 235, 0, 0, Smoke::mf_const, 179, 29},	//179 Attica::Event::isValid() const
    {11, 583, 0, 0, Smoke::mf_dtor, 0, 30 },	//180 Attica::Event::~Event()
    {12, 20, 0, 0, Smoke::mf_ctor, 20, 1},	//181 Attica::Folder::Folder()
    {12, 20, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 2},	//182 Attica::Folder::Folder(const Attica::Folder&)
    {12, 257, 59, 1, 0, 19, 3},	//183 Attica::Folder::operator=(const Attica::Folder&)
    {12, 466, 3, 1, 0, 0, 4},	//184 Attica::Folder::setId(const QString&)
    {12, 228, 0, 0, Smoke::mf_const, 100, 5},	//185 Attica::Folder::id() const
    {12, 489, 3, 1, 0, 0, 6},	//186 Attica::Folder::setName(const QString&)
    {12, 255, 0, 0, Smoke::mf_const, 100, 7},	//187 Attica::Folder::name() const
    {12, 481, 34, 1, 0, 0, 8},	//188 Attica::Folder::setMessageCount(int)
    {12, 249, 0, 0, Smoke::mf_const, 220, 9},	//189 Attica::Folder::messageCount() const
    {12, 531, 3, 1, 0, 0, 10},	//190 Attica::Folder::setType(const QString&)
    {12, 564, 0, 0, Smoke::mf_const, 100, 11},	//191 Attica::Folder::type() const
    {12, 235, 0, 0, Smoke::mf_const, 179, 12},	//192 Attica::Folder::isValid() const
    {12, 584, 0, 0, Smoke::mf_dtor, 0, 13 },	//193 Attica::Folder::~Folder()
    {13, 251, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 1},	//194 Attica::GetJob::metaObject() const
    {13, 290, 13, 1, Smoke::mf_virtual, 223, 2},	//195 Attica::GetJob::qt_metacast(const char*)
    {13, 556, 15, 2, Smoke::mf_static, 100, 3},	//196 Attica::GetJob::tr(const char*, const char*)
    {13, 560, 15, 2, Smoke::mf_static, 100, 4},	//197 Attica::GetJob::trUtf8(const char*, const char*)
    {13, 556, 18, 3, Smoke::mf_static, 100, 5},	//198 Attica::GetJob::tr(const char*, const char*, int)
    {13, 560, 18, 3, Smoke::mf_static, 100, 6},	//199 Attica::GetJob::trUtf8(const char*, const char*, int)
    {13, 288, 22, 3, Smoke::mf_virtual, 220, 7},	//200 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {13, 556, 13, 1, Smoke::mf_static, 100, 8},	//201 Attica::GetJob::tr(const char*)
    {13, 560, 13, 1, Smoke::mf_static, 100, 9},	//202 Attica::GetJob::trUtf8(const char*)
    {13, 546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 209, 10},	//203 Attica::GetJob::staticMetaObject() const
    {13, 585, 0, 0, Smoke::mf_dtor, 0, 11 },	//204 Attica::GetJob::~GetJob()
    {15, 22, 0, 0, Smoke::mf_ctor, 40, 1},	//205 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry()
    {15, 22, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//206 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry(const Attica::KnowledgeBaseEntry&)
    {15, 257, 61, 1, 0, 39, 3},	//207 Attica::KnowledgeBaseEntry::operator=(const Attica::KnowledgeBaseEntry&)
    {15, 466, 63, 1, 0, 0, 4},	//208 Attica::KnowledgeBaseEntry::setId(QString)
    {15, 228, 0, 0, Smoke::mf_const, 100, 5},	//209 Attica::KnowledgeBaseEntry::id() const
    {15, 425, 34, 1, 0, 0, 6},	//210 Attica::KnowledgeBaseEntry::setContentId(int)
    {15, 115, 0, 0, Smoke::mf_const, 220, 7},	//211 Attica::KnowledgeBaseEntry::contentId() const
    {15, 537, 3, 1, 0, 0, 8},	//212 Attica::KnowledgeBaseEntry::setUser(const QString&)
    {15, 569, 0, 0, Smoke::mf_const, 100, 9},	//213 Attica::KnowledgeBaseEntry::user() const
    {15, 517, 3, 1, 0, 0, 10},	//214 Attica::KnowledgeBaseEntry::setStatus(const QString&)
    {15, 547, 0, 0, Smoke::mf_const, 100, 11},	//215 Attica::KnowledgeBaseEntry::status() const
    {15, 419, 9, 1, 0, 0, 12},	//216 Attica::KnowledgeBaseEntry::setChanged(const QDateTime&)
    {15, 103, 0, 0, Smoke::mf_const, 85, 13},	//217 Attica::KnowledgeBaseEntry::changed() const
    {15, 489, 3, 1, 0, 0, 14},	//218 Attica::KnowledgeBaseEntry::setName(const QString&)
    {15, 255, 0, 0, Smoke::mf_const, 100, 15},	//219 Attica::KnowledgeBaseEntry::name() const
    {15, 433, 3, 1, 0, 0, 16},	//220 Attica::KnowledgeBaseEntry::setDescription(const QString&)
    {15, 150, 0, 0, Smoke::mf_const, 100, 17},	//221 Attica::KnowledgeBaseEntry::description() const
    {15, 403, 3, 1, 0, 0, 18},	//222 Attica::KnowledgeBaseEntry::setAnswer(const QString&)
    {15, 79, 0, 0, Smoke::mf_const, 100, 19},	//223 Attica::KnowledgeBaseEntry::answer() const
    {15, 423, 34, 1, 0, 0, 20},	//224 Attica::KnowledgeBaseEntry::setComments(int)
    {15, 111, 0, 0, Smoke::mf_const, 220, 21},	//225 Attica::KnowledgeBaseEntry::comments() const
    {15, 435, 11, 1, 0, 0, 22},	//226 Attica::KnowledgeBaseEntry::setDetailPage(const QUrl&)
    {15, 151, 0, 0, Smoke::mf_const, 105, 23},	//227 Attica::KnowledgeBaseEntry::detailPage() const
    {15, 65, 40, 2, 0, 0, 24},	//228 Attica::KnowledgeBaseEntry::addExtendedAttribute(const QString&, const QString&)
    {15, 195, 3, 1, Smoke::mf_const, 100, 25},	//229 Attica::KnowledgeBaseEntry::extendedAttribute(const QString&) const
    {15, 197, 0, 0, Smoke::mf_const, 93, 26},	//230 Attica::KnowledgeBaseEntry::extendedAttributes() const
    {15, 235, 0, 0, Smoke::mf_const, 179, 27},	//231 Attica::KnowledgeBaseEntry::isValid() const
    {15, 586, 0, 0, Smoke::mf_dtor, 0, 28 },	//232 Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry()
    {16, 24, 0, 0, Smoke::mf_ctor, 42, 1},	//233 Attica::License::License()
    {16, 24, 65, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 2},	//234 Attica::License::License(const Attica::License&)
    {16, 257, 65, 1, 0, 41, 3},	//235 Attica::License::operator=(const Attica::License&)
    {16, 228, 0, 0, Smoke::mf_const, 222, 4},	//236 Attica::License::id() const
    {16, 466, 49, 1, 0, 0, 5},	//237 Attica::License::setId(unsigned int)
    {16, 255, 0, 0, Smoke::mf_const, 100, 6},	//238 Attica::License::name() const
    {16, 489, 3, 1, 0, 0, 7},	//239 Attica::License::setName(const QString&)
    {16, 568, 0, 0, Smoke::mf_const, 105, 8},	//240 Attica::License::url() const
    {16, 535, 11, 1, 0, 0, 9},	//241 Attica::License::setUrl(const QUrl&)
    {16, 587, 0, 0, Smoke::mf_dtor, 0, 10 },	//242 Attica::License::~License()
    {17, 27, 0, 0, Smoke::mf_ctor, 64, 1},	//243 Attica::Message::Message()
    {17, 27, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//244 Attica::Message::Message(const Attica::Message&)
    {17, 257, 67, 1, 0, 63, 3},	//245 Attica::Message::operator=(const Attica::Message&)
    {17, 466, 3, 1, 0, 0, 4},	//246 Attica::Message::setId(const QString&)
    {17, 228, 0, 0, Smoke::mf_const, 100, 5},	//247 Attica::Message::id() const
    {17, 453, 3, 1, 0, 0, 6},	//248 Attica::Message::setFrom(const QString&)
    {17, 204, 0, 0, Smoke::mf_const, 100, 7},	//249 Attica::Message::from() const
    {17, 527, 3, 1, 0, 0, 8},	//250 Attica::Message::setTo(const QString&)
    {17, 554, 0, 0, Smoke::mf_const, 100, 9},	//251 Attica::Message::to() const
    {17, 511, 9, 1, 0, 0, 10},	//252 Attica::Message::setSent(const QDateTime&)
    {17, 400, 0, 0, Smoke::mf_const, 85, 11},	//253 Attica::Message::sent() const
    {17, 517, 69, 1, 0, 0, 12},	//254 Attica::Message::setStatus(Attica::Message::Status)
    {17, 547, 0, 0, Smoke::mf_const, 65, 13},	//255 Attica::Message::status() const
    {17, 523, 3, 1, 0, 0, 14},	//256 Attica::Message::setSubject(const QString&)
    {17, 550, 0, 0, Smoke::mf_const, 100, 15},	//257 Attica::Message::subject() const
    {17, 415, 3, 1, 0, 0, 16},	//258 Attica::Message::setBody(const QString&)
    {17, 97, 0, 0, Smoke::mf_const, 100, 17},	//259 Attica::Message::body() const
    {17, 235, 0, 0, Smoke::mf_const, 179, 18},	//260 Attica::Message::isValid() const
    {17, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 19},	//261 Attica::Message::Unread (enum)
    {17, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 20},	//262 Attica::Message::Read (enum)
    {17, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 21},	//263 Attica::Message::Answered (enum)
    {17, 588, 0, 0, Smoke::mf_dtor, 0, 22 },	//264 Attica::Message::~Message()
    {18, 29, 0, 0, Smoke::mf_ctor, 68, 1},	//265 Attica::Metadata::Metadata()
    {18, 29, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//266 Attica::Metadata::Metadata(const Attica::Metadata&)
    {18, 257, 28, 1, 0, 67, 3},	//267 Attica::Metadata::operator=(const Attica::Metadata&)
    {18, 191, 0, 0, Smoke::mf_const, 69, 4},	//268 Attica::Metadata::error() const
    {18, 449, 71, 1, 0, 0, 5},	//269 Attica::Metadata::setError(Attica::Metadata::Error)
    {18, 548, 0, 0, Smoke::mf_const, 220, 6},	//270 Attica::Metadata::statusCode() const
    {18, 519, 34, 1, 0, 0, 7},	//271 Attica::Metadata::setStatusCode(int)
    {18, 549, 0, 0, Smoke::mf_const, 100, 8},	//272 Attica::Metadata::statusString() const
    {18, 521, 3, 1, 0, 0, 9},	//273 Attica::Metadata::setStatusString(const QString&)
    {18, 248, 0, 0, 0, 100, 10},	//274 Attica::Metadata::message()
    {18, 479, 3, 1, 0, 0, 11},	//275 Attica::Metadata::setMessage(const QString&)
    {18, 555, 0, 0, 0, 220, 12},	//276 Attica::Metadata::totalItems()
    {18, 529, 34, 1, 0, 0, 13},	//277 Attica::Metadata::setTotalItems(int)
    {18, 236, 0, 0, 0, 220, 14},	//278 Attica::Metadata::itemsPerPage()
    {18, 468, 34, 1, 0, 0, 15},	//279 Attica::Metadata::setItemsPerPage(int)
    {18, 375, 0, 0, 0, 100, 16},	//280 Attica::Metadata::resultingId()
    {18, 509, 3, 1, 0, 0, 17},	//281 Attica::Metadata::setResultingId(const QString&)
    {18, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 18},	//282 Attica::Metadata::NoError (enum)
    {18, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 19},	//283 Attica::Metadata::NetworkError (enum)
    {18, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 20},	//284 Attica::Metadata::OcsError (enum)
    {18, 589, 0, 0, Smoke::mf_dtor, 0, 21 },	//285 Attica::Metadata::~Metadata()
    {19, 37, 0, 0, Smoke::mf_ctor, 72, 1},	//286 Attica::Person::Person()
    {19, 37, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//287 Attica::Person::Person(const Attica::Person&)
    {19, 257, 7, 1, 0, 71, 3},	//288 Attica::Person::operator=(const Attica::Person&)
    {19, 466, 3, 1, 0, 0, 4},	//289 Attica::Person::setId(const QString&)
    {19, 228, 0, 0, Smoke::mf_const, 100, 5},	//290 Attica::Person::id() const
    {19, 451, 3, 1, 0, 0, 6},	//291 Attica::Person::setFirstName(const QString&)
    {19, 201, 0, 0, Smoke::mf_const, 100, 7},	//292 Attica::Person::firstName() const
    {19, 470, 3, 1, 0, 0, 8},	//293 Attica::Person::setLastName(const QString&)
    {19, 238, 0, 0, Smoke::mf_const, 100, 9},	//294 Attica::Person::lastName() const
    {19, 413, 55, 1, 0, 0, 10},	//295 Attica::Person::setBirthday(const QDate&)
    {19, 96, 0, 0, Smoke::mf_const, 84, 11},	//296 Attica::Person::birthday() const
    {19, 427, 3, 1, 0, 0, 12},	//297 Attica::Person::setCountry(const QString&)
    {19, 117, 0, 0, Smoke::mf_const, 100, 13},	//298 Attica::Person::country() const
    {19, 472, 57, 1, 0, 0, 14},	//299 Attica::Person::setLatitude(double)
    {19, 239, 0, 0, Smoke::mf_const, 219, 15},	//300 Attica::Person::latitude() const
    {19, 477, 57, 1, 0, 0, 16},	//301 Attica::Person::setLongitude(double)
    {19, 247, 0, 0, Smoke::mf_const, 219, 17},	//302 Attica::Person::longitude() const
    {19, 409, 11, 1, 0, 0, 18},	//303 Attica::Person::setAvatarUrl(const QUrl&)
    {19, 91, 0, 0, Smoke::mf_const, 105, 19},	//304 Attica::Person::avatarUrl() const
    {19, 461, 3, 1, 0, 0, 20},	//305 Attica::Person::setHomepage(const QString&)
    {19, 226, 0, 0, Smoke::mf_const, 100, 21},	//306 Attica::Person::homepage() const
    {19, 421, 3, 1, 0, 0, 22},	//307 Attica::Person::setCity(const QString&)
    {19, 108, 0, 0, Smoke::mf_const, 100, 23},	//308 Attica::Person::city() const
    {19, 65, 40, 2, 0, 0, 24},	//309 Attica::Person::addExtendedAttribute(const QString&, const QString&)
    {19, 195, 3, 1, Smoke::mf_const, 100, 25},	//310 Attica::Person::extendedAttribute(const QString&) const
    {19, 197, 0, 0, Smoke::mf_const, 93, 26},	//311 Attica::Person::extendedAttributes() const
    {19, 235, 0, 0, Smoke::mf_const, 179, 27},	//312 Attica::Person::isValid() const
    {19, 590, 0, 0, Smoke::mf_dtor, 0, 28 },	//313 Attica::Person::~Person()
    {20, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 92, 1},	//314 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {20, 63, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//315 Attica::PlatformDependent::addDefaultProviderFile(const QUrl&) [pure virtual]
    {20, 295, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//316 Attica::PlatformDependent::removeDefaultProviderFile(const QUrl&) [pure virtual]
    {20, 188, 73, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//317 Attica::PlatformDependent::enableProvider(const QUrl&, bool) const [pure virtual]
    {20, 233, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 179, 5},	//318 Attica::PlatformDependent::isEnabled(const QUrl&) const [pure virtual]
    {20, 214, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 179, 6},	//319 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {20, 243, 76, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 179, 7},	//320 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {20, 82, 76, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 179, 8},	//321 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {20, 376, 80, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 179, 9},	//322 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {20, 205, 84, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 10},	//323 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {20, 264, 86, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 11},	//324 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {20, 264, 89, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 12},	//325 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {20, 487, 92, 1, Smoke::mf_virtual, 0, 13},	//326 Attica::PlatformDependent::setNam(QNetworkAccessManager*)
    {20, 254, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 14},	//327 Attica::PlatformDependent::nam() [pure virtual]
    {20, 39, 0, 0, Smoke::mf_ctor, 73, 15},	//328 Attica::PlatformDependent::PlatformDependent()
    {20, 39, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 16},	//329 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {20, 591, 0, 0, Smoke::mf_dtor, 0, 17 },	//330 Attica::PlatformDependent::~PlatformDependent()
    {21, 251, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 1},	//331 Attica::PostJob::metaObject() const
    {21, 290, 13, 1, Smoke::mf_virtual, 223, 2},	//332 Attica::PostJob::qt_metacast(const char*)
    {21, 556, 15, 2, Smoke::mf_static, 100, 3},	//333 Attica::PostJob::tr(const char*, const char*)
    {21, 560, 15, 2, Smoke::mf_static, 100, 4},	//334 Attica::PostJob::trUtf8(const char*, const char*)
    {21, 556, 18, 3, Smoke::mf_static, 100, 5},	//335 Attica::PostJob::tr(const char*, const char*, int)
    {21, 560, 18, 3, Smoke::mf_static, 100, 6},	//336 Attica::PostJob::trUtf8(const char*, const char*, int)
    {21, 288, 22, 3, Smoke::mf_virtual, 220, 7},	//337 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {21, 556, 13, 1, Smoke::mf_static, 100, 8},	//338 Attica::PostJob::tr(const char*)
    {21, 560, 13, 1, Smoke::mf_static, 100, 9},	//339 Attica::PostJob::trUtf8(const char*)
    {21, 546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 209, 10},	//340 Attica::PostJob::staticMetaObject() const
    {21, 592, 0, 0, Smoke::mf_dtor, 0, 11 },	//341 Attica::PostJob::~PostJob()
    {23, 41, 0, 0, Smoke::mf_ctor, 77, 1},	//342 Attica::Provider::Provider()
    {23, 41, 96, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 2},	//343 Attica::Provider::Provider(const Attica::Provider&)
    {23, 257, 96, 1, 0, 76, 3},	//344 Attica::Provider::operator=(const Attica::Provider&)
    {23, 235, 0, 0, Smoke::mf_const, 179, 4},	//345 Attica::Provider::isValid() const
    {23, 233, 0, 0, Smoke::mf_const, 179, 5},	//346 Attica::Provider::isEnabled() const
    {23, 445, 47, 1, 0, 0, 6},	//347 Attica::Provider::setEnabled(bool)
    {23, 93, 0, 0, Smoke::mf_const, 105, 7},	//348 Attica::Provider::baseUrl() const
    {23, 255, 0, 0, Smoke::mf_const, 100, 8},	//349 Attica::Provider::name() const
    {23, 221, 0, 0, Smoke::mf_const, 179, 9},	//350 Attica::Provider::hasPersonService() const
    {23, 263, 0, 0, Smoke::mf_const, 100, 10},	//351 Attica::Provider::personServiceVersion() const
    {23, 218, 0, 0, Smoke::mf_const, 179, 11},	//352 Attica::Provider::hasFriendService() const
    {23, 203, 0, 0, Smoke::mf_const, 100, 12},	//353 Attica::Provider::friendServiceVersion() const
    {23, 220, 0, 0, Smoke::mf_const, 179, 13},	//354 Attica::Provider::hasMessageService() const
    {23, 250, 0, 0, Smoke::mf_const, 100, 14},	//355 Attica::Provider::messageServiceVersion() const
    {23, 210, 0, 0, Smoke::mf_const, 179, 15},	//356 Attica::Provider::hasAchievementService() const
    {23, 59, 0, 0, Smoke::mf_const, 100, 16},	//357 Attica::Provider::achievementServiceVersion() const
    {23, 211, 0, 0, Smoke::mf_const, 179, 17},	//358 Attica::Provider::hasActivityService() const
    {23, 60, 0, 0, Smoke::mf_const, 100, 18},	//359 Attica::Provider::activityServiceVersion() const
    {23, 213, 0, 0, Smoke::mf_const, 179, 19},	//360 Attica::Provider::hasContentService() const
    {23, 116, 0, 0, Smoke::mf_const, 100, 20},	//361 Attica::Provider::contentServiceVersion() const
    {23, 216, 0, 0, Smoke::mf_const, 179, 21},	//362 Attica::Provider::hasFanService() const
    {23, 198, 0, 0, Smoke::mf_const, 100, 22},	//363 Attica::Provider::fanServiceVersion() const
    {23, 217, 0, 0, Smoke::mf_const, 179, 23},	//364 Attica::Provider::hasForumService() const
    {23, 202, 0, 0, Smoke::mf_const, 100, 24},	//365 Attica::Provider::forumServiceVersion() const
    {23, 219, 0, 0, Smoke::mf_const, 179, 25},	//366 Attica::Provider::hasKnowledgebaseService() const
    {23, 237, 0, 0, Smoke::mf_const, 100, 26},	//367 Attica::Provider::knowledgebaseServiceVersion() const
    {23, 212, 0, 0, Smoke::mf_const, 179, 27},	//368 Attica::Provider::hasCommentService() const
    {23, 110, 0, 0, Smoke::mf_const, 100, 28},	//369 Attica::Provider::commentServiceVersion() const
    {23, 214, 0, 0, Smoke::mf_const, 179, 29},	//370 Attica::Provider::hasCredentials() const
    {23, 214, 0, 0, 0, 179, 30},	//371 Attica::Provider::hasCredentials()
    {23, 243, 98, 2, 0, 179, 31},	//372 Attica::Provider::loadCredentials(QString&, QString&)
    {23, 376, 40, 2, 0, 179, 32},	//373 Attica::Provider::saveCredentials(const QString&, const QString&)
    {23, 105, 40, 2, 0, 74, 33},	//374 Attica::Provider::checkLogin(const QString&, const QString&)
    {23, 293, 101, 5, 0, 74, 34},	//375 Attica::Provider::registerAccount(const QString&, const QString&, const QString&, const QString&, const QString&)
    {23, 343, 3, 1, 0, 31, 35},	//376 Attica::Provider::requestPerson(const QString&)
    {23, 352, 0, 0, 0, 31, 36},	//377 Attica::Provider::requestPersonSelf()
    {23, 300, 0, 0, 0, 22, 37},	//378 Attica::Provider::requestAccountBalance()
    {23, 350, 3, 1, 0, 58, 38},	//379 Attica::Provider::requestPersonSearchByName(const QString&)
    {23, 345, 107, 5, 0, 58, 39},	//380 Attica::Provider::requestPersonSearchByLocation(double, double, double, int, int)
    {23, 268, 113, 4, 0, 74, 40},	//381 Attica::Provider::postLocation(double, double, const QString&, const QString&)
    {23, 353, 40, 2, 0, 32, 41},	//382 Attica::Provider::requestPrivateData(const QString&, const QString&)
    {23, 353, 0, 0, 0, 32, 42},	//383 Attica::Provider::requestPrivateData()
    {23, 503, 118, 3, 0, 74, 43},	//384 Attica::Provider::setPrivateData(const QString&, const QString&, const QString&)
    {23, 330, 122, 3, 0, 58, 44},	//385 Attica::Provider::requestFriends(const QString&, int, int)
    {23, 368, 126, 2, 0, 58, 45},	//386 Attica::Provider::requestSentInvitations(int, int)
    {23, 362, 126, 2, 0, 58, 46},	//387 Attica::Provider::requestReceivedInvitations(int, int)
    {23, 230, 40, 2, 0, 74, 47},	//388 Attica::Provider::inviteFriend(const QString&, const QString&)
    {23, 80, 3, 1, 0, 74, 48},	//389 Attica::Provider::approveFriendship(const QString&)
    {23, 133, 3, 1, 0, 74, 49},	//390 Attica::Provider::declineFriendship(const QString&)
    {23, 100, 3, 1, 0, 74, 50},	//391 Attica::Provider::cancelFriendship(const QString&)
    {23, 326, 0, 0, 0, 52, 51},	//392 Attica::Provider::requestFolders()
    {23, 340, 59, 1, 0, 57, 52},	//393 Attica::Provider::requestMessages(const Attica::Folder&)
    {23, 340, 129, 2, 0, 57, 53},	//394 Attica::Provider::requestMessages(const Attica::Folder&, Attica::Message::Status)
    {23, 338, 132, 2, 0, 30, 54},	//395 Attica::Provider::requestMessage(const Attica::Folder&, const QString&)
    {23, 272, 67, 1, 0, 74, 55},	//396 Attica::Provider::postMessage(const Attica::Message&)
    {23, 301, 118, 3, 0, 43, 56},	//397 Attica::Provider::requestAchievements(const QString&, const QString&, const QString&)
    {23, 67, 135, 2, 0, 36, 57},	//398 Attica::Provider::addNewAchievement(const QString&, const Attica::Achievement&)
    {23, 180, 138, 3, 0, 81, 58},	//399 Attica::Provider::editAchievement(const QString&, const QString&, const Attica::Achievement&)
    {23, 137, 40, 2, 0, 10, 59},	//400 Attica::Provider::deleteAchievement(const QString&, const QString&)
    {23, 401, 142, 3, 0, 74, 60},	//401 Attica::Provider::setAchievementProgress(const QString&, const QVariant&, const QDateTime&)
    {23, 373, 3, 1, 0, 10, 61},	//402 Attica::Provider::resetAchievementProgress(const QString&)
    {23, 303, 0, 0, 0, 44, 62},	//403 Attica::Provider::requestActivities()
    {23, 266, 3, 1, 0, 74, 63},	//404 Attica::Provider::postActivity(const QString&)
    {23, 358, 0, 0, 0, 59, 64},	//405 Attica::Provider::requestProjects()
    {23, 356, 3, 1, 0, 33, 65},	//406 Attica::Provider::requestProject(const QString&)
    {23, 120, 146, 1, 0, 74, 66},	//407 Attica::Provider::createProject(const Attica::Project&)
    {23, 145, 146, 1, 0, 74, 67},	//408 Attica::Provider::deleteProject(const Attica::Project&)
    {23, 184, 146, 1, 0, 74, 68},	//409 Attica::Provider::editProject(const Attica::Project&)
    {23, 304, 3, 1, 0, 23, 69},	//410 Attica::Provider::requestBuildService(const QString&)
    {23, 359, 3, 1, 0, 34, 70},	//411 Attica::Provider::requestPublisher(const QString&)
    {23, 379, 148, 2, 0, 74, 71},	//412 Attica::Provider::savePublisherField(const Attica::Project&, const Attica::PublisherField&)
    {23, 286, 151, 2, 0, 74, 72},	//413 Attica::Provider::publishBuildJob(const Attica::BuildServiceJob&, const Attica::Publisher&)
    {23, 308, 3, 1, 0, 25, 73},	//414 Attica::Provider::requestBuildServiceJobOutput(const QString&)
    {23, 306, 3, 1, 0, 24, 74},	//415 Attica::Provider::requestBuildServiceJob(const QString&)
    {23, 312, 0, 0, 0, 45, 75},	//416 Attica::Provider::requestBuildServices()
    {23, 361, 0, 0, 0, 60, 76},	//417 Attica::Provider::requestPublishers()
    {23, 310, 146, 1, 0, 46, 77},	//418 Attica::Provider::requestBuildServiceJobs(const Attica::Project&)
    {23, 118, 154, 1, 0, 74, 78},	//419 Attica::Provider::createBuildServiceJob(const Attica::BuildServiceJob&)
    {23, 98, 154, 1, 0, 74, 79},	//420 Attica::Provider::cancelBuildServiceJob(const Attica::BuildServiceJob&)
    {23, 367, 0, 0, 0, 61, 80},	//421 Attica::Provider::requestRemoteAccounts()
    {23, 147, 3, 1, 0, 74, 81},	//422 Attica::Provider::deleteRemoteAccount(const QString&)
    {23, 122, 156, 1, 0, 74, 82},	//423 Attica::Provider::createRemoteAccount(const Attica::RemoteAccount&)
    {23, 186, 156, 1, 0, 74, 83},	//424 Attica::Provider::editRemoteAccount(const Attica::RemoteAccount&)
    {23, 365, 3, 1, 0, 35, 84},	//425 Attica::Provider::requestRemoteAccount(const QString&)
    {23, 566, 158, 3, 0, 74, 85},	//426 Attica::Provider::uploadTarballToBuildService(const QString&, const QString&, const QByteArray&)
    {23, 313, 0, 0, 0, 47, 86},	//427 Attica::Provider::requestCategories()
    {23, 337, 0, 0, 0, 56, 87},	//428 Attica::Provider::requestLicenses()
    {23, 318, 0, 0, 0, 50, 88},	//429 Attica::Provider::requestDistributions()
    {23, 334, 0, 0, 0, 54, 89},	//430 Attica::Provider::requestHomePageTypes()
    {23, 381, 162, 5, 0, 49, 90},	//431 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {23, 392, 168, 6, 0, 49, 91},	//432 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {23, 381, 175, 8, 0, 49, 92},	//433 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {23, 316, 3, 1, 0, 26, 93},	//434 Attica::Provider::requestContent(const QString&)
    {23, 173, 40, 2, 0, 27, 94},	//435 Attica::Provider::downloadLink(const QString&, const QString&)
    {23, 574, 184, 2, 0, 74, 95},	//436 Attica::Provider::voteForContent(const QString&, bool)
    {23, 574, 187, 2, 0, 74, 96},	//437 Attica::Provider::voteForContent(const QString&, unsigned int)
    {23, 71, 190, 2, 0, 38, 97},	//438 Attica::Provider::addNewContent(const Attica::Category&, const Attica::Content&)
    {23, 182, 193, 3, 0, 38, 98},	//439 Attica::Provider::editContent(const Attica::Category&, const QString&, const Attica::Content&)
    {23, 139, 3, 1, 0, 74, 99},	//440 Attica::Provider::deleteContent(const QString&)
    {23, 439, 158, 3, 0, 74, 100},	//441 Attica::Provider::setDownloadFile(const QString&, const QString&, const QByteArray&)
    {23, 141, 3, 1, 0, 74, 101},	//442 Attica::Provider::deleteDownloadFile(const QString&)
    {23, 497, 197, 4, 0, 74, 102},	//443 Attica::Provider::setPreviewImage(const QString&, const QString&, const QString&, const QByteArray&)
    {23, 143, 40, 2, 0, 74, 103},	//444 Attica::Provider::deletePreviewImage(const QString&, const QString&)
    {23, 335, 3, 1, 0, 29, 104},	//445 Attica::Provider::requestKnowledgeBaseEntry(const QString&)
    {23, 398, 202, 5, 0, 55, 105},	//446 Attica::Provider::searchKnowledgeBase(const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int)
    {23, 319, 3, 1, 0, 28, 106},	//447 Attica::Provider::requestEvent(const QString&)
    {23, 319, 208, 6, 0, 51, 107},	//448 Attica::Provider::requestEvent(const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int)
    {23, 314, 215, 5, 0, 48, 108},	//449 Attica::Provider::requestComments(const Attica::Comment::Type, const QString&, const QString&, int, int)
    {23, 69, 221, 6, 0, 37, 109},	//450 Attica::Provider::addNewComment(const Attica::Comment::Type, const QString&, const QString&, const QString&, const QString&, const QString&)
    {23, 572, 187, 2, 0, 74, 110},	//451 Attica::Provider::voteForComment(const QString&, unsigned int)
    {23, 94, 3, 1, 0, 74, 111},	//452 Attica::Provider::becomeFan(const QString&)
    {23, 322, 228, 3, 0, 58, 112},	//453 Attica::Provider::requestFans(const QString&, unsigned int, unsigned int)
    {23, 327, 232, 2, 0, 53, 113},	//454 Attica::Provider::requestForums(unsigned int, unsigned int)
    {23, 371, 235, 6, 0, 62, 114},	//455 Attica::Provider::requestTopics(const QString&, const QString&, const QString&, Attica::Provider::SortMode, int, int)
    {23, 274, 118, 3, 0, 74, 115},	//456 Attica::Provider::postTopic(const QString&, const QString&, const QString&)
    {23, 127, 3, 1, Smoke::mf_protected, 105, 116},	//457 Attica::Provider::createUrl(const QString&)
    {23, 124, 11, 1, Smoke::mf_protected, 97, 117},	//458 Attica::Provider::createRequest(const QUrl&)
    {23, 124, 3, 1, Smoke::mf_protected, 97, 118},	//459 Attica::Provider::createRequest(const QString&)
    {23, 167, 11, 1, Smoke::mf_protected, 31, 119},	//460 Attica::Provider::doRequestPerson(const QUrl&)
    {23, 155, 11, 1, Smoke::mf_protected, 22, 120},	//461 Attica::Provider::doRequestAccountBalance(const QUrl&)
    {23, 169, 11, 1, Smoke::mf_protected, 58, 121},	//462 Attica::Provider::doRequestPersonList(const QUrl&)
    {23, 157, 11, 1, Smoke::mf_protected, 43, 122},	//463 Attica::Provider::doRequestAchievementList(const QUrl&)
    {23, 159, 11, 1, Smoke::mf_protected, 44, 123},	//464 Attica::Provider::doRequestActivityList(const QUrl&)
    {23, 161, 11, 1, Smoke::mf_protected, 52, 124},	//465 Attica::Provider::doRequestFolderList(const QUrl&)
    {23, 163, 11, 1, Smoke::mf_protected, 53, 125},	//466 Attica::Provider::doRequestForumList(const QUrl&)
    {23, 171, 11, 1, Smoke::mf_protected, 62, 126},	//467 Attica::Provider::doRequestTopicList(const QUrl&)
    {23, 165, 11, 1, Smoke::mf_protected, 57, 127},	//468 Attica::Provider::doRequestMessageList(const QUrl&)
    {23, 345, 242, 2, 0, 58, 128},	//469 Attica::Provider::requestPersonSearchByLocation(double, double)
    {23, 345, 245, 3, 0, 58, 129},	//470 Attica::Provider::requestPersonSearchByLocation(double, double, double)
    {23, 345, 249, 4, 0, 58, 130},	//471 Attica::Provider::requestPersonSearchByLocation(double, double, double, int)
    {23, 268, 242, 2, 0, 74, 131},	//472 Attica::Provider::postLocation(double, double)
    {23, 268, 254, 3, 0, 74, 132},	//473 Attica::Provider::postLocation(double, double, const QString&)
    {23, 353, 3, 1, 0, 32, 133},	//474 Attica::Provider::requestPrivateData(const QString&)
    {23, 330, 3, 1, 0, 58, 134},	//475 Attica::Provider::requestFriends(const QString&)
    {23, 330, 258, 2, 0, 58, 135},	//476 Attica::Provider::requestFriends(const QString&, int)
    {23, 368, 0, 0, 0, 58, 136},	//477 Attica::Provider::requestSentInvitations()
    {23, 368, 34, 1, 0, 58, 137},	//478 Attica::Provider::requestSentInvitations(int)
    {23, 362, 0, 0, 0, 58, 138},	//479 Attica::Provider::requestReceivedInvitations()
    {23, 362, 34, 1, 0, 58, 139},	//480 Attica::Provider::requestReceivedInvitations(int)
    {23, 381, 261, 1, 0, 49, 140},	//481 Attica::Provider::searchContents(const QList<Attica::Category>&)
    {23, 381, 263, 2, 0, 49, 141},	//482 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&)
    {23, 381, 266, 3, 0, 49, 142},	//483 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode)
    {23, 381, 270, 4, 0, 49, 143},	//484 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {23, 392, 263, 2, 0, 49, 144},	//485 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&)
    {23, 392, 275, 3, 0, 49, 145},	//486 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&)
    {23, 392, 279, 4, 0, 49, 146},	//487 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode)
    {23, 392, 284, 5, 0, 49, 147},	//488 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int)
    {23, 381, 290, 4, 0, 49, 148},	//489 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&)
    {23, 381, 295, 5, 0, 49, 149},	//490 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&)
    {23, 381, 301, 6, 0, 49, 150},	//491 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode)
    {23, 381, 308, 7, 0, 49, 151},	//492 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, const QList<Attica::Distribution>&, const QList<Attica::License>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {23, 173, 3, 1, 0, 27, 152},	//493 Attica::Provider::downloadLink(const QString&)
    {23, 322, 3, 1, 0, 58, 153},	//494 Attica::Provider::requestFans(const QString&)
    {23, 322, 187, 2, 0, 58, 154},	//495 Attica::Provider::requestFans(const QString&, unsigned int)
    {23, 327, 0, 0, 0, 53, 155},	//496 Attica::Provider::requestForums()
    {23, 327, 49, 1, 0, 53, 156},	//497 Attica::Provider::requestForums(unsigned int)
    {23, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 157},	//498 Attica::Provider::Newest (enum)
    {23, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 158},	//499 Attica::Provider::Alphabetical (enum)
    {23, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 159},	//500 Attica::Provider::Rating (enum)
    {23, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 160},	//501 Attica::Provider::Downloads (enum)
    {23, 593, 0, 0, Smoke::mf_dtor, 0, 161 },	//502 Attica::Provider::~Provider()
    {24, 251, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 1},	//503 Attica::ProviderManager::metaObject() const
    {24, 290, 13, 1, Smoke::mf_virtual, 223, 2},	//504 Attica::ProviderManager::qt_metacast(const char*)
    {24, 556, 15, 2, Smoke::mf_static, 100, 3},	//505 Attica::ProviderManager::tr(const char*, const char*)
    {24, 560, 15, 2, Smoke::mf_static, 100, 4},	//506 Attica::ProviderManager::trUtf8(const char*, const char*)
    {24, 556, 18, 3, Smoke::mf_static, 100, 5},	//507 Attica::ProviderManager::tr(const char*, const char*, int)
    {24, 560, 18, 3, Smoke::mf_static, 100, 6},	//508 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {24, 288, 22, 3, Smoke::mf_virtual, 220, 7},	//509 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {24, 43, 316, 1, Smoke::mf_ctor, 79, 8},	//510 Attica::ProviderManager::ProviderManager(const QFlags<Attica::ProviderManager::ProviderFlag>&)
    {24, 246, 0, 0, 0, 0, 9},	//511 Attica::ProviderManager::loadDefaultProviders()
    {24, 135, 0, 0, 0, 92, 10},	//512 Attica::ProviderManager::defaultProviderFiles()
    {24, 75, 11, 1, 0, 0, 11},	//513 Attica::ProviderManager::addProviderFileToDefaultProviders(const QUrl&)
    {24, 297, 11, 1, 0, 0, 12},	//514 Attica::ProviderManager::removeProviderFileFromDefaultProviders(const QUrl&)
    {24, 407, 47, 1, 0, 0, 13},	//515 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {24, 109, 0, 0, 0, 0, 14},	//516 Attica::ProviderManager::clear()
    {24, 77, 3, 1, 0, 0, 15},	//517 Attica::ProviderManager::addProviderFromXml(const QString&)
    {24, 73, 11, 1, 0, 0, 16},	//518 Attica::ProviderManager::addProviderFile(const QUrl&)
    {24, 284, 0, 0, Smoke::mf_const, 92, 17},	//519 Attica::ProviderManager::providerFiles() const
    {24, 285, 0, 0, Smoke::mf_const, 91, 18},	//520 Attica::ProviderManager::providers() const
    {24, 113, 3, 1, Smoke::mf_const, 179, 19},	//521 Attica::ProviderManager::contains(const QString&) const
    {24, 282, 11, 1, Smoke::mf_const, 75, 20},	//522 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {24, 280, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//523 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {24, 136, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//524 Attica::ProviderManager::defaultProvidersLoaded()
    {24, 88, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//525 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {24, 556, 13, 1, Smoke::mf_static, 100, 24},	//526 Attica::ProviderManager::tr(const char*)
    {24, 560, 13, 1, Smoke::mf_static, 100, 25},	//527 Attica::ProviderManager::trUtf8(const char*)
    {24, 43, 0, 0, Smoke::mf_ctor, 79, 26},	//528 Attica::ProviderManager::ProviderManager()
    {24, 546, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 209, 27},	//529 Attica::ProviderManager::staticMetaObject() const
    {24, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 28},	//530 Attica::ProviderManager::NoFlags (enum)
    {24, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 29},	//531 Attica::ProviderManager::DisablePlugins (enum)
    {24, 594, 0, 0, Smoke::mf_dtor, 0, 30 },	//532 Attica::ProviderManager::~ProviderManager()
    {35, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 1},	//533 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {35, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 2},	//534 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {35, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 3},	//535 QGlobalSpace::Q_STATIC_TYPE (enum)
    {35, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 4},	//536 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {35, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 5},	//537 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {35, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 6},	//538 QGlobalSpace::QtDebugMsg (enum)
    {35, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 7},	//539 QGlobalSpace::QtWarningMsg (enum)
    {35, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 8},	//540 QGlobalSpace::QtCriticalMsg (enum)
    {35, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 9},	//541 QGlobalSpace::QtFatalMsg (enum)
    {35, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 10},	//542 QGlobalSpace::QtSystemMsg (enum)
    {41, 192, 318, 1, Smoke::mf_virtual, 179, 0},	//543 QObject::event(QEvent*)
    {41, 193, 320, 2, Smoke::mf_virtual, 179, 0},	//544 QObject::eventFilter(QObject*, QEvent*)
    {41, 552, 323, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//545 QObject::timerEvent(QTimerEvent*)
    {41, 107, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//546 QObject::childEvent(QChildEvent*)
    {41, 131, 318, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//547 QObject::customEvent(QEvent*)
    {41, 112, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//548 QObject::connectNotify(const char*)
    {41, 153, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//549 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    370,  // Attica::Provider::hasCredentials() const
    371,  // Attica::Provider::hasCredentials()
    0,
    436,  // Attica::Provider::voteForContent(const QString&, bool)
    437,  // Attica::Provider::voteForContent(const QString&, unsigned int)
    0,
    324,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    325,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 1, 1},	// Attica::AccountBalance::AccountBalance
    {1, 2, 2},	// Attica::AccountBalance::AccountBalance#
    {1, 92, 7},	// Attica::AccountBalance::balance
    {1, 130, 5},	// Attica::AccountBalance::currency
    {1, 258, 3},	// Attica::AccountBalance::operator=#
    {1, 412, 6},	// Attica::AccountBalance::setBalance$
    {1, 432, 4},	// Attica::AccountBalance::setCurrency$
    {1, 576, 8},	// Attica::AccountBalance::~AccountBalance
    {3, 3, 9},	// Attica::Activity::Activity
    {3, 4, 10},	// Attica::Activity::Activity#
    {3, 84, 15},	// Attica::Activity::associatedPerson
    {3, 228, 13},	// Attica::Activity::id
    {3, 235, 22},	// Attica::Activity::isValid
    {3, 242, 21},	// Attica::Activity::link
    {3, 248, 19},	// Attica::Activity::message
    {3, 258, 11},	// Attica::Activity::operator=#
    {3, 406, 14},	// Attica::Activity::setAssociatedPerson#
    {3, 467, 12},	// Attica::Activity::setId$
    {3, 475, 20},	// Attica::Activity::setLink#
    {3, 480, 18},	// Attica::Activity::setMessage$
    {3, 526, 16},	// Attica::Activity::setTimestamp#
    {3, 553, 17},	// Attica::Activity::timestamp
    {3, 577, 23},	// Attica::Activity::~Activity
    {4, 58, 33},	// Attica::BaseJob::abort
    {4, 132, 35},	// Attica::BaseJob::dataFinished
    {4, 194, 37},	// Attica::BaseJob::executeRequest
    {4, 200, 34},	// Attica::BaseJob::finished#
    {4, 229, 39},	// Attica::BaseJob::internals
    {4, 251, 24},	// Attica::BaseJob::metaObject
    {4, 252, 31},	// Attica::BaseJob::metadata
    {4, 262, 38},	// Attica::BaseJob::parse$
    {4, 289, 30},	// Attica::BaseJob::qt_metacall$$?
    {4, 291, 25},	// Attica::BaseJob::qt_metacast$
    {4, 484, 36},	// Attica::BaseJob::setMetadata#
    {4, 544, 32},	// Attica::BaseJob::start
    {4, 546, 42},	// Attica::BaseJob::staticMetaObject
    {4, 557, 40},	// Attica::BaseJob::tr$
    {4, 558, 26},	// Attica::BaseJob::tr$$
    {4, 559, 28},	// Attica::BaseJob::tr$$$
    {4, 561, 41},	// Attica::BaseJob::trUtf8$
    {4, 562, 27},	// Attica::BaseJob::trUtf8$$
    {4, 563, 29},	// Attica::BaseJob::trUtf8$$$
    {4, 578, 43},	// Attica::BaseJob::~BaseJob
    {6, 7, 44},	// Attica::Category::Category
    {6, 8, 45},	// Attica::Category::Category#
    {6, 228, 48},	// Attica::Category::id
    {6, 235, 51},	// Attica::Category::isValid
    {6, 255, 50},	// Attica::Category::name
    {6, 258, 46},	// Attica::Category::operator=#
    {6, 467, 47},	// Attica::Category::setId$
    {6, 490, 49},	// Attica::Category::setName$
    {6, 579, 52},	// Attica::Category::~Category
    {7, 9, 53},	// Attica::Content::Content
    {7, 10, 54},	// Attica::Content::Content#
    {7, 62, 89},	// Attica::Content::addAttribute$$
    {7, 86, 90},	// Attica::Content::attribute$
    {7, 87, 91},	// Attica::Content::attributes
    {7, 90, 84},	// Attica::Content::author
    {7, 104, 73},	// Attica::Content::changelog
    {7, 129, 67},	// Attica::Content::created
    {7, 149, 75},	// Attica::Content::depend
    {7, 150, 71},	// Attica::Content::description
    {7, 152, 72},	// Attica::Content::detailpage
    {7, 177, 76},	// Attica::Content::downloadUrlDescription$
    {7, 178, 77},	// Attica::Content::downloadUrlDescriptions
    {7, 179, 63},	// Attica::Content::downloads
    {7, 223, 79},	// Attica::Content::homePageEntries
    {7, 225, 78},	// Attica::Content::homePageEntry$
    {7, 227, 85},	// Attica::Content::icons
    {7, 228, 57},	// Attica::Content::id
    {7, 235, 92},	// Attica::Content::isValid
    {7, 240, 82},	// Attica::Content::license
    {7, 241, 83},	// Attica::Content::licenseName
    {7, 255, 59},	// Attica::Content::name
    {7, 256, 65},	// Attica::Content::numberOfComments
    {7, 258, 55},	// Attica::Content::operator=#
    {7, 276, 93},	// Attica::Content::previewPicture
    {7, 277, 80},	// Attica::Content::previewPicture$
    {7, 292, 61},	// Attica::Content::rating
    {7, 430, 66},	// Attica::Content::setCreated#
    {7, 442, 62},	// Attica::Content::setDownloads$
    {7, 465, 86},	// Attica::Content::setIcons?
    {7, 467, 56},	// Attica::Content::setId$
    {7, 490, 58},	// Attica::Content::setName$
    {7, 492, 64},	// Attica::Content::setNumberOfComments$
    {7, 506, 60},	// Attica::Content::setRating$
    {7, 534, 68},	// Attica::Content::setUpdated#
    {7, 540, 88},	// Attica::Content::setVideos?
    {7, 542, 94},	// Attica::Content::smallPreviewPicture
    {7, 543, 81},	// Attica::Content::smallPreviewPicture$
    {7, 551, 70},	// Attica::Content::summary
    {7, 565, 69},	// Attica::Content::updated
    {7, 570, 74},	// Attica::Content::version
    {7, 571, 87},	// Attica::Content::videos
    {7, 580, 95},	// Attica::Content::~Content
    {9, 12, 96},	// Attica::DownloadDescription::DownloadDescription
    {9, 13, 97},	// Attica::DownloadDescription::DownloadDescription#
    {9, 19, 129},	// Attica::DownloadDescription::FileDownload
    {9, 26, 130},	// Attica::DownloadDescription::LinkDownload
    {9, 36, 131},	// Attica::DownloadDescription::PackageDownload
    {9, 102, 103},	// Attica::DownloadDescription::category
    {9, 154, 106},	// Attica::DownloadDescription::distributionType
    {9, 208, 110},	// Attica::DownloadDescription::gpgFingerprint
    {9, 209, 111},	// Attica::DownloadDescription::gpgSignature
    {9, 222, 102},	// Attica::DownloadDescription::hasPrice
    {9, 228, 99},	// Attica::DownloadDescription::id
    {9, 232, 101},	// Attica::DownloadDescription::isDownloadtypLink
    {9, 242, 105},	// Attica::DownloadDescription::link
    {9, 255, 104},	// Attica::DownloadDescription::name
    {9, 258, 98},	// Attica::DownloadDescription::operator=#
    {9, 259, 112},	// Attica::DownloadDescription::packageName
    {9, 278, 108},	// Attica::DownloadDescription::priceAmount
    {9, 279, 107},	// Attica::DownloadDescription::priceReason
    {9, 299, 113},	// Attica::DownloadDescription::repository
    {9, 418, 118},	// Attica::DownloadDescription::setCategory$
    {9, 438, 121},	// Attica::DownloadDescription::setDistributionType$
    {9, 444, 116},	// Attica::DownloadDescription::setDownloadtypLink$
    {9, 456, 125},	// Attica::DownloadDescription::setGpgFingerprint$
    {9, 458, 126},	// Attica::DownloadDescription::setGpgSignature$
    {9, 460, 117},	// Attica::DownloadDescription::setHasPrice$
    {9, 467, 114},	// Attica::DownloadDescription::setId$
    {9, 476, 120},	// Attica::DownloadDescription::setLink$
    {9, 490, 119},	// Attica::DownloadDescription::setName$
    {9, 494, 127},	// Attica::DownloadDescription::setPackageName$
    {9, 500, 123},	// Attica::DownloadDescription::setPriceAmount$
    {9, 502, 122},	// Attica::DownloadDescription::setPriceReason$
    {9, 508, 128},	// Attica::DownloadDescription::setRepository$
    {9, 514, 124},	// Attica::DownloadDescription::setSize$
    {9, 532, 115},	// Attica::DownloadDescription::setType$
    {9, 541, 109},	// Attica::DownloadDescription::size
    {9, 564, 100},	// Attica::DownloadDescription::type
    {9, 581, 132},	// Attica::DownloadDescription::~DownloadDescription
    {10, 14, 133},	// Attica::DownloadItem::DownloadItem
    {10, 15, 134},	// Attica::DownloadItem::DownloadItem#
    {10, 208, 145},	// Attica::DownloadItem::gpgFingerprint
    {10, 209, 147},	// Attica::DownloadItem::gpgSignature
    {10, 253, 139},	// Attica::DownloadItem::mimeType
    {10, 258, 135},	// Attica::DownloadItem::operator=#
    {10, 259, 141},	// Attica::DownloadItem::packageName
    {10, 260, 143},	// Attica::DownloadItem::packageRepository
    {10, 456, 144},	// Attica::DownloadItem::setGpgFingerprint$
    {10, 458, 146},	// Attica::DownloadItem::setGpgSignature$
    {10, 486, 138},	// Attica::DownloadItem::setMimeType$
    {10, 494, 140},	// Attica::DownloadItem::setPackageName$
    {10, 496, 142},	// Attica::DownloadItem::setPackageRepository$
    {10, 532, 148},	// Attica::DownloadItem::setType$
    {10, 536, 136},	// Attica::DownloadItem::setUrl#
    {10, 564, 149},	// Attica::DownloadItem::type
    {10, 568, 137},	// Attica::DownloadItem::url
    {10, 582, 150},	// Attica::DownloadItem::~DownloadItem
    {11, 17, 151},	// Attica::Event::Event
    {11, 18, 152},	// Attica::Event::Event#
    {11, 66, 176},	// Attica::Event::addExtendedAttribute$$
    {11, 108, 175},	// Attica::Event::city
    {11, 117, 173},	// Attica::Event::country
    {11, 150, 159},	// Attica::Event::description
    {11, 190, 165},	// Attica::Event::endDate
    {11, 196, 177},	// Attica::Event::extendedAttribute$
    {11, 197, 178},	// Attica::Event::extendedAttributes
    {11, 226, 171},	// Attica::Event::homepage
    {11, 228, 155},	// Attica::Event::id
    {11, 235, 179},	// Attica::Event::isValid
    {11, 239, 167},	// Attica::Event::latitude
    {11, 247, 169},	// Attica::Event::longitude
    {11, 255, 157},	// Attica::Event::name
    {11, 258, 153},	// Attica::Event::operator=#
    {11, 422, 174},	// Attica::Event::setCity$
    {11, 428, 172},	// Attica::Event::setCountry$
    {11, 434, 158},	// Attica::Event::setDescription$
    {11, 448, 164},	// Attica::Event::setEndDate#
    {11, 462, 170},	// Attica::Event::setHomepage#
    {11, 467, 154},	// Attica::Event::setId$
    {11, 473, 166},	// Attica::Event::setLatitude$
    {11, 478, 168},	// Attica::Event::setLongitude$
    {11, 490, 156},	// Attica::Event::setName$
    {11, 516, 162},	// Attica::Event::setStartDate#
    {11, 538, 160},	// Attica::Event::setUser$
    {11, 545, 163},	// Attica::Event::startDate
    {11, 569, 161},	// Attica::Event::user
    {11, 583, 180},	// Attica::Event::~Event
    {12, 20, 181},	// Attica::Folder::Folder
    {12, 21, 182},	// Attica::Folder::Folder#
    {12, 228, 185},	// Attica::Folder::id
    {12, 235, 192},	// Attica::Folder::isValid
    {12, 249, 189},	// Attica::Folder::messageCount
    {12, 255, 187},	// Attica::Folder::name
    {12, 258, 183},	// Attica::Folder::operator=#
    {12, 467, 184},	// Attica::Folder::setId$
    {12, 482, 188},	// Attica::Folder::setMessageCount$
    {12, 490, 186},	// Attica::Folder::setName$
    {12, 532, 190},	// Attica::Folder::setType$
    {12, 564, 191},	// Attica::Folder::type
    {12, 584, 193},	// Attica::Folder::~Folder
    {13, 251, 194},	// Attica::GetJob::metaObject
    {13, 289, 200},	// Attica::GetJob::qt_metacall$$?
    {13, 291, 195},	// Attica::GetJob::qt_metacast$
    {13, 546, 203},	// Attica::GetJob::staticMetaObject
    {13, 557, 201},	// Attica::GetJob::tr$
    {13, 558, 196},	// Attica::GetJob::tr$$
    {13, 559, 198},	// Attica::GetJob::tr$$$
    {13, 561, 202},	// Attica::GetJob::trUtf8$
    {13, 562, 197},	// Attica::GetJob::trUtf8$$
    {13, 563, 199},	// Attica::GetJob::trUtf8$$$
    {13, 585, 204},	// Attica::GetJob::~GetJob
    {15, 22, 205},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry
    {15, 23, 206},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry#
    {15, 66, 228},	// Attica::KnowledgeBaseEntry::addExtendedAttribute$$
    {15, 79, 223},	// Attica::KnowledgeBaseEntry::answer
    {15, 103, 217},	// Attica::KnowledgeBaseEntry::changed
    {15, 111, 225},	// Attica::KnowledgeBaseEntry::comments
    {15, 115, 211},	// Attica::KnowledgeBaseEntry::contentId
    {15, 150, 221},	// Attica::KnowledgeBaseEntry::description
    {15, 151, 227},	// Attica::KnowledgeBaseEntry::detailPage
    {15, 196, 229},	// Attica::KnowledgeBaseEntry::extendedAttribute$
    {15, 197, 230},	// Attica::KnowledgeBaseEntry::extendedAttributes
    {15, 228, 209},	// Attica::KnowledgeBaseEntry::id
    {15, 235, 231},	// Attica::KnowledgeBaseEntry::isValid
    {15, 255, 219},	// Attica::KnowledgeBaseEntry::name
    {15, 258, 207},	// Attica::KnowledgeBaseEntry::operator=#
    {15, 404, 222},	// Attica::KnowledgeBaseEntry::setAnswer$
    {15, 420, 216},	// Attica::KnowledgeBaseEntry::setChanged#
    {15, 424, 224},	// Attica::KnowledgeBaseEntry::setComments$
    {15, 426, 210},	// Attica::KnowledgeBaseEntry::setContentId$
    {15, 434, 220},	// Attica::KnowledgeBaseEntry::setDescription$
    {15, 436, 226},	// Attica::KnowledgeBaseEntry::setDetailPage#
    {15, 467, 208},	// Attica::KnowledgeBaseEntry::setId$
    {15, 490, 218},	// Attica::KnowledgeBaseEntry::setName$
    {15, 518, 214},	// Attica::KnowledgeBaseEntry::setStatus$
    {15, 538, 212},	// Attica::KnowledgeBaseEntry::setUser$
    {15, 547, 215},	// Attica::KnowledgeBaseEntry::status
    {15, 569, 213},	// Attica::KnowledgeBaseEntry::user
    {15, 586, 232},	// Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry
    {16, 24, 233},	// Attica::License::License
    {16, 25, 234},	// Attica::License::License#
    {16, 228, 236},	// Attica::License::id
    {16, 255, 238},	// Attica::License::name
    {16, 258, 235},	// Attica::License::operator=#
    {16, 467, 237},	// Attica::License::setId$
    {16, 490, 239},	// Attica::License::setName$
    {16, 536, 241},	// Attica::License::setUrl#
    {16, 568, 240},	// Attica::License::url
    {16, 587, 242},	// Attica::License::~License
    {17, 6, 263},	// Attica::Message::Answered
    {17, 27, 243},	// Attica::Message::Message
    {17, 28, 244},	// Attica::Message::Message#
    {17, 56, 262},	// Attica::Message::Read
    {17, 57, 261},	// Attica::Message::Unread
    {17, 97, 259},	// Attica::Message::body
    {17, 204, 249},	// Attica::Message::from
    {17, 228, 247},	// Attica::Message::id
    {17, 235, 260},	// Attica::Message::isValid
    {17, 258, 245},	// Attica::Message::operator=#
    {17, 400, 253},	// Attica::Message::sent
    {17, 416, 258},	// Attica::Message::setBody$
    {17, 454, 248},	// Attica::Message::setFrom$
    {17, 467, 246},	// Attica::Message::setId$
    {17, 512, 252},	// Attica::Message::setSent#
    {17, 518, 254},	// Attica::Message::setStatus$
    {17, 524, 256},	// Attica::Message::setSubject$
    {17, 528, 250},	// Attica::Message::setTo$
    {17, 547, 255},	// Attica::Message::status
    {17, 550, 257},	// Attica::Message::subject
    {17, 554, 251},	// Attica::Message::to
    {17, 588, 264},	// Attica::Message::~Message
    {18, 29, 265},	// Attica::Metadata::Metadata
    {18, 30, 266},	// Attica::Metadata::Metadata#
    {18, 31, 283},	// Attica::Metadata::NetworkError
    {18, 33, 282},	// Attica::Metadata::NoError
    {18, 35, 284},	// Attica::Metadata::OcsError
    {18, 191, 268},	// Attica::Metadata::error
    {18, 236, 278},	// Attica::Metadata::itemsPerPage
    {18, 248, 274},	// Attica::Metadata::message
    {18, 258, 267},	// Attica::Metadata::operator=#
    {18, 375, 280},	// Attica::Metadata::resultingId
    {18, 450, 269},	// Attica::Metadata::setError$
    {18, 469, 279},	// Attica::Metadata::setItemsPerPage$
    {18, 480, 275},	// Attica::Metadata::setMessage$
    {18, 510, 281},	// Attica::Metadata::setResultingId$
    {18, 520, 271},	// Attica::Metadata::setStatusCode$
    {18, 522, 273},	// Attica::Metadata::setStatusString$
    {18, 530, 277},	// Attica::Metadata::setTotalItems$
    {18, 548, 270},	// Attica::Metadata::statusCode
    {18, 549, 272},	// Attica::Metadata::statusString
    {18, 555, 276},	// Attica::Metadata::totalItems
    {18, 589, 285},	// Attica::Metadata::~Metadata
    {19, 37, 286},	// Attica::Person::Person
    {19, 38, 287},	// Attica::Person::Person#
    {19, 66, 309},	// Attica::Person::addExtendedAttribute$$
    {19, 91, 304},	// Attica::Person::avatarUrl
    {19, 96, 296},	// Attica::Person::birthday
    {19, 108, 308},	// Attica::Person::city
    {19, 117, 298},	// Attica::Person::country
    {19, 196, 310},	// Attica::Person::extendedAttribute$
    {19, 197, 311},	// Attica::Person::extendedAttributes
    {19, 201, 292},	// Attica::Person::firstName
    {19, 226, 306},	// Attica::Person::homepage
    {19, 228, 290},	// Attica::Person::id
    {19, 235, 312},	// Attica::Person::isValid
    {19, 238, 294},	// Attica::Person::lastName
    {19, 239, 300},	// Attica::Person::latitude
    {19, 247, 302},	// Attica::Person::longitude
    {19, 258, 288},	// Attica::Person::operator=#
    {19, 410, 303},	// Attica::Person::setAvatarUrl#
    {19, 414, 295},	// Attica::Person::setBirthday#
    {19, 422, 307},	// Attica::Person::setCity$
    {19, 428, 297},	// Attica::Person::setCountry$
    {19, 452, 291},	// Attica::Person::setFirstName$
    {19, 463, 305},	// Attica::Person::setHomepage$
    {19, 467, 289},	// Attica::Person::setId$
    {19, 471, 293},	// Attica::Person::setLastName$
    {19, 473, 299},	// Attica::Person::setLatitude$
    {19, 478, 301},	// Attica::Person::setLongitude$
    {19, 590, 313},	// Attica::Person::~Person
    {20, 39, 328},	// Attica::PlatformDependent::PlatformDependent
    {20, 40, 329},	// Attica::PlatformDependent::PlatformDependent#
    {20, 64, 315},	// Attica::PlatformDependent::addDefaultProviderFile#
    {20, 83, 321},	// Attica::PlatformDependent::askForCredentials#$$
    {20, 189, 317},	// Attica::PlatformDependent::enableProvider#$
    {20, 206, 323},	// Attica::PlatformDependent::get#
    {20, 207, 314},	// Attica::PlatformDependent::getDefaultProviderFiles
    {20, 215, 319},	// Attica::PlatformDependent::hasCredentials#
    {20, 234, 318},	// Attica::PlatformDependent::isEnabled#
    {20, 244, 320},	// Attica::PlatformDependent::loadCredentials#$$
    {20, 254, 327},	// Attica::PlatformDependent::nam
    {20, 265, -7},	// Attica::PlatformDependent::post##
    {20, 296, 316},	// Attica::PlatformDependent::removeDefaultProviderFile#
    {20, 377, 322},	// Attica::PlatformDependent::saveCredentials#$$
    {20, 488, 326},	// Attica::PlatformDependent::setNam#
    {20, 591, 330},	// Attica::PlatformDependent::~PlatformDependent
    {21, 251, 331},	// Attica::PostJob::metaObject
    {21, 289, 337},	// Attica::PostJob::qt_metacall$$?
    {21, 291, 332},	// Attica::PostJob::qt_metacast$
    {21, 546, 340},	// Attica::PostJob::staticMetaObject
    {21, 557, 338},	// Attica::PostJob::tr$
    {21, 558, 333},	// Attica::PostJob::tr$$
    {21, 559, 335},	// Attica::PostJob::tr$$$
    {21, 561, 339},	// Attica::PostJob::trUtf8$
    {21, 562, 334},	// Attica::PostJob::trUtf8$$
    {21, 563, 336},	// Attica::PostJob::trUtf8$$$
    {21, 592, 341},	// Attica::PostJob::~PostJob
    {23, 5, 499},	// Attica::Provider::Alphabetical
    {23, 16, 501},	// Attica::Provider::Downloads
    {23, 32, 498},	// Attica::Provider::Newest
    {23, 41, 342},	// Attica::Provider::Provider
    {23, 42, 343},	// Attica::Provider::Provider#
    {23, 55, 500},	// Attica::Provider::Rating
    {23, 59, 357},	// Attica::Provider::achievementServiceVersion
    {23, 60, 359},	// Attica::Provider::activityServiceVersion
    {23, 68, 398},	// Attica::Provider::addNewAchievement$#
    {23, 70, 450},	// Attica::Provider::addNewComment$$$$$$
    {23, 72, 438},	// Attica::Provider::addNewContent##
    {23, 81, 389},	// Attica::Provider::approveFriendship$
    {23, 93, 348},	// Attica::Provider::baseUrl
    {23, 95, 452},	// Attica::Provider::becomeFan$
    {23, 99, 420},	// Attica::Provider::cancelBuildServiceJob#
    {23, 101, 391},	// Attica::Provider::cancelFriendship$
    {23, 106, 374},	// Attica::Provider::checkLogin$$
    {23, 110, 369},	// Attica::Provider::commentServiceVersion
    {23, 116, 361},	// Attica::Provider::contentServiceVersion
    {23, 119, 419},	// Attica::Provider::createBuildServiceJob#
    {23, 121, 407},	// Attica::Provider::createProject#
    {23, 123, 423},	// Attica::Provider::createRemoteAccount#
    {23, 125, 458},	// Attica::Provider::createRequest#
    {23, 126, 459},	// Attica::Provider::createRequest$
    {23, 128, 457},	// Attica::Provider::createUrl$
    {23, 134, 390},	// Attica::Provider::declineFriendship$
    {23, 138, 400},	// Attica::Provider::deleteAchievement$$
    {23, 140, 440},	// Attica::Provider::deleteContent$
    {23, 142, 442},	// Attica::Provider::deleteDownloadFile$
    {23, 144, 444},	// Attica::Provider::deletePreviewImage$$
    {23, 146, 408},	// Attica::Provider::deleteProject#
    {23, 148, 422},	// Attica::Provider::deleteRemoteAccount$
    {23, 156, 461},	// Attica::Provider::doRequestAccountBalance#
    {23, 158, 463},	// Attica::Provider::doRequestAchievementList#
    {23, 160, 464},	// Attica::Provider::doRequestActivityList#
    {23, 162, 465},	// Attica::Provider::doRequestFolderList#
    {23, 164, 466},	// Attica::Provider::doRequestForumList#
    {23, 166, 468},	// Attica::Provider::doRequestMessageList#
    {23, 168, 460},	// Attica::Provider::doRequestPerson#
    {23, 170, 462},	// Attica::Provider::doRequestPersonList#
    {23, 172, 467},	// Attica::Provider::doRequestTopicList#
    {23, 174, 493},	// Attica::Provider::downloadLink$
    {23, 175, 435},	// Attica::Provider::downloadLink$$
    {23, 181, 399},	// Attica::Provider::editAchievement$$#
    {23, 183, 439},	// Attica::Provider::editContent#$#
    {23, 185, 409},	// Attica::Provider::editProject#
    {23, 187, 424},	// Attica::Provider::editRemoteAccount#
    {23, 198, 363},	// Attica::Provider::fanServiceVersion
    {23, 202, 365},	// Attica::Provider::forumServiceVersion
    {23, 203, 353},	// Attica::Provider::friendServiceVersion
    {23, 210, 356},	// Attica::Provider::hasAchievementService
    {23, 211, 358},	// Attica::Provider::hasActivityService
    {23, 212, 368},	// Attica::Provider::hasCommentService
    {23, 213, 360},	// Attica::Provider::hasContentService
    {23, 214, -1},	// Attica::Provider::hasCredentials
    {23, 216, 362},	// Attica::Provider::hasFanService
    {23, 217, 364},	// Attica::Provider::hasForumService
    {23, 218, 352},	// Attica::Provider::hasFriendService
    {23, 219, 366},	// Attica::Provider::hasKnowledgebaseService
    {23, 220, 354},	// Attica::Provider::hasMessageService
    {23, 221, 350},	// Attica::Provider::hasPersonService
    {23, 231, 388},	// Attica::Provider::inviteFriend$$
    {23, 233, 346},	// Attica::Provider::isEnabled
    {23, 235, 345},	// Attica::Provider::isValid
    {23, 237, 367},	// Attica::Provider::knowledgebaseServiceVersion
    {23, 245, 372},	// Attica::Provider::loadCredentials$$
    {23, 250, 355},	// Attica::Provider::messageServiceVersion
    {23, 255, 349},	// Attica::Provider::name
    {23, 258, 344},	// Attica::Provider::operator=#
    {23, 263, 351},	// Attica::Provider::personServiceVersion
    {23, 267, 404},	// Attica::Provider::postActivity$
    {23, 269, 472},	// Attica::Provider::postLocation$$
    {23, 270, 473},	// Attica::Provider::postLocation$$$
    {23, 271, 381},	// Attica::Provider::postLocation$$$$
    {23, 273, 396},	// Attica::Provider::postMessage#
    {23, 275, 456},	// Attica::Provider::postTopic$$$
    {23, 287, 413},	// Attica::Provider::publishBuildJob##
    {23, 294, 375},	// Attica::Provider::registerAccount$$$$$
    {23, 300, 378},	// Attica::Provider::requestAccountBalance
    {23, 302, 397},	// Attica::Provider::requestAchievements$$$
    {23, 303, 403},	// Attica::Provider::requestActivities
    {23, 305, 410},	// Attica::Provider::requestBuildService$
    {23, 307, 415},	// Attica::Provider::requestBuildServiceJob$
    {23, 309, 414},	// Attica::Provider::requestBuildServiceJobOutput$
    {23, 311, 418},	// Attica::Provider::requestBuildServiceJobs#
    {23, 312, 416},	// Attica::Provider::requestBuildServices
    {23, 313, 427},	// Attica::Provider::requestCategories
    {23, 315, 449},	// Attica::Provider::requestComments$$$$$
    {23, 317, 434},	// Attica::Provider::requestContent$
    {23, 318, 429},	// Attica::Provider::requestDistributions
    {23, 320, 447},	// Attica::Provider::requestEvent$
    {23, 321, 448},	// Attica::Provider::requestEvent$$#$$$
    {23, 323, 494},	// Attica::Provider::requestFans$
    {23, 324, 495},	// Attica::Provider::requestFans$$
    {23, 325, 453},	// Attica::Provider::requestFans$$$
    {23, 326, 392},	// Attica::Provider::requestFolders
    {23, 327, 496},	// Attica::Provider::requestForums
    {23, 328, 497},	// Attica::Provider::requestForums$
    {23, 329, 454},	// Attica::Provider::requestForums$$
    {23, 331, 475},	// Attica::Provider::requestFriends$
    {23, 332, 476},	// Attica::Provider::requestFriends$$
    {23, 333, 385},	// Attica::Provider::requestFriends$$$
    {23, 334, 430},	// Attica::Provider::requestHomePageTypes
    {23, 336, 445},	// Attica::Provider::requestKnowledgeBaseEntry$
    {23, 337, 428},	// Attica::Provider::requestLicenses
    {23, 339, 395},	// Attica::Provider::requestMessage#$
    {23, 341, 393},	// Attica::Provider::requestMessages#
    {23, 342, 394},	// Attica::Provider::requestMessages#$
    {23, 344, 376},	// Attica::Provider::requestPerson$
    {23, 346, 469},	// Attica::Provider::requestPersonSearchByLocation$$
    {23, 347, 470},	// Attica::Provider::requestPersonSearchByLocation$$$
    {23, 348, 471},	// Attica::Provider::requestPersonSearchByLocation$$$$
    {23, 349, 380},	// Attica::Provider::requestPersonSearchByLocation$$$$$
    {23, 351, 379},	// Attica::Provider::requestPersonSearchByName$
    {23, 352, 377},	// Attica::Provider::requestPersonSelf
    {23, 353, 383},	// Attica::Provider::requestPrivateData
    {23, 354, 474},	// Attica::Provider::requestPrivateData$
    {23, 355, 382},	// Attica::Provider::requestPrivateData$$
    {23, 357, 406},	// Attica::Provider::requestProject$
    {23, 358, 405},	// Attica::Provider::requestProjects
    {23, 360, 411},	// Attica::Provider::requestPublisher$
    {23, 361, 417},	// Attica::Provider::requestPublishers
    {23, 362, 479},	// Attica::Provider::requestReceivedInvitations
    {23, 363, 480},	// Attica::Provider::requestReceivedInvitations$
    {23, 364, 387},	// Attica::Provider::requestReceivedInvitations$$
    {23, 366, 425},	// Attica::Provider::requestRemoteAccount$
    {23, 367, 421},	// Attica::Provider::requestRemoteAccounts
    {23, 368, 477},	// Attica::Provider::requestSentInvitations
    {23, 369, 478},	// Attica::Provider::requestSentInvitations$
    {23, 370, 386},	// Attica::Provider::requestSentInvitations$$
    {23, 372, 455},	// Attica::Provider::requestTopics$$$$$$
    {23, 374, 402},	// Attica::Provider::resetAchievementProgress$
    {23, 378, 373},	// Attica::Provider::saveCredentials$$
    {23, 380, 412},	// Attica::Provider::savePublisherField##
    {23, 382, 481},	// Attica::Provider::searchContents?
    {23, 383, 482},	// Attica::Provider::searchContents?$
    {23, 384, 483},	// Attica::Provider::searchContents?$$
    {23, 385, 484},	// Attica::Provider::searchContents?$$$
    {23, 386, 431},	// Attica::Provider::searchContents?$$$$
    {23, 387, 489},	// Attica::Provider::searchContents?$??
    {23, 388, 490},	// Attica::Provider::searchContents?$??$
    {23, 389, 491},	// Attica::Provider::searchContents?$??$$
    {23, 390, 492},	// Attica::Provider::searchContents?$??$$$
    {23, 391, 433},	// Attica::Provider::searchContents?$??$$$$
    {23, 393, 485},	// Attica::Provider::searchContentsByPerson?$
    {23, 394, 486},	// Attica::Provider::searchContentsByPerson?$$
    {23, 395, 487},	// Attica::Provider::searchContentsByPerson?$$$
    {23, 396, 488},	// Attica::Provider::searchContentsByPerson?$$$$
    {23, 397, 432},	// Attica::Provider::searchContentsByPerson?$$$$$
    {23, 399, 446},	// Attica::Provider::searchKnowledgeBase#$$$$
    {23, 402, 401},	// Attica::Provider::setAchievementProgress$##
    {23, 440, 441},	// Attica::Provider::setDownloadFile$$#
    {23, 446, 347},	// Attica::Provider::setEnabled$
    {23, 498, 443},	// Attica::Provider::setPreviewImage$$$#
    {23, 504, 384},	// Attica::Provider::setPrivateData$$$
    {23, 567, 426},	// Attica::Provider::uploadTarballToBuildService$$#
    {23, 573, 451},	// Attica::Provider::voteForComment$$
    {23, 575, -4},	// Attica::Provider::voteForContent$$
    {23, 593, 502},	// Attica::Provider::~Provider
    {24, 11, 531},	// Attica::ProviderManager::DisablePlugins
    {24, 34, 530},	// Attica::ProviderManager::NoFlags
    {24, 43, 528},	// Attica::ProviderManager::ProviderManager
    {24, 44, 510},	// Attica::ProviderManager::ProviderManager#
    {24, 74, 518},	// Attica::ProviderManager::addProviderFile#
    {24, 76, 513},	// Attica::ProviderManager::addProviderFileToDefaultProviders#
    {24, 78, 517},	// Attica::ProviderManager::addProviderFromXml$
    {24, 89, 525},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {24, 109, 516},	// Attica::ProviderManager::clear
    {24, 114, 521},	// Attica::ProviderManager::contains$
    {24, 135, 512},	// Attica::ProviderManager::defaultProviderFiles
    {24, 136, 524},	// Attica::ProviderManager::defaultProvidersLoaded
    {24, 246, 511},	// Attica::ProviderManager::loadDefaultProviders
    {24, 251, 503},	// Attica::ProviderManager::metaObject
    {24, 281, 523},	// Attica::ProviderManager::providerAdded#
    {24, 283, 522},	// Attica::ProviderManager::providerByUrl#
    {24, 284, 519},	// Attica::ProviderManager::providerFiles
    {24, 285, 520},	// Attica::ProviderManager::providers
    {24, 289, 509},	// Attica::ProviderManager::qt_metacall$$?
    {24, 291, 504},	// Attica::ProviderManager::qt_metacast$
    {24, 298, 514},	// Attica::ProviderManager::removeProviderFileFromDefaultProviders#
    {24, 408, 515},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {24, 546, 529},	// Attica::ProviderManager::staticMetaObject
    {24, 557, 526},	// Attica::ProviderManager::tr$
    {24, 558, 505},	// Attica::ProviderManager::tr$$
    {24, 559, 507},	// Attica::ProviderManager::tr$$$
    {24, 561, 527},	// Attica::ProviderManager::trUtf8$
    {24, 562, 506},	// Attica::ProviderManager::trUtf8$$
    {24, 563, 508},	// Attica::ProviderManager::trUtf8$$$
    {24, 594, 532},	// Attica::ProviderManager::~ProviderManager
    {35, 45, 533},	// QGlobalSpace::Q_COMPLEX_TYPE
    {35, 46, 537},	// QGlobalSpace::Q_DUMMY_TYPE
    {35, 47, 536},	// QGlobalSpace::Q_MOVABLE_TYPE
    {35, 48, 534},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {35, 49, 535},	// QGlobalSpace::Q_STATIC_TYPE
    {35, 50, 540},	// QGlobalSpace::QtCriticalMsg
    {35, 51, 538},	// QGlobalSpace::QtDebugMsg
    {35, 52, 541},	// QGlobalSpace::QtFatalMsg
    {35, 53, 542},	// QGlobalSpace::QtSystemMsg
    {35, 54, 539},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 45,
        __smokeattica::methods, 550,
        __smokeattica::methodMaps, 540,
        __smokeattica::methodNames, 594,
        __smokeattica::types, 225,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
