#include <knewstuff2_includes.h>

#include <smoke.h>
#include <knewstuff2_smoke.h>

namespace __smokeknewstuff2 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComponentData
      switch(to) {
        case 4: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 5:   //KGuiItem
      switch(to) {
        case 5: return (void*)(KGuiItem*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KNS::Author
      switch(to) {
        case 7: return (void*)(KNS::Author*)xptr;
        default: return xptr;
      }
    case 8:   //KNS::Button
      switch(to) {
        case 12: return (void*)(KPushButton*)(KNS::Button*)xptr;
        case 63: return (void*)(QPushButton*)(KNS::Button*)xptr;
        case 14: return (void*)(QAbstractButton*)(KNS::Button*)xptr;
        case 84: return (void*)(QWidget*)(KNS::Button*)xptr;
        case 53: return (void*)(QObject*)(KNS::Button*)xptr;
        case 8: return (void*)(KNS::Button*)xptr;
        default: return xptr;
      }
    case 9:   //KNS::Engine
      switch(to) {
        case 9: return (void*)(KNS::Engine*)xptr;
        default: return xptr;
      }
    case 10:   //KNS::Entry
      switch(to) {
        case 10: return (void*)(KNS::Entry*)xptr;
        default: return xptr;
      }
    case 11:   //KNS::KTranslatable
      switch(to) {
        case 11: return (void*)(KNS::KTranslatable*)xptr;
        default: return xptr;
      }
    case 12:   //KPushButton
      switch(to) {
        case 63: return (void*)(QPushButton*)(KPushButton*)xptr;
        case 14: return (void*)(QAbstractButton*)(KPushButton*)xptr;
        case 84: return (void*)(QWidget*)(KPushButton*)xptr;
        case 53: return (void*)(QObject*)(KPushButton*)xptr;
        case 12: return (void*)(KPushButton*)xptr;
        case 8: return (void*)(KNS::Button*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 13:   //KStandardDirs
      switch(to) {
        case 13: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 14:   //QAbstractButton
      switch(to) {
        case 84: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 53: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 14: return (void*)(QAbstractButton*)xptr;
        case 8: return (void*)(KNS::Button*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 15:   //QActionEvent
      switch(to) {
        case 15: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QBool
      switch(to) {
        case 16: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 17:   //QBrush
      switch(to) {
        case 17: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 18:   //QByteArray
      switch(to) {
        case 18: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 19:   //QChar
      switch(to) {
        case 19: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 20:   //QChildEvent
      switch(to) {
        case 20: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QCloseEvent
      switch(to) {
        case 21: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QColor
      switch(to) {
        case 22: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 23:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QCursor
      switch(to) {
        case 24: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 25:   //QDataStream
      switch(to) {
        case 25: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 26:   //QDate
      switch(to) {
        case 26: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 27:   //QDateTime
      switch(to) {
        case 27: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 28:   //QDrag
      switch(to) {
        case 28: return (void*)(QDrag*)xptr;
        default: return xptr;
      }
    case 29:   //QDragEnterEvent
      switch(to) {
        case 29: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QDragLeaveEvent
      switch(to) {
        case 30: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QDragMoveEvent
      switch(to) {
        case 31: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QDropEvent
      switch(to) {
        case 32: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QEvent
      switch(to) {
        case 33: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QFocusEvent
      switch(to) {
        case 34: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QFont
      switch(to) {
        case 35: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 37:   //QHashDummyValue
      switch(to) {
        case 37: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 38:   //QHideEvent
      switch(to) {
        case 38: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QIcon
      switch(to) {
        case 39: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 40:   //QImage
      switch(to) {
        case 40: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 41:   //QIncompatibleFlag
      switch(to) {
        case 41: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 42:   //QInputMethodEvent
      switch(to) {
        case 42: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QMargins
      switch(to) {
        case 48: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 49:   //QMatrix
      switch(to) {
        case 49: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 50:   //QMetaObject
      switch(to) {
        case 50: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 51:   //QMouseEvent
      switch(to) {
        case 51: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QMoveEvent
      switch(to) {
        case 52: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QObject
      switch(to) {
        case 53: return (void*)(QObject*)xptr;
        case 8: return (void*)(KNS::Button*)(QObject*)xptr;
        default: return xptr;
      }
    case 54:   //QPaintEngine
      switch(to) {
        case 54: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 55:   //QPaintEvent
      switch(to) {
        case 55: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QPainterPath
      switch(to) {
        case 56: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 57:   //QPalette
      switch(to) {
        case 57: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 58:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 59:   //QPoint
      switch(to) {
        case 59: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 60:   //QPointF
      switch(to) {
        case 60: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 61:   //QPolygon
      switch(to) {
        case 61: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 62:   //QPolygonF
      switch(to) {
        case 62: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 63:   //QPushButton
      switch(to) {
        case 14: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 84: return (void*)(QWidget*)(QPushButton*)xptr;
        case 53: return (void*)(QObject*)(QPushButton*)xptr;
        case 63: return (void*)(QPushButton*)xptr;
        case 8: return (void*)(KNS::Button*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 64:   //QRect
      switch(to) {
        case 64: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 65:   //QRectF
      switch(to) {
        case 65: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 66:   //QRegExp
      switch(to) {
        case 66: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 67:   //QRegion
      switch(to) {
        case 67: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 68:   //QResizeEvent
      switch(to) {
        case 68: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QShowEvent
      switch(to) {
        case 69: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QSize
      switch(to) {
        case 70: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 71:   //QSizeF
      switch(to) {
        case 71: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 72:   //QSizePolicy
      switch(to) {
        case 72: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 73:   //QString::Null
      switch(to) {
        case 73: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 74:   //QStringRef
      switch(to) {
        case 74: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 75:   //QStyle
      switch(to) {
        case 75: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 76:   //QTabletEvent
      switch(to) {
        case 76: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QTime
      switch(to) {
        case 77: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 78:   //QTimerEvent
      switch(to) {
        case 78: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QTransform
      switch(to) {
        case 79: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 80:   //QUrl
      switch(to) {
        case 80: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 81:   //QVariant
      switch(to) {
        case 81: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 82:   //QVariantComparisonHelper
      switch(to) {
        case 82: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 83:   //QWheelEvent
      switch(to) {
        case 83: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 84:   //QWidget
      switch(to) {
        case 53: return (void*)(QObject*)(QWidget*)xptr;
        case 84: return (void*)(QWidget*)xptr;
        case 8: return (void*)(KNS::Button*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    12, 0,	// 1: KPushButton
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KNS__Entry(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KNS__Author(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__Engine(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__Entry(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__KTranslatable(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//4
    { "KGuiItem", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KNS::Author", false, 0, xcall_KNS__Author, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS::Author) },	//7
    { "KNS::Button", false, 1, xcall_KNS__Button, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS::Button) },	//8
    { "KNS::Engine", false, 0, xcall_KNS__Engine, 0, Smoke::cf_constructor, sizeof(KNS::Engine) },	//9
    { "KNS::Entry", false, 0, xcall_KNS__Entry, xenum_KNS__Entry, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS::Entry) },	//10
    { "KNS::KTranslatable", false, 0, xcall_KNS__KTranslatable, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS::KTranslatable) },	//11
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//12
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//13
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//14
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QBool", true, 0, 0, 0, 0, 0 },	//16
    { "QBrush", true, 0, 0, 0, 0, 0 },	//17
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//18
    { "QChar", true, 0, 0, 0, 0, 0 },	//19
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QColor", true, 0, 0, 0, 0, 0 },	//22
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QCursor", true, 0, 0, 0, 0, 0 },	//24
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//25
    { "QDate", true, 0, 0, 0, 0, 0 },	//26
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//27
    { "QDrag", true, 0, 0, 0, 0, 0 },	//28
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QFont", true, 0, 0, 0, 0, 0 },	//35
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//36
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//37
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QIcon", true, 0, 0, 0, 0, 0 },	//39
    { "QImage", true, 0, 0, 0, 0, 0 },	//40
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//41
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QMargins", true, 0, 0, 0, 0, 0 },	//48
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//49
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//50
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QObject", true, 0, 0, 0, 0, 0 },	//53
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//54
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//56
    { "QPalette", true, 0, 0, 0, 0, 0 },	//57
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//58
    { "QPoint", true, 0, 0, 0, 0, 0 },	//59
    { "QPointF", true, 0, 0, 0, 0, 0 },	//60
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//61
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//62
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//63
    { "QRect", true, 0, 0, 0, 0, 0 },	//64
    { "QRectF", true, 0, 0, 0, 0, 0 },	//65
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//66
    { "QRegion", true, 0, 0, 0, 0, 0 },	//67
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QSize", true, 0, 0, 0, 0, 0 },	//70
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//71
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//72
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//73
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//74
    { "QStyle", true, 0, 0, 0, 0, 0 },	//75
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QTime", true, 0, 0, 0, 0, 0 },	//77
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QTransform", true, 0, 0, 0, 0, 0 },	//79
    { "QUrl", true, 0, 0, 0, 0, 0 },	//80
    { "QVariant", true, 0, 0, 0, 0, 0 },	//81
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//82
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//83
    { "QWidget", true, 0, 0, 0, 0, 0 },	//84
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KGuiItem", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//8
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KNS::Author", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "KNS::Author&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "KNS::Author*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KNS::Button*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KNS::Engine*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KNS::Entry&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "KNS::Entry*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KNS::Entry::Source", 10, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KNS::Entry::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KNS::KTranslatable", 11, Smoke::t_class|Smoke::tf_stack },	//19
    { "KNS::KTranslatable&", 11, Smoke::t_class|Smoke::tf_ref },	//20
    { "KNS::KTranslatable*", 11, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//22
    { "KStandardDirs*", 13, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KStandardGuiItem::BidiMode", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KStandardGuiItem::StandardItem", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QActionEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QBool", 16, Smoke::t_class|Smoke::tf_stack },	//32
    { "QBrush&", 17, Smoke::t_class|Smoke::tf_ref },	//33
    { "QByteArray&", 18, Smoke::t_class|Smoke::tf_ref },	//34
    { "QChar", 19, Smoke::t_class|Smoke::tf_stack },	//35
    { "QChar&", 19, Smoke::t_class|Smoke::tf_ref },	//36
    { "QChildEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QCloseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QColor&", 22, Smoke::t_class|Smoke::tf_ref },	//39
    { "QContextMenuEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QCursor&", 24, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDataStream&", 25, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDate", 26, Smoke::t_class|Smoke::tf_stack },	//43
    { "QDate&", 26, Smoke::t_class|Smoke::tf_ref },	//44
    { "QDateTime&", 27, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDrag*", 28, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDragEnterEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QDragLeaveEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDragMoveEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDropEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFocusEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QFont&", 35, Smoke::t_class|Smoke::tf_ref },	//79
    { "QHideEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QIcon&", 39, Smoke::t_class|Smoke::tf_ref },	//82
    { "QImage&", 40, Smoke::t_class|Smoke::tf_ref },	//83
    { "QIncompatibleFlag", 41, Smoke::t_class|Smoke::tf_stack },	//84
    { "QInputMethodEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//87
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//88
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//89
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//90
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//91
    { "QList<KNS::Entry*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QMatrix&", 49, Smoke::t_class|Smoke::tf_ref },	//94
    { "QMetaObject::Call", 50, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QMouseEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QMoveEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QObject*", 53, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QPaintEngine*", 54, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QPaintEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QPainterPath", 56, Smoke::t_class|Smoke::tf_stack },	//102
    { "QPainterPath&", 56, Smoke::t_class|Smoke::tf_ref },	//103
    { "QPair<KGuiItem,KGuiItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QPalette&", 57, Smoke::t_class|Smoke::tf_ref },	//105
    { "QPixmap&", 58, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPoint", 59, Smoke::t_class|Smoke::tf_stack },	//107
    { "QPoint&", 59, Smoke::t_class|Smoke::tf_ref },	//108
    { "QPointF", 60, Smoke::t_class|Smoke::tf_stack },	//109
    { "QPointF&", 60, Smoke::t_class|Smoke::tf_ref },	//110
    { "QPolygon", 61, Smoke::t_class|Smoke::tf_stack },	//111
    { "QPolygon&", 61, Smoke::t_class|Smoke::tf_ref },	//112
    { "QPolygonF", 62, Smoke::t_class|Smoke::tf_stack },	//113
    { "QPolygonF&", 62, Smoke::t_class|Smoke::tf_ref },	//114
    { "QRect&", 64, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRectF&", 65, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRegExp&", 66, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRegion", 67, Smoke::t_class|Smoke::tf_stack },	//118
    { "QRegion&", 67, Smoke::t_class|Smoke::tf_ref },	//119
    { "QResizeEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QShowEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QSize", 70, Smoke::t_class|Smoke::tf_stack },	//122
    { "QSize&", 70, Smoke::t_class|Smoke::tf_ref },	//123
    { "QSizeF&", 71, Smoke::t_class|Smoke::tf_ref },	//124
    { "QSizePolicy&", 72, Smoke::t_class|Smoke::tf_ref },	//125
    { "QSizePolicy::ControlType", 72, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QString::Null", 73, Smoke::t_class|Smoke::tf_stack },	//129
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//131
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//132
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//133
    { "QStyle&", 75, Smoke::t_class|Smoke::tf_ref },	//134
    { "QTabletEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QTime&", 77, Smoke::t_class|Smoke::tf_ref },	//136
    { "QTimerEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QTransform", 79, Smoke::t_class|Smoke::tf_stack },	//138
    { "QTransform&", 79, Smoke::t_class|Smoke::tf_ref },	//139
    { "QUrl&", 80, Smoke::t_class|Smoke::tf_ref },	//140
    { "QUrl::FormattingOption", 80, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant", 81, Smoke::t_class|Smoke::tf_stack },	//142
    { "QVariant&", 81, Smoke::t_class|Smoke::tf_ref },	//143
    { "QVariant::Type&", 81, Smoke::t_enum|Smoke::tf_ref },	//144
    { "QWheelEvent*", 83, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QWidget*", 84, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QWidget::RenderFlag", 84, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtMsgType", 36, Smoke::t_enum|Smoke::tf_stack },	//220
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//222
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//223
    { "const KComponentData&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const KNS::Author&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const KNS::Entry&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const KNS::KTranslatable&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QBrush&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QByteArray", 18, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//229
    { "const QByteArray&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QChar&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QColor&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QCursor&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QDate&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QDateTime&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QFont&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QHashDummyValue&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QIcon&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QImage&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QMargins&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QMatrix&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QMetaObject&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QMetaObject*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//247
    { "const QObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//248
    { "const QPainterPath&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QPalette&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QPixmap&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QPoint", 59, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//252
    { "const QPoint&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QPointF", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//254
    { "const QPointF&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QPolygon&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QPolygonF&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QRect&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QRectF&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QRegExp&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QRegion&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QSize", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//262
    { "const QSize&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QSizeF", 71, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//264
    { "const QSizeF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QSizePolicy&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//267
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//270
    { "const QStringRef&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QTime&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QTransform&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QUrl&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QVariant&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QVariant::Type", 81, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QVariantComparisonHelper&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//278
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//280
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//281
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//282
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//283
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//284
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//285
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//286
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//287
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    225, 0,	//1  const KNS::Author&
    268, 0,	//3  const QString&
    278, 0,	//5  const char*
    278, 278, 0,	//7  const char*, const char*
    278, 278, 282, 0,	//10  const char*, const char*, int
    95, 282, 286, 0,	//14  QMetaObject::Call, int, void**
    268, 268, 268, 146, 0,	//18  const QString&, const QString&, const QString&, QWidget*
    146, 0,	//23  QWidget*
    98, 278, 0,	//25  QObject*, const char*
    226, 0,	//28  const KNS::Entry&
    227, 0,	//30  const KNS::KTranslatable&
    282, 0,	//32  int
    234, 0,	//34  const QDate&
    269, 0,	//36  const QStringList&
    18, 0,	//38  KNS::Entry::Status
    17, 0,	//40  KNS::Entry::Source
    268, 268, 0,	//42  const QString&, const QString&
    96, 0,	//45  QMouseEvent*
    101, 0,	//47  QPaintEvent*
    253, 0,	//49  const QPoint&
    86, 0,	//51  QKeyEvent*
    51, 0,	//53  QEvent*
    137, 0,	//55  QTimerEvent*
    168, 282, 0,	//57  Qt::DockWidgetArea, int
    253, 280, 0,	//60  const QPoint&, double
    280, 255, 0,	//63  double, const QPointF&
    192, 71, 0,	//66  Qt::MouseButton, QFlags<Qt::MouseButton>
    244, 244, 0,	//69  const QMargins&, const QMargins&
    280, 265, 0,	//72  double, const QSizeF&
    42, 83, 0,	//75  QDataStream&, QImage&
    42, 266, 0,	//78  QDataStream&, const QSizePolicy&
    181, 282, 0,	//81  Qt::InputMethodHint, int
    258, 258, 0,	//84  const QRect&, const QRect&
    263, 263, 0,	//87  const QSize&, const QSize&
    42, 273, 0,	//90  QDataStream&, const QTransform&
    255, 245, 0,	//93  const QPointF&, const QMatrix&
    242, 273, 0,	//96  const QLine&, const QTransform&
    218, 76, 0,	//99  Qt::WindowState, QFlags<Qt::WindowState>
    265, 280, 0,	//102  const QSizeF&, double
    42, 242, 0,	//105  QDataStream&, const QLine&
    265, 265, 0,	//108  const QSizeF&, const QSizeF&
    230, 230, 0,	//111  const QByteArray&, const QByteArray&
    241, 271, 0,	//114  const QLatin1String&, const QStringRef&
    192, 192, 0,	//117  Qt::MouseButton, Qt::MouseButton
    26, 52, 0,	//120  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    26, 26, 0,	//123  KUrl::CleanPathOption, KUrl::CleanPathOption
    275, 277, 0,	//126  const QVariant&, const QVariantComparisonHelper&
    32, 32, 0,	//129  QBool, QBool
    148, 62, 0,	//132  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    129, 129, 0,	//135  QString::Null, QString::Null
    42, 259, 0,	//138  QDataStream&, const QRectF&
    35, 268, 0,	//141  QChar, const QString&
    81, 57, 0,	//144  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    42, 250, 0,	//147  QDataStream&, const QPalette&
    8, 0,	//150  KIconLoader::Group&
    42, 230, 0,	//152  QDataStream&, const QByteArray&
    257, 273, 0,	//155  const QPolygonF&, const QTransform&
    209, 209, 0,	//158  Qt::ToolBarArea, Qt::ToolBarArea
    30, 282, 0,	//161  KUrl::QueryItemsOption, int
    147, 282, 0,	//164  QWidget::RenderFlag, int
    170, 282, 0,	//167  Qt::DropAction, int
    42, 269, 0,	//170  QDataStream&, const QStringList&
    28, 28, 0,	//173  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    148, 148, 0,	//176  Qt::AlignmentFlag, Qt::AlignmentFlag
    42, 39, 0,	//179  QDataStream&, QColor&
    42, 260, 0,	//182  QDataStream&, const QRegExp&
    141, 282, 0,	//185  QUrl::FormattingOption, int
    230, 278, 0,	//188  const QByteArray&, const char*
    27, 27, 0,	//191  KUrl::DirectoryOption, KUrl::DirectoryOption
    168, 63, 0,	//194  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    242, 245, 0,	//197  const QLine&, const QMatrix&
    27, 53, 0,	//200  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    243, 245, 0,	//203  const QLineF&, const QMatrix&
    194, 194, 0,	//206  Qt::Orientation, Qt::Orientation
    249, 245, 0,	//209  const QPainterPath&, const QMatrix&
    209, 282, 0,	//212  Qt::ToolBarArea, int
    42, 110, 0,	//215  QDataStream&, QPointF&
    42, 240, 0,	//218  QDataStream&, const QKeySequence&
    190, 282, 0,	//221  Qt::MatchFlag, int
    42, 233, 0,	//224  QDataStream&, const QCursor&
    175, 175, 0,	//227  Qt::GestureFlag, Qt::GestureFlag
    42, 44, 0,	//230  QDataStream&, QDate&
    81, 81, 0,	//233  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    223, 230, 0,	//236  char, const QByteArray&
    278, 230, 0,	//239  const char*, const QByteArray&
    42, 34, 0,	//242  QDataStream&, QByteArray&
    42, 143, 0,	//245  QDataStream&, QVariant&
    42, 117, 0,	//248  QDataStream&, QRegExp&
    255, 255, 0,	//251  const QPointF&, const QPointF&
    273, 280, 0,	//254  const QTransform&, double
    271, 271, 0,	//257  const QStringRef&, const QStringRef&
    35, 35, 0,	//260  QChar, QChar
    249, 273, 0,	//263  const QPainterPath&, const QTransform&
    42, 228, 0,	//266  QDataStream&, const QBrush&
    42, 119, 0,	//269  QDataStream&, QRegion&
    255, 280, 0,	//272  const QPointF&, double
    28, 282, 0,	//275  KUrl::EncodedPathAndQueryOption, int
    42, 234, 0,	//278  QDataStream&, const QDate&
    190, 70, 0,	//281  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    175, 282, 0,	//284  Qt::GestureFlag, int
    126, 126, 0,	//287  QSizePolicy::ControlType, QSizePolicy::ControlType
    42, 41, 0,	//290  QDataStream&, QCursor&
    187, 69, 0,	//293  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    190, 190, 0,	//296  Qt::MatchFlag, Qt::MatchFlag
    42, 139, 0,	//299  QDataStream&, QTransform&
    256, 245, 0,	//302  const QPolygon&, const QMatrix&
    268, 129, 0,	//305  const QString&, QString::Null
    42, 124, 0,	//308  QDataStream&, QSizeF&
    255, 0,	//311  const QPointF&
    184, 184, 0,	//313  Qt::ItemFlag, Qt::ItemFlag
    42, 251, 0,	//316  QDataStream&, const QPixmap&
    219, 77, 0,	//319  Qt::WindowType, QFlags<Qt::WindowType>
    255, 273, 0,	//322  const QPointF&, const QTransform&
    184, 68, 0,	//325  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    212, 75, 0,	//328  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    42, 274, 0,	//331  QDataStream&, const QUrl&
    126, 58, 0,	//334  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    42, 275, 0,	//337  QDataStream&, const QVariant&
    42, 89, 0,	//340  QDataStream&, QLine&
    187, 187, 0,	//343  Qt::KeyboardModifier, Qt::KeyboardModifier
    148, 282, 0,	//346  Qt::AlignmentFlag, int
    253, 245, 0,	//349  const QPoint&, const QMatrix&
    187, 282, 0,	//352  Qt::KeyboardModifier, int
    184, 282, 0,	//355  Qt::ItemFlag, int
    179, 66, 0,	//358  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    253, 253, 0,	//361  const QPoint&, const QPoint&
    130, 282, 0,	//364  QString::SectionFlag, int
    219, 282, 0,	//367  Qt::WindowType, int
    147, 147, 0,	//370  QWidget::RenderFlag, QWidget::RenderFlag
    271, 268, 0,	//373  const QStringRef&, const QString&
    237, 237, 0,	//376  const QHashDummyValue&, const QHashDummyValue&
    29, 29, 0,	//379  KUrl::EqualsOption, KUrl::EqualsOption
    141, 141, 0,	//382  QUrl::FormattingOption, QUrl::FormattingOption
    42, 82, 0,	//385  QDataStream&, QIcon&
    42, 256, 0,	//388  QDataStream&, const QPolygon&
    212, 282, 0,	//391  Qt::TouchPointState, int
    147, 61, 0,	//394  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    271, 278, 0,	//397  const QStringRef&, const char*
    26, 282, 0,	//400  KUrl::CleanPathOption, int
    30, 30, 0,	//403  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    42, 243, 0,	//406  QDataStream&, const QLineF&
    42, 33, 0,	//409  QDataStream&, QBrush&
    42, 255, 0,	//412  QDataStream&, const QPointF&
    253, 281, 0,	//415  const QPoint&, float
    268, 271, 0,	//418  const QString&, const QStringRef&
    29, 282, 0,	//421  KUrl::EqualsOption, int
    126, 282, 0,	//424  QSizePolicy::ControlType, int
    42, 125, 0,	//427  QDataStream&, QSizePolicy&
    278, 271, 0,	//430  const char*, const QStringRef&
    42, 94, 0,	//433  QDataStream&, QMatrix&
    192, 282, 0,	//436  Qt::MouseButton, int
    42, 123, 0,	//439  QDataStream&, QSize&
    181, 181, 0,	//442  Qt::InputMethodHint, Qt::InputMethodHint
    42, 144, 0,	//445  QDataStream&, QVariant::Type&
    206, 73, 0,	//448  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    243, 273, 0,	//451  const QLineF&, const QTransform&
    271, 241, 0,	//454  const QStringRef&, const QLatin1String&
    42, 257, 0,	//457  QDataStream&, const QPolygonF&
    42, 265, 0,	//460  QDataStream&, const QSizeF&
    209, 74, 0,	//463  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    42, 236, 0,	//466  QDataStream&, const QFont&
    29, 55, 0,	//469  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    42, 245, 0,	//472  QDataStream&, const QMatrix&
    218, 218, 0,	//475  Qt::WindowState, Qt::WindowState
    141, 60, 0,	//478  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    42, 114, 0,	//481  QDataStream&, QPolygonF&
    42, 105, 0,	//484  QDataStream&, QPalette&
    42, 249, 0,	//487  QDataStream&, const QPainterPath&
    259, 259, 0,	//490  const QRectF&, const QRectF&
    280, 263, 0,	//493  double, const QSize&
    280, 253, 0,	//496  double, const QPoint&
    42, 253, 0,	//499  QDataStream&, const QPoint&
    42, 239, 0,	//502  QDataStream&, const QImage&
    230, 223, 0,	//505  const QByteArray&, char
    42, 79, 0,	//508  QDataStream&, QFont&
    130, 59, 0,	//511  QString::SectionFlag, QFlags<QString::SectionFlag>
    42, 263, 0,	//514  QDataStream&, const QSize&
    42, 116, 0,	//517  QDataStream&, QRectF&
    42, 231, 0,	//520  QDataStream&, const QChar&
    222, 32, 0,	//523  bool, QBool
    30, 56, 0,	//526  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    256, 273, 0,	//529  const QPolygon&, const QTransform&
    32, 222, 0,	//532  QBool, bool
    218, 282, 0,	//535  Qt::WindowState, int
    42, 132, 0,	//538  QDataStream&, QStringList&
    42, 258, 0,	//541  QDataStream&, const QRect&
    27, 282, 0,	//544  KUrl::DirectoryOption, int
    42, 261, 0,	//547  QDataStream&, const QRegion&
    168, 168, 0,	//550  Qt::DockWidgetArea, Qt::DockWidgetArea
    42, 232, 0,	//553  QDataStream&, const QColor&
    219, 219, 0,	//556  Qt::WindowType, Qt::WindowType
    263, 280, 0,	//559  const QSize&, double
    129, 268, 0,	//562  QString::Null, const QString&
    181, 67, 0,	//565  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    42, 108, 0,	//568  QDataStream&, QPoint&
    42, 45, 0,	//571  QDataStream&, QDateTime&
    42, 272, 0,	//574  QDataStream&, const QTime&
    42, 87, 0,	//577  QDataStream&, QKeySequence&
    261, 273, 0,	//580  const QRegion&, const QTransform&
    130, 130, 0,	//583  QString::SectionFlag, QString::SectionFlag
    81, 282, 0,	//586  QIODevice::OpenModeFlag, int
    282, 253, 0,	//589  int, const QPoint&
    175, 65, 0,	//592  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    257, 245, 0,	//595  const QPolygonF&, const QMatrix&
    42, 112, 0,	//598  QDataStream&, QPolygon&
    28, 54, 0,	//601  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    42, 128, 0,	//604  QDataStream&, QString&
    42, 268, 0,	//607  QDataStream&, const QString&
    42, 36, 0,	//610  QDataStream&, QChar&
    206, 206, 0,	//613  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    42, 106, 0,	//616  QDataStream&, QPixmap&
    42, 115, 0,	//619  QDataStream&, QRect&
    179, 282, 0,	//622  Qt::ImageConversionFlag, int
    42, 238, 0,	//625  QDataStream&, const QIcon&
    42, 276, 0,	//628  QDataStream&, const QVariant::Type
    42, 91, 0,	//631  QDataStream&, QLineF&
    42, 103, 0,	//634  QDataStream&, QPainterPath&
    212, 212, 0,	//637  Qt::TouchPointState, Qt::TouchPointState
    206, 282, 0,	//640  Qt::TextInteractionFlag, int
    253, 273, 0,	//643  const QPoint&, const QTransform&
    42, 235, 0,	//646  QDataStream&, const QDateTime&
    42, 136, 0,	//649  QDataStream&, QTime&
    253, 282, 0,	//652  const QPoint&, int
    179, 179, 0,	//655  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    170, 64, 0,	//658  Qt::DropAction, QFlags<Qt::DropAction>
    170, 170, 0,	//661  Qt::DropAction, Qt::DropAction
    194, 282, 0,	//664  Qt::Orientation, int
    261, 245, 0,	//667  const QRegion&, const QMatrix&
    281, 253, 0,	//670  float, const QPoint&
    42, 140, 0,	//673  QDataStream&, QUrl&
    268, 35, 0,	//676  const QString&, QChar
    194, 72, 0,	//679  Qt::Orientation, QFlags<Qt::Orientation>
    8, 282, 0,	//682  KIconLoader::Group&, int
    98, 51, 0,	//685  QObject*, QEvent*
    37, 0,	//688  QChildEvent*
    78, 0,	//690  QFocusEvent*
    222, 0,	//692  bool
    145, 0,	//694  QWheelEvent*
    97, 0,	//696  QMoveEvent*
    120, 0,	//698  QResizeEvent*
    38, 0,	//700  QCloseEvent*
    40, 0,	//702  QContextMenuEvent*
    135, 0,	//704  QTabletEvent*
    31, 0,	//706  QActionEvent*
    47, 0,	//708  QDragEnterEvent*
    49, 0,	//710  QDragMoveEvent*
    48, 0,	//712  QDragLeaveEvent*
    50, 0,	//714  QDropEvent*
    121, 0,	//716  QShowEvent*
    80, 0,	//718  QHideEvent*
    221, 0,	//720  _XEvent*
    99, 0,	//722  QPaintDevice::PaintDeviceMetric
    85, 0,	//724  QInputMethodEvent*
    182, 0,	//726  Qt::InputMethodQuery
    134, 0,	//728  QStyle&
    250, 0,	//730  const QPalette&
    236, 0,	//732  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Author",	//1
    "Author#",	//2
    "Button",	//3
    "Button#",	//4
    "Button$$$#",	//5
    "Cache",	//6
    "Deleted",	//7
    "Downloadable",	//8
    "DrawChildren",	//9
    "DrawWindowBackground",	//10
    "Engine",	//11
    "Engine#",	//12
    "Entry",	//13
    "Entry#",	//14
    "IgnoreMask",	//15
    "Installed",	//16
    "Invalid",	//17
    "KTranslatable",	//18
    "KTranslatable#",	//19
    "KTranslatable$",	//20
    "Online",	//21
    "Q_COMPLEX_TYPE",	//22
    "Q_DUMMY_TYPE",	//23
    "Q_MOVABLE_TYPE",	//24
    "Q_PRIMITIVE_TYPE",	//25
    "Q_STATIC_TYPE",	//26
    "QtCriticalMsg",	//27
    "QtDebugMsg",	//28
    "QtFatalMsg",	//29
    "QtSystemMsg",	//30
    "QtWarningMsg",	//31
    "Registry",	//32
    "Updateable",	//33
    "aboutToShowDialog",	//34
    "actionEvent",	//35
    "addString",	//36
    "addString$$",	//37
    "author",	//38
    "category",	//39
    "changeEvent",	//40
    "checkStateSet",	//41
    "checksum",	//42
    "childEvent",	//43
    "closeEvent",	//44
    "connectNotify",	//45
    "contextMenuEvent",	//46
    "customEvent",	//47
    "devType",	//48
    "dialogFinished",	//49
    "disconnectNotify",	//50
    "download",	//51
    "downloadDialog",	//52
    "downloadDialog#$",	//53
    "downloadDialogModal",	//54
    "downloadDialogModal#",	//55
    "downloads",	//56
    "dragEnterEvent",	//57
    "dragLeaveEvent",	//58
    "dragMoveEvent",	//59
    "dragObject",	//60
    "dropEvent",	//61
    "email",	//62
    "enabledChange",	//63
    "enterEvent",	//64
    "event",	//65
    "eventFilter",	//66
    "focusInEvent",	//67
    "focusNextPrevChild",	//68
    "focusOutEvent",	//69
    "fontChange",	//70
    "heightForWidth",	//71
    "hideEvent",	//72
    "hitButton",	//73
    "homepage",	//74
    "idNumber",	//75
    "init",	//76
    "init$",	//77
    "inputMethodEvent",	//78
    "inputMethodQuery",	//79
    "installedFiles",	//80
    "isEmpty",	//81
    "isTranslated",	//82
    "jabber",	//83
    "keyPressEvent",	//84
    "keyReleaseEvent",	//85
    "language",	//86
    "languageChange",	//87
    "languages",	//88
    "leaveEvent",	//89
    "license",	//90
    "metaObject",	//91
    "metric",	//92
    "minimumSizeHint",	//93
    "mouseDoubleClickEvent",	//94
    "mouseMoveEvent",	//95
    "mousePressEvent",	//96
    "mouseReleaseEvent",	//97
    "moveEvent",	//98
    "name",	//99
    "nextCheckState",	//100
    "operator!=",	//101
    "operator!=##",	//102
    "operator!=#$",	//103
    "operator!=$#",	//104
    "operator*",	//105
    "operator*##",	//106
    "operator*#$",	//107
    "operator*$#",	//108
    "operator+",	//109
    "operator+##",	//110
    "operator+#$",	//111
    "operator+$#",	//112
    "operator+$$",	//113
    "operator++",	//114
    "operator++$",	//115
    "operator++$$",	//116
    "operator-",	//117
    "operator-#",	//118
    "operator-##",	//119
    "operator-#$",	//120
    "operator/",	//121
    "operator/#$",	//122
    "operator<",	//123
    "operator<##",	//124
    "operator<#$",	//125
    "operator<$#",	//126
    "operator<<",	//127
    "operator<<##",	//128
    "operator<<#$",	//129
    "operator<<#?",	//130
    "operator<=",	//131
    "operator<=##",	//132
    "operator<=#$",	//133
    "operator<=$#",	//134
    "operator=",	//135
    "operator=#",	//136
    "operator==",	//137
    "operator==##",	//138
    "operator==#$",	//139
    "operator==$#",	//140
    "operator>",	//141
    "operator>##",	//142
    "operator>#$",	//143
    "operator>$#",	//144
    "operator>=",	//145
    "operator>=##",	//146
    "operator>=#$",	//147
    "operator>=$#",	//148
    "operator>>",	//149
    "operator>>##",	//150
    "operator>>#$",	//151
    "operator>>#?",	//152
    "operator|",	//153
    "operator|$$",	//154
    "paintEngine",	//155
    "paintEvent",	//156
    "paletteChange",	//157
    "payload",	//158
    "preview",	//159
    "qt_metacall",	//160
    "qt_metacall$$?",	//161
    "qt_metacast",	//162
    "qt_metacast$",	//163
    "rating",	//164
    "release",	//165
    "releaseDate",	//166
    "representation",	//167
    "resizeEvent",	//168
    "setAuthor",	//169
    "setAuthor#",	//170
    "setButtonText",	//171
    "setButtonText$",	//172
    "setCategory",	//173
    "setCategory$",	//174
    "setChecksum",	//175
    "setChecksum$",	//176
    "setDownloads",	//177
    "setDownloads$",	//178
    "setEmail",	//179
    "setEmail$",	//180
    "setHomepage",	//181
    "setHomepage$",	//182
    "setIdNumber",	//183
    "setIdNumber$",	//184
    "setInstalledFiles",	//185
    "setInstalledFiles?",	//186
    "setJabber",	//187
    "setJabber$",	//188
    "setLicense",	//189
    "setLicense$",	//190
    "setName",	//191
    "setName#",	//192
    "setName$",	//193
    "setPayload",	//194
    "setPayload#",	//195
    "setPreview",	//196
    "setPreview#",	//197
    "setProviderList",	//198
    "setProviderList$",	//199
    "setRating",	//200
    "setRating$",	//201
    "setRelease",	//202
    "setRelease$",	//203
    "setReleaseDate",	//204
    "setReleaseDate#",	//205
    "setResourceType",	//206
    "setResourceType$",	//207
    "setSignature",	//208
    "setSignature$",	//209
    "setSource",	//210
    "setSource$",	//211
    "setStatus",	//212
    "setStatus$",	//213
    "setSummary",	//214
    "setSummary#",	//215
    "setUnInstalledFiles",	//216
    "setUnInstalledFiles?",	//217
    "setVersion",	//218
    "setVersion$",	//219
    "setVisible",	//220
    "showDialog",	//221
    "showEvent",	//222
    "signature",	//223
    "sizeHint",	//224
    "source",	//225
    "startDrag",	//226
    "staticMetaObject",	//227
    "status",	//228
    "stringmap",	//229
    "strings",	//230
    "styleChange",	//231
    "summary",	//232
    "tabletEvent",	//233
    "timerEvent",	//234
    "tr",	//235
    "tr$",	//236
    "tr$$",	//237
    "tr$$$",	//238
    "trUtf8",	//239
    "trUtf8$",	//240
    "trUtf8$$",	//241
    "trUtf8$$$",	//242
    "translated",	//243
    "translated$",	//244
    "uninstalledFiles",	//245
    "upload",	//246
    "upload$",	//247
    "uploadDialog",	//248
    "uploadDialog$",	//249
    "uploadDialogModal",	//250
    "uploadDialogModal$",	//251
    "version",	//252
    "wheelEvent",	//253
    "windowActivationChange",	//254
    "x11Event",	//255
    "~Author",	//256
    "~Button",	//257
    "~Engine",	//258
    "~Entry",	//259
    "~KTranslatable",	//260
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 1, 0, 0, Smoke::mf_ctor, 12, 1},	//1 KNS::Author::Author()
    {7, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//2 KNS::Author::Author(const KNS::Author&)
    {7, 135, 1, 1, 0, 11, 3},	//3 KNS::Author::operator=(const KNS::Author&)
    {7, 191, 3, 1, 0, 0, 4},	//4 KNS::Author::setName(const QString&)
    {7, 99, 0, 0, Smoke::mf_const, 127, 5},	//5 KNS::Author::name() const
    {7, 179, 3, 1, 0, 0, 6},	//6 KNS::Author::setEmail(const QString&)
    {7, 62, 0, 0, Smoke::mf_const, 127, 7},	//7 KNS::Author::email() const
    {7, 187, 3, 1, 0, 0, 8},	//8 KNS::Author::setJabber(const QString&)
    {7, 83, 0, 0, Smoke::mf_const, 127, 9},	//9 KNS::Author::jabber() const
    {7, 181, 3, 1, 0, 0, 10},	//10 KNS::Author::setHomepage(const QString&)
    {7, 74, 0, 0, Smoke::mf_const, 127, 11},	//11 KNS::Author::homepage() const
    {7, 256, 0, 0, Smoke::mf_dtor, 0, 12 },	//12 KNS::Author::~Author()
    {8, 91, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 1},	//13 KNS::Button::metaObject() const
    {8, 162, 5, 1, Smoke::mf_virtual, 285, 2},	//14 KNS::Button::qt_metacast(const char*)
    {8, 235, 7, 2, Smoke::mf_static, 127, 3},	//15 KNS::Button::tr(const char*, const char*)
    {8, 239, 7, 2, Smoke::mf_static, 127, 4},	//16 KNS::Button::trUtf8(const char*, const char*)
    {8, 235, 10, 3, Smoke::mf_static, 127, 5},	//17 KNS::Button::tr(const char*, const char*, int)
    {8, 239, 10, 3, Smoke::mf_static, 127, 6},	//18 KNS::Button::trUtf8(const char*, const char*, int)
    {8, 160, 14, 3, Smoke::mf_virtual, 282, 7},	//19 KNS::Button::qt_metacall(QMetaObject::Call, int, void**)
    {8, 3, 18, 4, Smoke::mf_ctor, 13, 8},	//20 KNS::Button::Button(const QString&, const QString&, const QString&, QWidget*)
    {8, 3, 23, 1, Smoke::mf_ctor, 13, 9},	//21 KNS::Button::Button(QWidget*)
    {8, 198, 3, 1, 0, 0, 10},	//22 KNS::Button::setProviderList(const QString&)
    {8, 206, 3, 1, 0, 0, 11},	//23 KNS::Button::setResourceType(const QString&)
    {8, 171, 3, 1, 0, 0, 12},	//24 KNS::Button::setButtonText(const QString&)
    {8, 34, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//25 KNS::Button::aboutToShowDialog()
    {8, 49, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//26 KNS::Button::dialogFinished()
    {8, 221, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//27 KNS::Button::showDialog()
    {8, 235, 5, 1, Smoke::mf_static, 127, 16},	//28 KNS::Button::tr(const char*)
    {8, 239, 5, 1, Smoke::mf_static, 127, 17},	//29 KNS::Button::trUtf8(const char*)
    {8, 227, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 246, 18},	//30 KNS::Button::staticMetaObject() const
    {8, 257, 0, 0, Smoke::mf_dtor, 0, 19 },	//31 KNS::Button::~Button()
    {9, 11, 23, 1, Smoke::mf_ctor, 14, 1},	//32 KNS::Engine::Engine(QWidget*)
    {9, 54, 23, 1, 0, 92, 2},	//33 KNS::Engine::downloadDialogModal(QWidget*)
    {9, 51, 0, 0, Smoke::mf_static, 92, 3},	//34 KNS::Engine::download()
    {9, 250, 3, 1, 0, 16, 4},	//35 KNS::Engine::uploadDialogModal(const QString&)
    {9, 246, 3, 1, Smoke::mf_static, 16, 5},	//36 KNS::Engine::upload(const QString&)
    {9, 52, 0, 0, 0, 0, 6},	//37 KNS::Engine::downloadDialog()
    {9, 52, 25, 2, 0, 0, 7},	//38 KNS::Engine::downloadDialog(QObject*, const char*)
    {9, 248, 3, 1, 0, 0, 8},	//39 KNS::Engine::uploadDialog(const QString&)
    {9, 76, 3, 1, 0, 222, 9},	//40 KNS::Engine::init(const QString&)
    {9, 11, 0, 0, Smoke::mf_ctor, 14, 10},	//41 KNS::Engine::Engine()
    {9, 54, 0, 0, 0, 92, 11},	//42 KNS::Engine::downloadDialogModal()
    {9, 258, 0, 0, Smoke::mf_dtor, 0, 12 },	//43 KNS::Engine::~Engine()
    {10, 13, 0, 0, Smoke::mf_ctor, 16, 1},	//44 KNS::Entry::Entry()
    {10, 13, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//45 KNS::Entry::Entry(const KNS::Entry&)
    {10, 135, 28, 1, 0, 15, 3},	//46 KNS::Entry::operator=(const KNS::Entry&)
    {10, 191, 30, 1, 0, 0, 4},	//47 KNS::Entry::setName(const KNS::KTranslatable&)
    {10, 99, 0, 0, Smoke::mf_const, 19, 5},	//48 KNS::Entry::name() const
    {10, 173, 3, 1, 0, 0, 6},	//49 KNS::Entry::setCategory(const QString&)
    {10, 39, 0, 0, Smoke::mf_const, 127, 7},	//50 KNS::Entry::category() const
    {10, 169, 1, 1, 0, 0, 8},	//51 KNS::Entry::setAuthor(const KNS::Author&)
    {10, 38, 0, 0, Smoke::mf_const, 10, 9},	//52 KNS::Entry::author() const
    {10, 189, 3, 1, 0, 0, 10},	//53 KNS::Entry::setLicense(const QString&)
    {10, 90, 0, 0, Smoke::mf_const, 127, 11},	//54 KNS::Entry::license() const
    {10, 214, 30, 1, 0, 0, 12},	//55 KNS::Entry::setSummary(const KNS::KTranslatable&)
    {10, 232, 0, 0, Smoke::mf_const, 19, 13},	//56 KNS::Entry::summary() const
    {10, 218, 3, 1, 0, 0, 14},	//57 KNS::Entry::setVersion(const QString&)
    {10, 252, 0, 0, Smoke::mf_const, 127, 15},	//58 KNS::Entry::version() const
    {10, 202, 32, 1, 0, 0, 16},	//59 KNS::Entry::setRelease(int)
    {10, 165, 0, 0, Smoke::mf_const, 282, 17},	//60 KNS::Entry::release() const
    {10, 204, 34, 1, 0, 0, 18},	//61 KNS::Entry::setReleaseDate(const QDate&)
    {10, 166, 0, 0, Smoke::mf_const, 43, 19},	//62 KNS::Entry::releaseDate() const
    {10, 194, 30, 1, 0, 0, 20},	//63 KNS::Entry::setPayload(const KNS::KTranslatable&)
    {10, 158, 0, 0, Smoke::mf_const, 19, 21},	//64 KNS::Entry::payload() const
    {10, 196, 30, 1, 0, 0, 22},	//65 KNS::Entry::setPreview(const KNS::KTranslatable&)
    {10, 159, 0, 0, Smoke::mf_const, 19, 23},	//66 KNS::Entry::preview() const
    {10, 185, 36, 1, 0, 0, 24},	//67 KNS::Entry::setInstalledFiles(const QStringList&)
    {10, 216, 36, 1, 0, 0, 25},	//68 KNS::Entry::setUnInstalledFiles(const QStringList&)
    {10, 80, 0, 0, Smoke::mf_const, 131, 26},	//69 KNS::Entry::installedFiles() const
    {10, 245, 0, 0, Smoke::mf_const, 131, 27},	//70 KNS::Entry::uninstalledFiles() const
    {10, 200, 32, 1, 0, 0, 28},	//71 KNS::Entry::setRating(int)
    {10, 164, 0, 0, Smoke::mf_const, 282, 29},	//72 KNS::Entry::rating() const
    {10, 177, 32, 1, 0, 0, 30},	//73 KNS::Entry::setDownloads(int)
    {10, 56, 0, 0, Smoke::mf_const, 282, 31},	//74 KNS::Entry::downloads() const
    {10, 175, 3, 1, 0, 0, 32},	//75 KNS::Entry::setChecksum(const QString&)
    {10, 208, 3, 1, 0, 0, 33},	//76 KNS::Entry::setSignature(const QString&)
    {10, 42, 0, 0, Smoke::mf_const, 127, 34},	//77 KNS::Entry::checksum() const
    {10, 223, 0, 0, Smoke::mf_const, 127, 35},	//78 KNS::Entry::signature() const
    {10, 212, 38, 1, 0, 0, 36},	//79 KNS::Entry::setStatus(KNS::Entry::Status)
    {10, 228, 0, 0, 0, 18, 37},	//80 KNS::Entry::status()
    {10, 210, 40, 1, 0, 0, 38},	//81 KNS::Entry::setSource(KNS::Entry::Source)
    {10, 225, 0, 0, 0, 17, 39},	//82 KNS::Entry::source()
    {10, 183, 32, 1, 0, 0, 40},	//83 KNS::Entry::setIdNumber(int)
    {10, 75, 0, 0, Smoke::mf_const, 282, 41},	//84 KNS::Entry::idNumber() const
    {10, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 42},	//85 KNS::Entry::Invalid (enum)
    {10, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 43},	//86 KNS::Entry::Downloadable (enum)
    {10, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 44},	//87 KNS::Entry::Installed (enum)
    {10, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 45},	//88 KNS::Entry::Updateable (enum)
    {10, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 46},	//89 KNS::Entry::Deleted (enum)
    {10, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 47},	//90 KNS::Entry::Cache (enum)
    {10, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 48},	//91 KNS::Entry::Online (enum)
    {10, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 49},	//92 KNS::Entry::Registry (enum)
    {10, 259, 0, 0, Smoke::mf_dtor, 0, 50 },	//93 KNS::Entry::~Entry()
    {11, 18, 0, 0, Smoke::mf_ctor, 21, 1},	//94 KNS::KTranslatable::KTranslatable()
    {11, 18, 3, 1, Smoke::mf_ctor, 21, 2},	//95 KNS::KTranslatable::KTranslatable(const QString&)
    {11, 135, 30, 1, 0, 20, 3},	//96 KNS::KTranslatable::operator=(const KNS::KTranslatable&)
    {11, 18, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 21, 4},	//97 KNS::KTranslatable::KTranslatable(const KNS::KTranslatable&)
    {11, 36, 42, 2, 0, 0, 5},	//98 KNS::KTranslatable::addString(const QString&, const QString&)
    {11, 167, 0, 0, Smoke::mf_const, 127, 6},	//99 KNS::KTranslatable::representation() const
    {11, 243, 3, 1, Smoke::mf_const, 127, 7},	//100 KNS::KTranslatable::translated(const QString&) const
    {11, 230, 0, 0, Smoke::mf_const, 131, 8},	//101 KNS::KTranslatable::strings() const
    {11, 88, 0, 0, Smoke::mf_const, 131, 9},	//102 KNS::KTranslatable::languages() const
    {11, 86, 0, 0, Smoke::mf_const, 127, 10},	//103 KNS::KTranslatable::language() const
    {11, 229, 0, 0, Smoke::mf_const, 93, 11},	//104 KNS::KTranslatable::stringmap() const
    {11, 82, 0, 0, Smoke::mf_const, 222, 12},	//105 KNS::KTranslatable::isTranslated() const
    {11, 81, 0, 0, Smoke::mf_const, 222, 13},	//106 KNS::KTranslatable::isEmpty() const
    {11, 260, 0, 0, Smoke::mf_dtor, 0, 14 },	//107 KNS::KTranslatable::~KTranslatable()
    {12, 224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 0},	//108 KPushButton::sizeHint() const
    {12, 60, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 46, 0},	//109 KPushButton::dragObject()
    {12, 96, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//110 KPushButton::mousePressEvent(QMouseEvent*)
    {12, 95, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//111 KPushButton::mouseMoveEvent(QMouseEvent*)
    {12, 156, 47, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//112 KPushButton::paintEvent(QPaintEvent*)
    {12, 226, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//113 KPushButton::startDrag()
    {14, 73, 49, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 222, 0},	//114 QAbstractButton::hitButton(const QPoint&) const
    {14, 41, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//115 QAbstractButton::checkStateSet()
    {14, 100, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//116 QAbstractButton::nextCheckState()
    {14, 85, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//117 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {14, 97, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//118 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {14, 40, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//119 QAbstractButton::changeEvent(QEvent*)
    {14, 234, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//120 QAbstractButton::timerEvent(QTimerEvent*)
    {36, 153, 57, 2, Smoke::mf_static, 84, 1},	//121 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {36, 105, 60, 2, Smoke::mf_static, 252, 2},	//122 QGlobalSpace::operator*(const QPoint&, double)
    {36, 105, 63, 2, Smoke::mf_static, 254, 3},	//123 QGlobalSpace::operator*(double, const QPointF&)
    {36, 153, 66, 2, Smoke::mf_static, 71, 4},	//124 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {36, 101, 69, 2, Smoke::mf_static, 222, 5},	//125 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {36, 105, 72, 2, Smoke::mf_static, 264, 6},	//126 QGlobalSpace::operator*(double, const QSizeF&)
    {36, 149, 75, 2, Smoke::mf_static, 42, 7},	//127 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {36, 127, 78, 2, Smoke::mf_static, 42, 8},	//128 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {36, 153, 81, 2, Smoke::mf_static, 84, 9},	//129 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {36, 101, 84, 2, Smoke::mf_static, 222, 10},	//130 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {36, 109, 87, 2, Smoke::mf_static, 262, 11},	//131 QGlobalSpace::operator+(const QSize&, const QSize&)
    {36, 127, 90, 2, Smoke::mf_static, 42, 12},	//132 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {36, 105, 93, 2, Smoke::mf_static, 109, 13},	//133 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {36, 105, 96, 2, Smoke::mf_static, 88, 14},	//134 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {36, 137, 69, 2, Smoke::mf_static, 222, 15},	//135 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {36, 153, 99, 2, Smoke::mf_static, 76, 16},	//136 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {36, 105, 102, 2, Smoke::mf_static, 264, 17},	//137 QGlobalSpace::operator*(const QSizeF&, double)
    {36, 127, 105, 2, Smoke::mf_static, 42, 18},	//138 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {36, 117, 108, 2, Smoke::mf_static, 264, 19},	//139 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {36, 145, 111, 2, Smoke::mf_static, 222, 20},	//140 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {36, 137, 114, 2, Smoke::mf_static, 222, 21},	//141 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {36, 153, 117, 2, Smoke::mf_static, 71, 22},	//142 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {36, 153, 120, 2, Smoke::mf_static, 52, 23},	//143 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {36, 153, 123, 2, Smoke::mf_static, 52, 24},	//144 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {36, 101, 126, 2, Smoke::mf_static, 222, 25},	//145 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {36, 137, 129, 2, Smoke::mf_static, 222, 26},	//146 QGlobalSpace::operator==(QBool, QBool)
    {36, 153, 132, 2, Smoke::mf_static, 62, 27},	//147 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {36, 137, 135, 2, Smoke::mf_static, 222, 28},	//148 QGlobalSpace::operator==(QString::Null, QString::Null)
    {36, 127, 138, 2, Smoke::mf_static, 42, 29},	//149 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {36, 109, 141, 2, Smoke::mf_static, 267, 30},	//150 QGlobalSpace::operator+(QChar, const QString&)
    {36, 153, 144, 2, Smoke::mf_static, 57, 31},	//151 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {36, 127, 147, 2, Smoke::mf_static, 42, 32},	//152 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {36, 114, 150, 1, Smoke::mf_static, 8, 33},	//153 QGlobalSpace::operator++(KIconLoader::Group&)
    {36, 127, 152, 2, Smoke::mf_static, 42, 34},	//154 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {36, 105, 155, 2, Smoke::mf_static, 113, 35},	//155 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {36, 153, 158, 2, Smoke::mf_static, 74, 36},	//156 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {36, 153, 161, 2, Smoke::mf_static, 84, 37},	//157 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {36, 109, 108, 2, Smoke::mf_static, 264, 38},	//158 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {36, 153, 164, 2, Smoke::mf_static, 84, 39},	//159 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {36, 153, 167, 2, Smoke::mf_static, 84, 40},	//160 QGlobalSpace::operator|(Qt::DropAction, int)
    {36, 127, 170, 2, Smoke::mf_static, 42, 41},	//161 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {36, 153, 173, 2, Smoke::mf_static, 54, 42},	//162 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {36, 153, 176, 2, Smoke::mf_static, 62, 43},	//163 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {36, 149, 179, 2, Smoke::mf_static, 42, 44},	//164 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {36, 127, 182, 2, Smoke::mf_static, 42, 45},	//165 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {36, 153, 185, 2, Smoke::mf_static, 84, 46},	//166 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {36, 123, 188, 2, Smoke::mf_static, 222, 47},	//167 QGlobalSpace::operator<(const QByteArray&, const char*)
    {36, 153, 191, 2, Smoke::mf_static, 53, 48},	//168 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {36, 153, 194, 2, Smoke::mf_static, 63, 49},	//169 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {36, 105, 197, 2, Smoke::mf_static, 88, 50},	//170 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {36, 153, 200, 2, Smoke::mf_static, 53, 51},	//171 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {36, 105, 203, 2, Smoke::mf_static, 90, 52},	//172 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {36, 153, 206, 2, Smoke::mf_static, 72, 53},	//173 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {36, 105, 209, 2, Smoke::mf_static, 102, 54},	//174 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {36, 153, 212, 2, Smoke::mf_static, 84, 55},	//175 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {36, 149, 215, 2, Smoke::mf_static, 42, 56},	//176 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {36, 127, 218, 2, Smoke::mf_static, 42, 57},	//177 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {36, 153, 221, 2, Smoke::mf_static, 84, 58},	//178 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {36, 127, 224, 2, Smoke::mf_static, 42, 59},	//179 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {36, 153, 227, 2, Smoke::mf_static, 65, 60},	//180 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {36, 149, 230, 2, Smoke::mf_static, 42, 61},	//181 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {36, 153, 233, 2, Smoke::mf_static, 57, 62},	//182 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {36, 109, 236, 2, Smoke::mf_static, 229, 63},	//183 QGlobalSpace::operator+(char, const QByteArray&)
    {36, 121, 60, 2, Smoke::mf_static, 252, 64},	//184 QGlobalSpace::operator/(const QPoint&, double)
    {36, 137, 239, 2, Smoke::mf_static, 222, 65},	//185 QGlobalSpace::operator==(const char*, const QByteArray&)
    {36, 149, 242, 2, Smoke::mf_static, 42, 66},	//186 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {36, 149, 245, 2, Smoke::mf_static, 42, 67},	//187 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {36, 149, 248, 2, Smoke::mf_static, 42, 68},	//188 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {36, 137, 251, 2, Smoke::mf_static, 222, 69},	//189 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {36, 121, 254, 2, Smoke::mf_static, 138, 70},	//190 QGlobalSpace::operator/(const QTransform&, double)
    {36, 101, 257, 2, Smoke::mf_static, 222, 71},	//191 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {36, 123, 260, 2, Smoke::mf_static, 222, 72},	//192 QGlobalSpace::operator<(QChar, QChar)
    {36, 105, 263, 2, Smoke::mf_static, 102, 73},	//193 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {36, 127, 266, 2, Smoke::mf_static, 42, 74},	//194 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {36, 149, 269, 2, Smoke::mf_static, 42, 75},	//195 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {36, 105, 272, 2, Smoke::mf_static, 254, 76},	//196 QGlobalSpace::operator*(const QPointF&, double)
    {36, 153, 275, 2, Smoke::mf_static, 84, 77},	//197 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {36, 137, 87, 2, Smoke::mf_static, 222, 78},	//198 QGlobalSpace::operator==(const QSize&, const QSize&)
    {36, 127, 278, 2, Smoke::mf_static, 42, 79},	//199 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {36, 153, 281, 2, Smoke::mf_static, 70, 80},	//200 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {36, 153, 284, 2, Smoke::mf_static, 84, 81},	//201 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {36, 101, 111, 2, Smoke::mf_static, 222, 82},	//202 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {36, 153, 287, 2, Smoke::mf_static, 58, 83},	//203 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {36, 149, 290, 2, Smoke::mf_static, 42, 84},	//204 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {36, 153, 293, 2, Smoke::mf_static, 69, 85},	//205 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {36, 121, 102, 2, Smoke::mf_static, 264, 86},	//206 QGlobalSpace::operator/(const QSizeF&, double)
    {36, 153, 296, 2, Smoke::mf_static, 70, 87},	//207 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {36, 149, 299, 2, Smoke::mf_static, 42, 88},	//208 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {36, 105, 302, 2, Smoke::mf_static, 111, 89},	//209 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {36, 141, 260, 2, Smoke::mf_static, 222, 90},	//210 QGlobalSpace::operator>(QChar, QChar)
    {36, 145, 239, 2, Smoke::mf_static, 222, 91},	//211 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {36, 137, 305, 2, Smoke::mf_static, 222, 92},	//212 QGlobalSpace::operator==(const QString&, QString::Null)
    {36, 123, 111, 2, Smoke::mf_static, 222, 93},	//213 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {36, 149, 308, 2, Smoke::mf_static, 42, 94},	//214 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {36, 117, 311, 1, Smoke::mf_static, 254, 95},	//215 QGlobalSpace::operator-(const QPointF&)
    {36, 153, 313, 2, Smoke::mf_static, 68, 96},	//216 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {36, 127, 316, 2, Smoke::mf_static, 42, 97},	//217 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {36, 153, 319, 2, Smoke::mf_static, 77, 98},	//218 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {36, 105, 322, 2, Smoke::mf_static, 109, 99},	//219 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {36, 153, 325, 2, Smoke::mf_static, 68, 100},	//220 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {36, 153, 328, 2, Smoke::mf_static, 75, 101},	//221 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {36, 145, 257, 2, Smoke::mf_static, 222, 102},	//222 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {36, 137, 126, 2, Smoke::mf_static, 222, 103},	//223 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {36, 127, 331, 2, Smoke::mf_static, 42, 104},	//224 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {36, 153, 334, 2, Smoke::mf_static, 58, 105},	//225 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {36, 127, 337, 2, Smoke::mf_static, 42, 106},	//226 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {36, 149, 340, 2, Smoke::mf_static, 42, 107},	//227 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {36, 153, 343, 2, Smoke::mf_static, 69, 108},	//228 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {36, 123, 239, 2, Smoke::mf_static, 222, 109},	//229 QGlobalSpace::operator<(const char*, const QByteArray&)
    {36, 153, 346, 2, Smoke::mf_static, 84, 110},	//230 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {36, 105, 349, 2, Smoke::mf_static, 107, 111},	//231 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {36, 153, 352, 2, Smoke::mf_static, 84, 112},	//232 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {36, 153, 355, 2, Smoke::mf_static, 84, 113},	//233 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {36, 101, 87, 2, Smoke::mf_static, 222, 114},	//234 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {36, 153, 358, 2, Smoke::mf_static, 66, 115},	//235 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {36, 131, 188, 2, Smoke::mf_static, 222, 116},	//236 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {36, 101, 361, 2, Smoke::mf_static, 222, 117},	//237 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {36, 153, 364, 2, Smoke::mf_static, 84, 118},	//238 QGlobalSpace::operator|(QString::SectionFlag, int)
    {36, 153, 367, 2, Smoke::mf_static, 84, 119},	//239 QGlobalSpace::operator|(Qt::WindowType, int)
    {36, 153, 370, 2, Smoke::mf_static, 61, 120},	//240 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {36, 137, 373, 2, Smoke::mf_static, 222, 121},	//241 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {36, 137, 376, 2, Smoke::mf_static, 222, 122},	//242 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {36, 153, 379, 2, Smoke::mf_static, 55, 123},	//243 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {36, 153, 382, 2, Smoke::mf_static, 60, 124},	//244 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {36, 149, 385, 2, Smoke::mf_static, 42, 125},	//245 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {36, 127, 388, 2, Smoke::mf_static, 42, 126},	//246 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {36, 105, 254, 2, Smoke::mf_static, 138, 127},	//247 QGlobalSpace::operator*(const QTransform&, double)
    {36, 153, 391, 2, Smoke::mf_static, 84, 128},	//248 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {36, 123, 257, 2, Smoke::mf_static, 222, 129},	//249 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {36, 153, 394, 2, Smoke::mf_static, 61, 130},	//250 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {36, 101, 397, 2, Smoke::mf_static, 222, 131},	//251 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {36, 101, 239, 2, Smoke::mf_static, 222, 132},	//252 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {36, 141, 257, 2, Smoke::mf_static, 222, 133},	//253 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {36, 153, 400, 2, Smoke::mf_static, 84, 134},	//254 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {36, 153, 403, 2, Smoke::mf_static, 56, 135},	//255 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {36, 127, 406, 2, Smoke::mf_static, 42, 136},	//256 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {36, 149, 409, 2, Smoke::mf_static, 42, 137},	//257 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {36, 127, 412, 2, Smoke::mf_static, 42, 138},	//258 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {36, 105, 415, 2, Smoke::mf_static, 252, 139},	//259 QGlobalSpace::operator*(const QPoint&, float)
    {36, 109, 42, 2, Smoke::mf_static, 267, 140},	//260 QGlobalSpace::operator+(const QString&, const QString&)
    {36, 101, 188, 2, Smoke::mf_static, 222, 141},	//261 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {36, 101, 418, 2, Smoke::mf_static, 222, 142},	//262 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {36, 153, 421, 2, Smoke::mf_static, 84, 143},	//263 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {36, 153, 424, 2, Smoke::mf_static, 84, 144},	//264 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {36, 149, 427, 2, Smoke::mf_static, 42, 145},	//265 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {36, 141, 111, 2, Smoke::mf_static, 222, 146},	//266 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {36, 137, 361, 2, Smoke::mf_static, 222, 147},	//267 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {36, 137, 430, 2, Smoke::mf_static, 222, 148},	//268 QGlobalSpace::operator==(const char*, const QStringRef&)
    {36, 109, 239, 2, Smoke::mf_static, 229, 149},	//269 QGlobalSpace::operator+(const char*, const QByteArray&)
    {36, 149, 433, 2, Smoke::mf_static, 42, 150},	//270 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {36, 153, 436, 2, Smoke::mf_static, 84, 151},	//271 QGlobalSpace::operator|(Qt::MouseButton, int)
    {36, 131, 257, 2, Smoke::mf_static, 222, 152},	//272 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {36, 149, 439, 2, Smoke::mf_static, 42, 153},	//273 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {36, 153, 442, 2, Smoke::mf_static, 67, 154},	//274 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {36, 149, 445, 2, Smoke::mf_static, 42, 155},	//275 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {36, 137, 260, 2, Smoke::mf_static, 222, 156},	//276 QGlobalSpace::operator==(QChar, QChar)
    {36, 153, 448, 2, Smoke::mf_static, 73, 157},	//277 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {36, 101, 373, 2, Smoke::mf_static, 222, 158},	//278 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {36, 105, 451, 2, Smoke::mf_static, 90, 159},	//279 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {36, 101, 454, 2, Smoke::mf_static, 222, 160},	//280 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {36, 127, 457, 2, Smoke::mf_static, 42, 161},	//281 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {36, 127, 460, 2, Smoke::mf_static, 42, 162},	//282 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {36, 153, 463, 2, Smoke::mf_static, 74, 163},	//283 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {36, 127, 466, 2, Smoke::mf_static, 42, 164},	//284 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {36, 153, 469, 2, Smoke::mf_static, 55, 165},	//285 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {36, 127, 472, 2, Smoke::mf_static, 42, 166},	//286 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {36, 101, 114, 2, Smoke::mf_static, 222, 167},	//287 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {36, 101, 260, 2, Smoke::mf_static, 222, 168},	//288 QGlobalSpace::operator!=(QChar, QChar)
    {36, 153, 475, 2, Smoke::mf_static, 76, 169},	//289 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {36, 153, 478, 2, Smoke::mf_static, 60, 170},	//290 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {36, 137, 108, 2, Smoke::mf_static, 222, 171},	//291 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {36, 149, 481, 2, Smoke::mf_static, 42, 172},	//292 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {36, 149, 484, 2, Smoke::mf_static, 42, 173},	//293 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {36, 127, 487, 2, Smoke::mf_static, 42, 174},	//294 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {36, 137, 257, 2, Smoke::mf_static, 222, 175},	//295 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {36, 101, 490, 2, Smoke::mf_static, 222, 176},	//296 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {36, 105, 493, 2, Smoke::mf_static, 262, 177},	//297 QGlobalSpace::operator*(double, const QSize&)
    {36, 145, 188, 2, Smoke::mf_static, 222, 178},	//298 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {36, 105, 496, 2, Smoke::mf_static, 252, 179},	//299 QGlobalSpace::operator*(double, const QPoint&)
    {36, 127, 499, 2, Smoke::mf_static, 42, 180},	//300 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {36, 127, 502, 2, Smoke::mf_static, 42, 181},	//301 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {36, 109, 505, 2, Smoke::mf_static, 229, 182},	//302 QGlobalSpace::operator+(const QByteArray&, char)
    {36, 121, 272, 2, Smoke::mf_static, 254, 183},	//303 QGlobalSpace::operator/(const QPointF&, double)
    {36, 145, 260, 2, Smoke::mf_static, 222, 184},	//304 QGlobalSpace::operator>=(QChar, QChar)
    {36, 131, 111, 2, Smoke::mf_static, 222, 185},	//305 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {36, 149, 508, 2, Smoke::mf_static, 42, 186},	//306 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {36, 153, 511, 2, Smoke::mf_static, 59, 187},	//307 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {36, 127, 514, 2, Smoke::mf_static, 42, 188},	//308 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {36, 141, 239, 2, Smoke::mf_static, 222, 189},	//309 QGlobalSpace::operator>(const char*, const QByteArray&)
    {36, 149, 517, 2, Smoke::mf_static, 42, 190},	//310 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {36, 127, 520, 2, Smoke::mf_static, 42, 191},	//311 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {36, 137, 490, 2, Smoke::mf_static, 222, 192},	//312 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {36, 101, 523, 2, Smoke::mf_static, 222, 193},	//313 QGlobalSpace::operator!=(bool, QBool)
    {36, 153, 526, 2, Smoke::mf_static, 56, 194},	//314 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {36, 105, 529, 2, Smoke::mf_static, 111, 195},	//315 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {36, 101, 532, 2, Smoke::mf_static, 222, 196},	//316 QGlobalSpace::operator!=(QBool, bool)
    {36, 153, 535, 2, Smoke::mf_static, 84, 197},	//317 QGlobalSpace::operator|(Qt::WindowState, int)
    {36, 117, 361, 2, Smoke::mf_static, 252, 198},	//318 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {36, 149, 538, 2, Smoke::mf_static, 42, 199},	//319 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {36, 109, 188, 2, Smoke::mf_static, 229, 200},	//320 QGlobalSpace::operator+(const QByteArray&, const char*)
    {36, 127, 541, 2, Smoke::mf_static, 42, 201},	//321 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {36, 101, 108, 2, Smoke::mf_static, 222, 202},	//322 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {36, 131, 239, 2, Smoke::mf_static, 222, 203},	//323 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {36, 153, 544, 2, Smoke::mf_static, 84, 204},	//324 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {36, 127, 547, 2, Smoke::mf_static, 42, 205},	//325 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {36, 153, 550, 2, Smoke::mf_static, 63, 206},	//326 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {36, 137, 418, 2, Smoke::mf_static, 222, 207},	//327 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {36, 127, 553, 2, Smoke::mf_static, 42, 208},	//328 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {36, 153, 556, 2, Smoke::mf_static, 77, 209},	//329 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {36, 105, 559, 2, Smoke::mf_static, 262, 210},	//330 QGlobalSpace::operator*(const QSize&, double)
    {36, 137, 562, 2, Smoke::mf_static, 222, 211},	//331 QGlobalSpace::operator==(QString::Null, const QString&)
    {36, 153, 565, 2, Smoke::mf_static, 67, 212},	//332 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {36, 149, 568, 2, Smoke::mf_static, 42, 213},	//333 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {36, 137, 188, 2, Smoke::mf_static, 222, 214},	//334 QGlobalSpace::operator==(const QByteArray&, const char*)
    {36, 149, 571, 2, Smoke::mf_static, 42, 215},	//335 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {36, 127, 574, 2, Smoke::mf_static, 42, 216},	//336 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {36, 149, 577, 2, Smoke::mf_static, 42, 217},	//337 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {36, 141, 188, 2, Smoke::mf_static, 222, 218},	//338 QGlobalSpace::operator>(const QByteArray&, const char*)
    {36, 109, 361, 2, Smoke::mf_static, 252, 219},	//339 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {36, 131, 260, 2, Smoke::mf_static, 222, 220},	//340 QGlobalSpace::operator<=(QChar, QChar)
    {36, 105, 580, 2, Smoke::mf_static, 118, 221},	//341 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {36, 101, 562, 2, Smoke::mf_static, 222, 222},	//342 QGlobalSpace::operator!=(QString::Null, const QString&)
    {36, 153, 583, 2, Smoke::mf_static, 59, 223},	//343 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {36, 101, 305, 2, Smoke::mf_static, 222, 224},	//344 QGlobalSpace::operator!=(const QString&, QString::Null)
    {36, 153, 586, 2, Smoke::mf_static, 84, 225},	//345 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {36, 105, 589, 2, Smoke::mf_static, 252, 226},	//346 QGlobalSpace::operator*(int, const QPoint&)
    {36, 153, 592, 2, Smoke::mf_static, 65, 227},	//347 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {36, 105, 595, 2, Smoke::mf_static, 113, 228},	//348 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {36, 117, 49, 1, Smoke::mf_static, 252, 229},	//349 QGlobalSpace::operator-(const QPoint&)
    {36, 149, 598, 2, Smoke::mf_static, 42, 230},	//350 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {36, 153, 601, 2, Smoke::mf_static, 54, 231},	//351 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {36, 149, 604, 2, Smoke::mf_static, 42, 232},	//352 QGlobalSpace::operator>>(QDataStream&, QString&)
    {36, 137, 111, 2, Smoke::mf_static, 222, 233},	//353 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {36, 127, 607, 2, Smoke::mf_static, 42, 234},	//354 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {36, 117, 251, 2, Smoke::mf_static, 254, 235},	//355 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {36, 149, 610, 2, Smoke::mf_static, 42, 236},	//356 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {36, 109, 254, 2, Smoke::mf_static, 138, 237},	//357 QGlobalSpace::operator+(const QTransform&, double)
    {36, 153, 613, 2, Smoke::mf_static, 73, 238},	//358 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {36, 137, 397, 2, Smoke::mf_static, 222, 239},	//359 QGlobalSpace::operator==(const QStringRef&, const char*)
    {36, 101, 430, 2, Smoke::mf_static, 222, 240},	//360 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {36, 149, 616, 2, Smoke::mf_static, 42, 241},	//361 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {36, 109, 111, 2, Smoke::mf_static, 229, 242},	//362 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {36, 149, 619, 2, Smoke::mf_static, 42, 243},	//363 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {36, 153, 622, 2, Smoke::mf_static, 84, 244},	//364 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {36, 127, 625, 2, Smoke::mf_static, 42, 245},	//365 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {36, 127, 628, 2, Smoke::mf_static, 42, 246},	//366 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {36, 121, 559, 2, Smoke::mf_static, 262, 247},	//367 QGlobalSpace::operator/(const QSize&, double)
    {36, 149, 631, 2, Smoke::mf_static, 42, 248},	//368 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {36, 149, 634, 2, Smoke::mf_static, 42, 249},	//369 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {36, 137, 523, 2, Smoke::mf_static, 222, 250},	//370 QGlobalSpace::operator==(bool, QBool)
    {36, 153, 637, 2, Smoke::mf_static, 75, 251},	//371 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {36, 153, 640, 2, Smoke::mf_static, 84, 252},	//372 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {36, 105, 643, 2, Smoke::mf_static, 107, 253},	//373 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {36, 127, 646, 2, Smoke::mf_static, 42, 254},	//374 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {36, 149, 649, 2, Smoke::mf_static, 42, 255},	//375 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {36, 101, 251, 2, Smoke::mf_static, 222, 256},	//376 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {36, 105, 652, 2, Smoke::mf_static, 252, 257},	//377 QGlobalSpace::operator*(const QPoint&, int)
    {36, 153, 655, 2, Smoke::mf_static, 66, 258},	//378 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {36, 117, 87, 2, Smoke::mf_static, 262, 259},	//379 QGlobalSpace::operator-(const QSize&, const QSize&)
    {36, 153, 658, 2, Smoke::mf_static, 64, 260},	//380 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {36, 153, 661, 2, Smoke::mf_static, 64, 261},	//381 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {36, 153, 664, 2, Smoke::mf_static, 84, 262},	//382 QGlobalSpace::operator|(Qt::Orientation, int)
    {36, 109, 251, 2, Smoke::mf_static, 254, 263},	//383 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {36, 105, 667, 2, Smoke::mf_static, 118, 264},	//384 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {36, 137, 532, 2, Smoke::mf_static, 222, 265},	//385 QGlobalSpace::operator==(QBool, bool)
    {36, 137, 84, 2, Smoke::mf_static, 222, 266},	//386 QGlobalSpace::operator==(const QRect&, const QRect&)
    {36, 105, 670, 2, Smoke::mf_static, 252, 267},	//387 QGlobalSpace::operator*(float, const QPoint&)
    {36, 149, 673, 2, Smoke::mf_static, 42, 268},	//388 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {36, 109, 676, 2, Smoke::mf_static, 267, 269},	//389 QGlobalSpace::operator+(const QString&, QChar)
    {36, 101, 135, 2, Smoke::mf_static, 222, 270},	//390 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {36, 153, 679, 2, Smoke::mf_static, 72, 271},	//391 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {36, 101, 129, 2, Smoke::mf_static, 222, 272},	//392 QGlobalSpace::operator!=(QBool, QBool)
    {36, 137, 454, 2, Smoke::mf_static, 222, 273},	//393 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {36, 117, 254, 2, Smoke::mf_static, 138, 274},	//394 QGlobalSpace::operator-(const QTransform&, double)
    {36, 114, 682, 2, Smoke::mf_static, 7, 275},	//395 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {36, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 276},	//396 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {36, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 277},	//397 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {36, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 278},	//398 QGlobalSpace::Q_STATIC_TYPE (enum)
    {36, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 279},	//399 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {36, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 280},	//400 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {36, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 281},	//401 QGlobalSpace::QtDebugMsg (enum)
    {36, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 282},	//402 QGlobalSpace::QtWarningMsg (enum)
    {36, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 283},	//403 QGlobalSpace::QtCriticalMsg (enum)
    {36, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 284},	//404 QGlobalSpace::QtFatalMsg (enum)
    {36, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 285},	//405 QGlobalSpace::QtSystemMsg (enum)
    {53, 66, 685, 2, Smoke::mf_virtual, 222, 0},	//406 QObject::eventFilter(QObject*, QEvent*)
    {53, 43, 688, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//407 QObject::childEvent(QChildEvent*)
    {53, 47, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//408 QObject::customEvent(QEvent*)
    {53, 45, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//409 QObject::connectNotify(const char*)
    {53, 50, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//410 QObject::disconnectNotify(const char*)
    {63, 93, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 0},	//411 QPushButton::minimumSizeHint() const
    {63, 65, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 222, 0},	//412 QPushButton::event(QEvent*)
    {63, 84, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//413 QPushButton::keyPressEvent(QKeyEvent*)
    {63, 67, 690, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//414 QPushButton::focusInEvent(QFocusEvent*)
    {63, 69, 690, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//415 QPushButton::focusOutEvent(QFocusEvent*)
    {84, 48, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//416 QWidget::devType() const
    {84, 220, 692, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//417 QWidget::setVisible(bool)
    {84, 71, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//418 QWidget::heightForWidth(int) const
    {84, 155, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 0},	//419 QWidget::paintEngine() const
    {84, 94, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//420 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {84, 253, 694, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//421 QWidget::wheelEvent(QWheelEvent*)
    {84, 64, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//422 QWidget::enterEvent(QEvent*)
    {84, 89, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//423 QWidget::leaveEvent(QEvent*)
    {84, 98, 696, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//424 QWidget::moveEvent(QMoveEvent*)
    {84, 168, 698, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//425 QWidget::resizeEvent(QResizeEvent*)
    {84, 44, 700, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//426 QWidget::closeEvent(QCloseEvent*)
    {84, 46, 702, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//427 QWidget::contextMenuEvent(QContextMenuEvent*)
    {84, 233, 704, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//428 QWidget::tabletEvent(QTabletEvent*)
    {84, 35, 706, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//429 QWidget::actionEvent(QActionEvent*)
    {84, 57, 708, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//430 QWidget::dragEnterEvent(QDragEnterEvent*)
    {84, 59, 710, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//431 QWidget::dragMoveEvent(QDragMoveEvent*)
    {84, 58, 712, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//432 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {84, 61, 714, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//433 QWidget::dropEvent(QDropEvent*)
    {84, 222, 716, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//434 QWidget::showEvent(QShowEvent*)
    {84, 72, 718, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//435 QWidget::hideEvent(QHideEvent*)
    {84, 255, 720, 1, Smoke::mf_protected|Smoke::mf_virtual, 222, 0},	//436 QWidget::x11Event(_XEvent*)
    {84, 92, 722, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 282, 0},	//437 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {84, 78, 724, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//438 QWidget::inputMethodEvent(QInputMethodEvent*)
    {84, 79, 726, 1, Smoke::mf_const|Smoke::mf_virtual, 142, 0},	//439 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {84, 68, 692, 1, Smoke::mf_protected|Smoke::mf_virtual, 222, 0},	//440 QWidget::focusNextPrevChild(bool)
    {84, 231, 728, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//441 QWidget::styleChange(QStyle&)
    {84, 63, 692, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//442 QWidget::enabledChange(bool)
    {84, 157, 730, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//443 QWidget::paletteChange(const QPalette&)
    {84, 70, 732, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//444 QWidget::fontChange(const QFont&)
    {84, 254, 692, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//445 QWidget::windowActivationChange(bool)
    {84, 87, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//446 QWidget::languageChange()
    {84, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 32},	//447 QWidget::DrawWindowBackground (enum)
    {84, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 33},	//448 QWidget::DrawChildren (enum)
    {84, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 34},	//449 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    125,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    130,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    145,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    191,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    202,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    234,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    237,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    280,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    287,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    288,  // QGlobalSpace::operator!=(QChar, QChar)
    296,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    322,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    376,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    390,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    392,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    251,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    261,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    278,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    316,  // QGlobalSpace::operator!=(QBool, bool)
    342,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    252,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    262,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    313,  // QGlobalSpace::operator!=(bool, QBool)
    344,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    360,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    0,
    133,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    134,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    155,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    170,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    172,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    174,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    193,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    209,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    219,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    231,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    279,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    315,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    341,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    348,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    373,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    384,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    122,  // QGlobalSpace::operator*(const QPoint&, double)
    137,  // QGlobalSpace::operator*(const QSizeF&, double)
    196,  // QGlobalSpace::operator*(const QPointF&, double)
    247,  // QGlobalSpace::operator*(const QTransform&, double)
    259,  // QGlobalSpace::operator*(const QPoint&, float)
    330,  // QGlobalSpace::operator*(const QSize&, double)
    377,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    123,  // QGlobalSpace::operator*(double, const QPointF&)
    126,  // QGlobalSpace::operator*(double, const QSizeF&)
    297,  // QGlobalSpace::operator*(double, const QSize&)
    299,  // QGlobalSpace::operator*(double, const QPoint&)
    346,  // QGlobalSpace::operator*(int, const QPoint&)
    387,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    131,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    158,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    339,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    362,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    383,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    150,  // QGlobalSpace::operator+(QChar, const QString&)
    302,  // QGlobalSpace::operator+(const QByteArray&, char)
    320,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    357,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    183,  // QGlobalSpace::operator+(char, const QByteArray&)
    269,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    389,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    215,  // QGlobalSpace::operator-(const QPointF&)
    349,  // QGlobalSpace::operator-(const QPoint&)
    0,
    139,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    318,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    355,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    379,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    184,  // QGlobalSpace::operator/(const QPoint&, double)
    190,  // QGlobalSpace::operator/(const QTransform&, double)
    206,  // QGlobalSpace::operator/(const QSizeF&, double)
    303,  // QGlobalSpace::operator/(const QPointF&, double)
    367,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    192,  // QGlobalSpace::operator<(QChar, QChar)
    213,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    249,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    128,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    132,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    138,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    149,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    152,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    154,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    165,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    177,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    179,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    194,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    199,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    217,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    224,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    226,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    246,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    256,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    258,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    281,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    282,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    284,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    286,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    294,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    300,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    301,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    308,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    311,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    321,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    325,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    328,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    336,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    365,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    374,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    354,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    366,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    272,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    305,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    340,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    135,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    141,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    146,  // QGlobalSpace::operator==(QBool, QBool)
    148,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    189,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    198,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    223,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    242,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    267,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    276,  // QGlobalSpace::operator==(QChar, QChar)
    291,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    295,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    312,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    353,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    386,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    393,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    241,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    331,  // QGlobalSpace::operator==(QString::Null, const QString&)
    334,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    359,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    385,  // QGlobalSpace::operator==(QBool, bool)
    0,
    185,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    212,  // QGlobalSpace::operator==(const QString&, QString::Null)
    268,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    327,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    370,  // QGlobalSpace::operator==(bool, QBool)
    0,
    210,  // QGlobalSpace::operator>(QChar, QChar)
    253,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    266,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    140,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    222,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    304,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    127,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    164,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    176,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    181,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    186,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    187,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    188,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    195,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    204,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    208,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    214,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    227,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    245,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    257,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    265,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    270,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    273,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    292,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    293,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    306,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    310,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    333,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    335,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    337,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    350,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    356,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    361,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    368,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    375,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    275,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    352,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    121,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    124,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    129,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    136,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    142,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    143,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    144,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    147,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    151,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    156,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    157,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    159,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    160,  // QGlobalSpace::operator|(Qt::DropAction, int)
    162,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    163,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    166,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    168,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    169,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    171,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    173,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    175,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    178,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    180,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    182,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    197,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    200,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    201,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    203,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    205,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    207,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    216,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    218,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    220,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    221,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    225,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    228,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    230,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    232,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    233,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    235,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    238,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    239,  // QGlobalSpace::operator|(Qt::WindowType, int)
    240,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    243,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    244,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    248,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    250,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    254,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    255,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    263,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    264,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    271,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    274,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    277,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    283,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    285,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    289,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    290,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    307,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    314,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    317,  // QGlobalSpace::operator|(Qt::WindowState, int)
    324,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    326,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    329,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    332,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    343,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    345,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    347,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    351,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    358,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    364,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    371,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    372,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    378,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    380,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    381,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    382,  // QGlobalSpace::operator|(Qt::Orientation, int)
    391,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 1, 1},	// KNS::Author::Author
    {7, 2, 2},	// KNS::Author::Author#
    {7, 62, 7},	// KNS::Author::email
    {7, 74, 11},	// KNS::Author::homepage
    {7, 83, 9},	// KNS::Author::jabber
    {7, 99, 5},	// KNS::Author::name
    {7, 136, 3},	// KNS::Author::operator=#
    {7, 180, 6},	// KNS::Author::setEmail$
    {7, 182, 10},	// KNS::Author::setHomepage$
    {7, 188, 8},	// KNS::Author::setJabber$
    {7, 193, 4},	// KNS::Author::setName$
    {7, 256, 12},	// KNS::Author::~Author
    {8, 4, 21},	// KNS::Button::Button#
    {8, 5, 20},	// KNS::Button::Button$$$#
    {8, 34, 25},	// KNS::Button::aboutToShowDialog
    {8, 49, 26},	// KNS::Button::dialogFinished
    {8, 91, 13},	// KNS::Button::metaObject
    {8, 161, 19},	// KNS::Button::qt_metacall$$?
    {8, 163, 14},	// KNS::Button::qt_metacast$
    {8, 172, 24},	// KNS::Button::setButtonText$
    {8, 199, 22},	// KNS::Button::setProviderList$
    {8, 207, 23},	// KNS::Button::setResourceType$
    {8, 221, 27},	// KNS::Button::showDialog
    {8, 227, 30},	// KNS::Button::staticMetaObject
    {8, 236, 28},	// KNS::Button::tr$
    {8, 237, 15},	// KNS::Button::tr$$
    {8, 238, 17},	// KNS::Button::tr$$$
    {8, 240, 29},	// KNS::Button::trUtf8$
    {8, 241, 16},	// KNS::Button::trUtf8$$
    {8, 242, 18},	// KNS::Button::trUtf8$$$
    {8, 257, 31},	// KNS::Button::~Button
    {9, 11, 41},	// KNS::Engine::Engine
    {9, 12, 32},	// KNS::Engine::Engine#
    {9, 51, 34},	// KNS::Engine::download
    {9, 52, 37},	// KNS::Engine::downloadDialog
    {9, 53, 38},	// KNS::Engine::downloadDialog#$
    {9, 54, 42},	// KNS::Engine::downloadDialogModal
    {9, 55, 33},	// KNS::Engine::downloadDialogModal#
    {9, 77, 40},	// KNS::Engine::init$
    {9, 247, 36},	// KNS::Engine::upload$
    {9, 249, 39},	// KNS::Engine::uploadDialog$
    {9, 251, 35},	// KNS::Engine::uploadDialogModal$
    {9, 258, 43},	// KNS::Engine::~Engine
    {10, 6, 90},	// KNS::Entry::Cache
    {10, 7, 89},	// KNS::Entry::Deleted
    {10, 8, 86},	// KNS::Entry::Downloadable
    {10, 13, 44},	// KNS::Entry::Entry
    {10, 14, 45},	// KNS::Entry::Entry#
    {10, 16, 87},	// KNS::Entry::Installed
    {10, 17, 85},	// KNS::Entry::Invalid
    {10, 21, 91},	// KNS::Entry::Online
    {10, 32, 92},	// KNS::Entry::Registry
    {10, 33, 88},	// KNS::Entry::Updateable
    {10, 38, 52},	// KNS::Entry::author
    {10, 39, 50},	// KNS::Entry::category
    {10, 42, 77},	// KNS::Entry::checksum
    {10, 56, 74},	// KNS::Entry::downloads
    {10, 75, 84},	// KNS::Entry::idNumber
    {10, 80, 69},	// KNS::Entry::installedFiles
    {10, 90, 54},	// KNS::Entry::license
    {10, 99, 48},	// KNS::Entry::name
    {10, 136, 46},	// KNS::Entry::operator=#
    {10, 158, 64},	// KNS::Entry::payload
    {10, 159, 66},	// KNS::Entry::preview
    {10, 164, 72},	// KNS::Entry::rating
    {10, 165, 60},	// KNS::Entry::release
    {10, 166, 62},	// KNS::Entry::releaseDate
    {10, 170, 51},	// KNS::Entry::setAuthor#
    {10, 174, 49},	// KNS::Entry::setCategory$
    {10, 176, 75},	// KNS::Entry::setChecksum$
    {10, 178, 73},	// KNS::Entry::setDownloads$
    {10, 184, 83},	// KNS::Entry::setIdNumber$
    {10, 186, 67},	// KNS::Entry::setInstalledFiles?
    {10, 190, 53},	// KNS::Entry::setLicense$
    {10, 192, 47},	// KNS::Entry::setName#
    {10, 195, 63},	// KNS::Entry::setPayload#
    {10, 197, 65},	// KNS::Entry::setPreview#
    {10, 201, 71},	// KNS::Entry::setRating$
    {10, 203, 59},	// KNS::Entry::setRelease$
    {10, 205, 61},	// KNS::Entry::setReleaseDate#
    {10, 209, 76},	// KNS::Entry::setSignature$
    {10, 211, 81},	// KNS::Entry::setSource$
    {10, 213, 79},	// KNS::Entry::setStatus$
    {10, 215, 55},	// KNS::Entry::setSummary#
    {10, 217, 68},	// KNS::Entry::setUnInstalledFiles?
    {10, 219, 57},	// KNS::Entry::setVersion$
    {10, 223, 78},	// KNS::Entry::signature
    {10, 225, 82},	// KNS::Entry::source
    {10, 228, 80},	// KNS::Entry::status
    {10, 232, 56},	// KNS::Entry::summary
    {10, 245, 70},	// KNS::Entry::uninstalledFiles
    {10, 252, 58},	// KNS::Entry::version
    {10, 259, 93},	// KNS::Entry::~Entry
    {11, 18, 94},	// KNS::KTranslatable::KTranslatable
    {11, 19, 97},	// KNS::KTranslatable::KTranslatable#
    {11, 20, 95},	// KNS::KTranslatable::KTranslatable$
    {11, 37, 98},	// KNS::KTranslatable::addString$$
    {11, 81, 106},	// KNS::KTranslatable::isEmpty
    {11, 82, 105},	// KNS::KTranslatable::isTranslated
    {11, 86, 103},	// KNS::KTranslatable::language
    {11, 88, 102},	// KNS::KTranslatable::languages
    {11, 136, 96},	// KNS::KTranslatable::operator=#
    {11, 167, 99},	// KNS::KTranslatable::representation
    {11, 229, 104},	// KNS::KTranslatable::stringmap
    {11, 230, 101},	// KNS::KTranslatable::strings
    {11, 244, 100},	// KNS::KTranslatable::translated$
    {11, 260, 107},	// KNS::KTranslatable::~KTranslatable
    {36, 22, 396},	// QGlobalSpace::Q_COMPLEX_TYPE
    {36, 23, 400},	// QGlobalSpace::Q_DUMMY_TYPE
    {36, 24, 399},	// QGlobalSpace::Q_MOVABLE_TYPE
    {36, 25, 397},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {36, 26, 398},	// QGlobalSpace::Q_STATIC_TYPE
    {36, 27, 403},	// QGlobalSpace::QtCriticalMsg
    {36, 28, 401},	// QGlobalSpace::QtDebugMsg
    {36, 29, 404},	// QGlobalSpace::QtFatalMsg
    {36, 30, 405},	// QGlobalSpace::QtSystemMsg
    {36, 31, 402},	// QGlobalSpace::QtWarningMsg
    {36, 102, -1},	// QGlobalSpace::operator!=##
    {36, 103, -17},	// QGlobalSpace::operator!=#$
    {36, 104, -23},	// QGlobalSpace::operator!=$#
    {36, 106, -29},	// QGlobalSpace::operator*##
    {36, 107, -46},	// QGlobalSpace::operator*#$
    {36, 108, -54},	// QGlobalSpace::operator*$#
    {36, 110, -61},	// QGlobalSpace::operator+##
    {36, 111, -67},	// QGlobalSpace::operator+#$
    {36, 112, -72},	// QGlobalSpace::operator+$#
    {36, 113, 260},	// QGlobalSpace::operator+$$
    {36, 115, 153},	// QGlobalSpace::operator++$
    {36, 116, 395},	// QGlobalSpace::operator++$$
    {36, 118, -76},	// QGlobalSpace::operator-#
    {36, 119, -79},	// QGlobalSpace::operator-##
    {36, 120, 394},	// QGlobalSpace::operator-#$
    {36, 122, -84},	// QGlobalSpace::operator/#$
    {36, 124, -90},	// QGlobalSpace::operator<##
    {36, 125, 167},	// QGlobalSpace::operator<#$
    {36, 126, 229},	// QGlobalSpace::operator<$#
    {36, 128, -94},	// QGlobalSpace::operator<<##
    {36, 129, -127},	// QGlobalSpace::operator<<#$
    {36, 130, 161},	// QGlobalSpace::operator<<#?
    {36, 132, -130},	// QGlobalSpace::operator<=##
    {36, 133, 236},	// QGlobalSpace::operator<=#$
    {36, 134, 323},	// QGlobalSpace::operator<=$#
    {36, 138, -134},	// QGlobalSpace::operator==##
    {36, 139, -151},	// QGlobalSpace::operator==#$
    {36, 140, -157},	// QGlobalSpace::operator==$#
    {36, 142, -163},	// QGlobalSpace::operator>##
    {36, 143, 338},	// QGlobalSpace::operator>#$
    {36, 144, 309},	// QGlobalSpace::operator>$#
    {36, 146, -167},	// QGlobalSpace::operator>=##
    {36, 147, 298},	// QGlobalSpace::operator>=#$
    {36, 148, 211},	// QGlobalSpace::operator>=$#
    {36, 150, -171},	// QGlobalSpace::operator>>##
    {36, 151, -204},	// QGlobalSpace::operator>>#$
    {36, 152, 319},	// QGlobalSpace::operator>>#?
    {36, 154, -207},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *knewstuff2_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff2_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    knewstuff2_Smoke = new Smoke(
        "knewstuff2",
        __smokeknewstuff2::classes, 84,
        __smokeknewstuff2::methods, 450,
        __smokeknewstuff2::methodMaps, 156,
        __smokeknewstuff2::methodNames, 260,
        __smokeknewstuff2::types, 287,
        __smokeknewstuff2::inheritanceList,
        __smokeknewstuff2::argumentList,
        __smokeknewstuff2::ambiguousMethodList,
        __smokeknewstuff2::cast );
    initialized = true;
}

void delete_knewstuff2_Smoke() { delete knewstuff2_Smoke; }

}
